/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         ir3_yyparse
#define yylex           ir3_yylex
#define yyerror         ir3_yyerror
#define yydebug         ir3_yydebug
#define yynerrs         ir3_yynerrs
#define yylval          ir3_yylval
#define yychar          ir3_yychar

/* First part of user prologue.  */
#line 32 "../src/freedreno/ir3/ir3_parser.y"

#define YYDEBUG 0

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

#include "util/half_float.h"
#include "util/u_math.h"

#include "ir3/ir3.h"
#include "ir3/ir3_shader.h"
#include "ir3/instr-a3xx.h"

#include "ir3_parser.h"

#define swap(a, b) \
	do { __typeof(a) __tmp = (a); (a) = (b); (b) = __tmp; } while (0)

/* ir3 treats the abs/neg flags as separate flags for float vs integer,
 * but in the instruction encoding they are the same thing.  Tracking
 * them separately is only for the benefit of ir3 opt passes, and not
 * required here, so just use the float versions:
 */
#define IR3_REG_ABS     IR3_REG_FABS
#define IR3_REG_NEGATE  IR3_REG_FNEG

static struct ir3_kernel_info    *info;
static struct ir3_shader_variant *variant;
/* NOTE the assembler doesn't really use the ir3_block construction
 * like the compiler does.  Everything is treated as one large block.
 * Which might happen to contain flow control.  But since we don't
 * use any of the ir3 backend passes (sched, RA, etc) this doesn't
 * really matter.
 */
static struct ir3_block          *block;   /* current shader block */
static struct ir3_instruction    *instr;   /* current instruction */
static unsigned ip; /* current instruction pointer */
static struct hash_table *labels;

static bool is_in_fullnop_section;
static bool is_in_fullsync_section;

void *ir3_parser_dead_ctx;

char* current_line;

static struct {
	unsigned flags;
	unsigned repeat;
	unsigned nop;
} iflags;

static struct {
	unsigned flags;
	unsigned wrmask;
} rflags;

static struct {
        uint32_t reg_address_hi;
        uint32_t reg_address_lo;
        uint32_t reg_tmp;

        uint32_t regs_to_dump[128];
        uint32_t regs_count;
} meta_print_data;

int ir3_yyget_lineno(void);

static void new_label(const char *name)
{
	ralloc_steal(labels, (void *) name);
	_mesa_hash_table_insert(labels, name, (void *)(uintptr_t)ip);
}

static struct ir3_instruction * new_instr(opc_t opc)
{
	instr = ir3_instr_create_at_end(block, opc, 4, 6);
	instr->flags = iflags.flags;
	instr->repeat = iflags.repeat;
	instr->nop = iflags.nop;
	instr->line = ir3_yyget_lineno();
	iflags.flags = iflags.repeat = iflags.nop = 0;

	if (is_in_fullnop_section) {
		struct ir3_instruction *nop =
			ir3_instr_create_at(ir3_before_instr(instr), OPC_NOP, 0, 0);
		nop->repeat = 5;
		ip++;
	}

	if (is_in_fullsync_section) {
		struct ir3_instruction *nop =
			ir3_instr_create_at(ir3_before_instr(instr), OPC_NOP, 0, 0);
		nop->flags = IR3_INSTR_SS | IR3_INSTR_SY;
		ip++;
	}

	ip++;
	return instr;
}

static void new_shader(void)
{
	variant->ir = ir3_create(variant->compiler, variant);
	block = ir3_block_create(variant->ir);
	list_addtail(&block->node, &variant->ir->block_list);
	ip = 0;
	labels = _mesa_hash_table_create(variant, _mesa_hash_string, _mesa_key_string_equal);
	ir3_parser_dead_ctx = ralloc_context(NULL);
}

static type_t parse_type(const char **type)
{
	if (!strncmp("f16", *type, 3)) {
		*type += 3;
		return TYPE_F16;
	} else if (!strncmp("f32", *type, 3)) {
		*type += 3;
		return TYPE_F32;
	} else if (!strncmp("u16", *type, 3)) {
		*type += 3;
		return TYPE_U16;
	} else if (!strncmp("u32", *type, 3)) {
		*type += 3;
		return TYPE_U32;
	} else if (!strncmp("s16", *type, 3)) {
		*type += 3;
		return TYPE_S16;
	} else if (!strncmp("s32", *type, 3)) {
		*type += 3;
		return TYPE_S32;
	} else if (!strncmp("u8", *type, 2)) {
		*type += 2;
		return TYPE_U8;
	} else if (!strncmp("u8_32", *type, 5)) {
		*type += 5;
		return TYPE_U8_32;
	} else if (!strncmp("u64", *type, 3)) {
		*type += 3;
		return TYPE_ATOMIC_U64;
	} else {
		assert(0);  /* shouldn't get here */
		return ~0;
	}
}

static struct ir3_instruction * parse_type_type(struct ir3_instruction *instr,
		const char *type_type)
{
	instr->cat1.src_type = parse_type(&type_type);
	instr->cat1.dst_type = parse_type(&type_type);
	return instr;
}

static struct ir3_register * new_src(int num, unsigned flags)
{
	struct ir3_register *reg;
	flags |= rflags.flags;
	if (num & 0x1)
		flags |= IR3_REG_HALF;
	reg = ir3_src_create(instr, num>>1, flags);
	reg->wrmask = MAX2(1, rflags.wrmask);
	rflags.flags = rflags.wrmask = 0;
	return reg;
}

static struct ir3_register * new_dst(int num, unsigned flags)
{
	struct ir3_register *reg;
	flags |= rflags.flags;
	if (num & 0x1)
		flags |= IR3_REG_HALF;
	reg = ir3_dst_create(instr, num>>1, flags);
	reg->wrmask = MAX2(1, rflags.wrmask);
	rflags.flags = rflags.wrmask = 0;
	return reg;
}

static struct ir3_register * dummy_dst(void)
{
	return new_dst(0, 0);
}

static void fixup_cat5_s2en(void)
{
	assert(opc_cat(instr->opc) == 5);
	if (!(instr->flags & IR3_INSTR_S2EN))
		return;
	/* For various reasons (ie. mainly to make the .s2en src easier to
	 * find, given that various different cat5 tex instructions can have
	 * different # of src registers), in ir3 the samp/tex src register
	 * is first, rather than last.  So we have to detect this case and
	 * fix things up.
	 */

	uint32_t s2en_off = instr->srcs_count - 1;
	if (instr->flags & IR3_INSTR_A1EN)
		s2en_off = instr->srcs_count - 2;

	struct ir3_register *s2en_src = instr->srcs[s2en_off];

	if (instr->flags & IR3_INSTR_B)
		assert(!(s2en_src->flags & IR3_REG_HALF));
	else
		assert(s2en_src->flags & IR3_REG_HALF);

	memmove(instr->srcs + 1, instr->srcs, s2en_off * sizeof(instr->srcs[0]));
	instr->srcs[0] = s2en_src;
}

static void add_const(unsigned reg, unsigned c0, unsigned c1, unsigned c2, unsigned c3)
{
	struct ir3_imm_const_state *imm_state = &variant->imm_state;
	assert((reg & 0x7) == 0);
	int idx = reg >> (1 + 2); /* low bit is half vs full, next two bits are swiz */
	if (idx * 4 + 4 > imm_state->size) {
		imm_state->values = rerzalloc(variant,
				imm_state->values,
				__typeof__(imm_state->values[0]),
				imm_state->size,
				idx * 4 + 4);
		for (unsigned i = imm_state->size; i < idx * 4; i++)
			imm_state->values[i] = 0xd0d0d0d0;
		imm_state->size = imm_state->count = idx * 4 + 4;
	}
	imm_state->values[idx * 4 + 0] = c0;
	imm_state->values[idx * 4 + 1] = c1;
	imm_state->values[idx * 4 + 2] = c2;
	imm_state->values[idx * 4 + 3] = c3;
}

static void add_buf_init_val(uint32_t val)
{
	assert(info->num_bufs > 0);
	unsigned idx = info->num_bufs - 1;

	if (!info->buf_init_data[idx]) {
		unsigned sz = info->buf_sizes[idx] * 4;
		info->buf_init_data[idx] = malloc(sz);
		memset(info->buf_init_data[idx], 0, sz);
	}

	assert(info->buf_init_data_sizes[idx] < info->buf_sizes[idx]);
	info->buf_init_data[idx][info->buf_init_data_sizes[idx]++] = val;
}

static void add_sysval(unsigned reg, unsigned compmask, gl_system_value sysval)
{
	unsigned n = variant->inputs_count++;
	variant->inputs[n].regid = reg;
	variant->inputs[n].sysval = true;
	variant->inputs[n].slot = sysval;
	variant->inputs[n].compmask = compmask;
	variant->total_in++;
}

static bool resolve_labels(void)
{
	int instr_ip = 0;
	foreach_instr (instr, &block->instr_list) {
		if (opc_cat(instr->opc) == 0 && instr->cat0.target_label) {
			struct hash_entry *entry = _mesa_hash_table_search(labels, instr->cat0.target_label);
			if (!entry) {
				fprintf(stderr, "unknown label %s\n", instr->cat0.target_label);
				return false;
			}
			int target_ip = (uintptr_t)entry->data;
			instr->cat0.immed = target_ip - instr_ip;
		}
		instr_ip++;
	}
	return true;
}

static unsigned cat6_type_shift()
{
	return util_logbase2(type_size(instr->cat6.type) / 8);
}

#ifdef YYDEBUG
int yydebug;
#endif

extern int yylex(void);
void ir3_yyset_lineno(int _line_number);
void ir3_yyset_input(FILE *f);

int yyparse(void);

static void yyerror(const char *error)
{
	fprintf(stderr, "error at line %d: %s\n%s\n", ir3_yyget_lineno(), error, current_line);
}

/* Needs to be a macro to use YYERROR */
#define illegal_syntax_from(gen_from, error)              \
	do {                                              \
		if (variant->compiler->gen >= gen_from) { \
			yyerror(error);                   \
			YYERROR;                          \
		}                                         \
	} while (0)

struct ir3 * ir3_parse(struct ir3_shader_variant *v,
		struct ir3_kernel_info *k, FILE *f)
{
	ir3_yyset_lineno(1);
	ir3_yyset_input(f);
#ifdef YYDEBUG
	yydebug = 1;
#endif
	info = k;
	variant = v;

	is_in_fullnop_section = false;
	is_in_fullsync_section = false;

	if (yyparse() || !resolve_labels()) {
		ir3_destroy(variant->ir);
		variant->ir = NULL;
	}
	ralloc_free(labels);
	ralloc_free(ir3_parser_dead_ctx);
	return variant->ir;
}

#line 407 "src/freedreno/ir3/ir3_parser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "ir3_parser.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_T_INT = 3,                      /* T_INT  */
  YYSYMBOL_T_HEX = 4,                      /* T_HEX  */
  YYSYMBOL_T_FLOAT = 5,                    /* T_FLOAT  */
  YYSYMBOL_T_IDENTIFIER = 6,               /* T_IDENTIFIER  */
  YYSYMBOL_T_REGISTER = 7,                 /* T_REGISTER  */
  YYSYMBOL_T_CONSTANT = 8,                 /* T_CONSTANT  */
  YYSYMBOL_T_RT = 9,                       /* T_RT  */
  YYSYMBOL_T_A_LOCALSIZE = 10,             /* T_A_LOCALSIZE  */
  YYSYMBOL_T_A_CONST = 11,                 /* T_A_CONST  */
  YYSYMBOL_T_A_BUF = 12,                   /* T_A_BUF  */
  YYSYMBOL_T_A_INVOCATIONID = 13,          /* T_A_INVOCATIONID  */
  YYSYMBOL_T_A_WGID = 14,                  /* T_A_WGID  */
  YYSYMBOL_T_A_NUMWG = 15,                 /* T_A_NUMWG  */
  YYSYMBOL_T_A_BRANCHSTACK = 16,           /* T_A_BRANCHSTACK  */
  YYSYMBOL_T_A_IN = 17,                    /* T_A_IN  */
  YYSYMBOL_T_A_OUT = 18,                   /* T_A_OUT  */
  YYSYMBOL_T_A_TEX = 19,                   /* T_A_TEX  */
  YYSYMBOL_T_A_PVTMEM = 20,                /* T_A_PVTMEM  */
  YYSYMBOL_T_A_LOCALMEM = 21,              /* T_A_LOCALMEM  */
  YYSYMBOL_T_A_EARLYPREAMBLE = 22,         /* T_A_EARLYPREAMBLE  */
  YYSYMBOL_T_A_FULLNOPSTART = 23,          /* T_A_FULLNOPSTART  */
  YYSYMBOL_T_A_FULLNOPEND = 24,            /* T_A_FULLNOPEND  */
  YYSYMBOL_T_A_FULLSYNCSTART = 25,         /* T_A_FULLSYNCSTART  */
  YYSYMBOL_T_A_FULLSYNCEND = 26,           /* T_A_FULLSYNCEND  */
  YYSYMBOL_T_ABSNEG = 27,                  /* T_ABSNEG  */
  YYSYMBOL_T_NEG = 28,                     /* T_NEG  */
  YYSYMBOL_T_ABS = 29,                     /* T_ABS  */
  YYSYMBOL_T_R = 30,                       /* T_R  */
  YYSYMBOL_T_LAST = 31,                    /* T_LAST  */
  YYSYMBOL_T_HR = 32,                      /* T_HR  */
  YYSYMBOL_T_HC = 33,                      /* T_HC  */
  YYSYMBOL_T_EVEN = 34,                    /* T_EVEN  */
  YYSYMBOL_T_POS_INFINITY = 35,            /* T_POS_INFINITY  */
  YYSYMBOL_T_NEG_INFINITY = 36,            /* T_NEG_INFINITY  */
  YYSYMBOL_T_EI = 37,                      /* T_EI  */
  YYSYMBOL_T_WRMASK = 38,                  /* T_WRMASK  */
  YYSYMBOL_T_FLUT_0_0 = 39,                /* T_FLUT_0_0  */
  YYSYMBOL_T_FLUT_0_5 = 40,                /* T_FLUT_0_5  */
  YYSYMBOL_T_FLUT_1_0 = 41,                /* T_FLUT_1_0  */
  YYSYMBOL_T_FLUT_2_0 = 42,                /* T_FLUT_2_0  */
  YYSYMBOL_T_FLUT_E = 43,                  /* T_FLUT_E  */
  YYSYMBOL_T_FLUT_PI = 44,                 /* T_FLUT_PI  */
  YYSYMBOL_T_FLUT_INV_PI = 45,             /* T_FLUT_INV_PI  */
  YYSYMBOL_T_FLUT_INV_LOG2_E = 46,         /* T_FLUT_INV_LOG2_E  */
  YYSYMBOL_T_FLUT_LOG2_E = 47,             /* T_FLUT_LOG2_E  */
  YYSYMBOL_T_FLUT_INV_LOG2_10 = 48,        /* T_FLUT_INV_LOG2_10  */
  YYSYMBOL_T_FLUT_LOG2_10 = 49,            /* T_FLUT_LOG2_10  */
  YYSYMBOL_T_FLUT_4_0 = 50,                /* T_FLUT_4_0  */
  YYSYMBOL_T_SY = 51,                      /* T_SY  */
  YYSYMBOL_T_SS = 52,                      /* T_SS  */
  YYSYMBOL_T_JP = 53,                      /* T_JP  */
  YYSYMBOL_T_EQ_FLAG = 54,                 /* T_EQ_FLAG  */
  YYSYMBOL_T_SAT = 55,                     /* T_SAT  */
  YYSYMBOL_T_RPT = 56,                     /* T_RPT  */
  YYSYMBOL_T_UL = 57,                      /* T_UL  */
  YYSYMBOL_T_NOP = 58,                     /* T_NOP  */
  YYSYMBOL_T_OP_NOP = 59,                  /* T_OP_NOP  */
  YYSYMBOL_T_OP_BR = 60,                   /* T_OP_BR  */
  YYSYMBOL_T_OP_BRAO = 61,                 /* T_OP_BRAO  */
  YYSYMBOL_T_OP_BRAA = 62,                 /* T_OP_BRAA  */
  YYSYMBOL_T_OP_BRAC = 63,                 /* T_OP_BRAC  */
  YYSYMBOL_T_OP_BANY = 64,                 /* T_OP_BANY  */
  YYSYMBOL_T_OP_BALL = 65,                 /* T_OP_BALL  */
  YYSYMBOL_T_OP_BRAX = 66,                 /* T_OP_BRAX  */
  YYSYMBOL_T_OP_JUMP = 67,                 /* T_OP_JUMP  */
  YYSYMBOL_T_OP_CALL = 68,                 /* T_OP_CALL  */
  YYSYMBOL_T_OP_RET = 69,                  /* T_OP_RET  */
  YYSYMBOL_T_OP_KILL = 70,                 /* T_OP_KILL  */
  YYSYMBOL_T_OP_END = 71,                  /* T_OP_END  */
  YYSYMBOL_T_OP_EMIT = 72,                 /* T_OP_EMIT  */
  YYSYMBOL_T_OP_CUT = 73,                  /* T_OP_CUT  */
  YYSYMBOL_T_OP_CHMASK = 74,               /* T_OP_CHMASK  */
  YYSYMBOL_T_OP_CHSH = 75,                 /* T_OP_CHSH  */
  YYSYMBOL_T_OP_FLOW_REV = 76,             /* T_OP_FLOW_REV  */
  YYSYMBOL_T_OP_BKT = 77,                  /* T_OP_BKT  */
  YYSYMBOL_T_OP_STKS = 78,                 /* T_OP_STKS  */
  YYSYMBOL_T_OP_STKR = 79,                 /* T_OP_STKR  */
  YYSYMBOL_T_OP_XSET = 80,                 /* T_OP_XSET  */
  YYSYMBOL_T_OP_XCLR = 81,                 /* T_OP_XCLR  */
  YYSYMBOL_T_OP_GETLAST = 82,              /* T_OP_GETLAST  */
  YYSYMBOL_T_OP_GETONE = 83,               /* T_OP_GETONE  */
  YYSYMBOL_T_OP_DBG = 84,                  /* T_OP_DBG  */
  YYSYMBOL_T_OP_SHPS = 85,                 /* T_OP_SHPS  */
  YYSYMBOL_T_OP_SHPE = 86,                 /* T_OP_SHPE  */
  YYSYMBOL_T_OP_PREDT = 87,                /* T_OP_PREDT  */
  YYSYMBOL_T_OP_PREDF = 88,                /* T_OP_PREDF  */
  YYSYMBOL_T_OP_PREDE = 89,                /* T_OP_PREDE  */
  YYSYMBOL_T_OP_MOVMSK = 90,               /* T_OP_MOVMSK  */
  YYSYMBOL_T_OP_MOVA1 = 91,                /* T_OP_MOVA1  */
  YYSYMBOL_T_OP_MOVA = 92,                 /* T_OP_MOVA  */
  YYSYMBOL_T_OP_MOV = 93,                  /* T_OP_MOV  */
  YYSYMBOL_T_OP_COV = 94,                  /* T_OP_COV  */
  YYSYMBOL_T_OP_SWZ = 95,                  /* T_OP_SWZ  */
  YYSYMBOL_T_OP_GAT = 96,                  /* T_OP_GAT  */
  YYSYMBOL_T_OP_SCT = 97,                  /* T_OP_SCT  */
  YYSYMBOL_T_OP_ADD_F = 98,                /* T_OP_ADD_F  */
  YYSYMBOL_T_OP_MIN_F = 99,                /* T_OP_MIN_F  */
  YYSYMBOL_T_OP_MAX_F = 100,               /* T_OP_MAX_F  */
  YYSYMBOL_T_OP_MUL_F = 101,               /* T_OP_MUL_F  */
  YYSYMBOL_T_OP_SIGN_F = 102,              /* T_OP_SIGN_F  */
  YYSYMBOL_T_OP_CMPS_F = 103,              /* T_OP_CMPS_F  */
  YYSYMBOL_T_OP_ABSNEG_F = 104,            /* T_OP_ABSNEG_F  */
  YYSYMBOL_T_OP_CMPV_F = 105,              /* T_OP_CMPV_F  */
  YYSYMBOL_T_OP_FLOOR_F = 106,             /* T_OP_FLOOR_F  */
  YYSYMBOL_T_OP_CEIL_F = 107,              /* T_OP_CEIL_F  */
  YYSYMBOL_T_OP_RNDNE_F = 108,             /* T_OP_RNDNE_F  */
  YYSYMBOL_T_OP_RNDAZ_F = 109,             /* T_OP_RNDAZ_F  */
  YYSYMBOL_T_OP_TRUNC_F = 110,             /* T_OP_TRUNC_F  */
  YYSYMBOL_T_OP_ADD_U = 111,               /* T_OP_ADD_U  */
  YYSYMBOL_T_OP_ADD_S = 112,               /* T_OP_ADD_S  */
  YYSYMBOL_T_OP_SUB_U = 113,               /* T_OP_SUB_U  */
  YYSYMBOL_T_OP_SUB_S = 114,               /* T_OP_SUB_S  */
  YYSYMBOL_T_OP_CMPS_U = 115,              /* T_OP_CMPS_U  */
  YYSYMBOL_T_OP_CMPS_S = 116,              /* T_OP_CMPS_S  */
  YYSYMBOL_T_OP_MIN_U = 117,               /* T_OP_MIN_U  */
  YYSYMBOL_T_OP_MIN_S = 118,               /* T_OP_MIN_S  */
  YYSYMBOL_T_OP_MAX_U = 119,               /* T_OP_MAX_U  */
  YYSYMBOL_T_OP_MAX_S = 120,               /* T_OP_MAX_S  */
  YYSYMBOL_T_OP_ABSNEG_S = 121,            /* T_OP_ABSNEG_S  */
  YYSYMBOL_T_OP_AND_B = 122,               /* T_OP_AND_B  */
  YYSYMBOL_T_OP_OR_B = 123,                /* T_OP_OR_B  */
  YYSYMBOL_T_OP_NOT_B = 124,               /* T_OP_NOT_B  */
  YYSYMBOL_T_OP_XOR_B = 125,               /* T_OP_XOR_B  */
  YYSYMBOL_T_OP_CMPV_U = 126,              /* T_OP_CMPV_U  */
  YYSYMBOL_T_OP_CMPV_S = 127,              /* T_OP_CMPV_S  */
  YYSYMBOL_T_OP_MUL_U24 = 128,             /* T_OP_MUL_U24  */
  YYSYMBOL_T_OP_MUL_S24 = 129,             /* T_OP_MUL_S24  */
  YYSYMBOL_T_OP_MULL_U = 130,              /* T_OP_MULL_U  */
  YYSYMBOL_T_OP_BFREV_B = 131,             /* T_OP_BFREV_B  */
  YYSYMBOL_T_OP_CLZ_S = 132,               /* T_OP_CLZ_S  */
  YYSYMBOL_T_OP_CLZ_B = 133,               /* T_OP_CLZ_B  */
  YYSYMBOL_T_OP_SHL_B = 134,               /* T_OP_SHL_B  */
  YYSYMBOL_T_OP_SHR_B = 135,               /* T_OP_SHR_B  */
  YYSYMBOL_T_OP_ASHR_B = 136,              /* T_OP_ASHR_B  */
  YYSYMBOL_T_OP_BARY_F = 137,              /* T_OP_BARY_F  */
  YYSYMBOL_T_OP_FLAT_B = 138,              /* T_OP_FLAT_B  */
  YYSYMBOL_T_OP_MGEN_B = 139,              /* T_OP_MGEN_B  */
  YYSYMBOL_T_OP_GETBIT_B = 140,            /* T_OP_GETBIT_B  */
  YYSYMBOL_T_OP_SETRM = 141,               /* T_OP_SETRM  */
  YYSYMBOL_T_OP_CBITS_B = 142,             /* T_OP_CBITS_B  */
  YYSYMBOL_T_OP_SHB = 143,                 /* T_OP_SHB  */
  YYSYMBOL_T_OP_MSAD = 144,                /* T_OP_MSAD  */
  YYSYMBOL_T_OP_MAD_U16 = 145,             /* T_OP_MAD_U16  */
  YYSYMBOL_T_OP_MADSH_U16 = 146,           /* T_OP_MADSH_U16  */
  YYSYMBOL_T_OP_MAD_S16 = 147,             /* T_OP_MAD_S16  */
  YYSYMBOL_T_OP_MADSH_M16 = 148,           /* T_OP_MADSH_M16  */
  YYSYMBOL_T_OP_MAD_U24 = 149,             /* T_OP_MAD_U24  */
  YYSYMBOL_T_OP_MAD_S24 = 150,             /* T_OP_MAD_S24  */
  YYSYMBOL_T_OP_MAD_F16 = 151,             /* T_OP_MAD_F16  */
  YYSYMBOL_T_OP_MAD_F32 = 152,             /* T_OP_MAD_F32  */
  YYSYMBOL_T_OP_SEL_B16 = 153,             /* T_OP_SEL_B16  */
  YYSYMBOL_T_OP_SEL_B32 = 154,             /* T_OP_SEL_B32  */
  YYSYMBOL_T_OP_SEL_S16 = 155,             /* T_OP_SEL_S16  */
  YYSYMBOL_T_OP_SEL_S32 = 156,             /* T_OP_SEL_S32  */
  YYSYMBOL_T_OP_SEL_F16 = 157,             /* T_OP_SEL_F16  */
  YYSYMBOL_T_OP_SEL_F32 = 158,             /* T_OP_SEL_F32  */
  YYSYMBOL_T_OP_SAD_S16 = 159,             /* T_OP_SAD_S16  */
  YYSYMBOL_T_OP_SAD_S32 = 160,             /* T_OP_SAD_S32  */
  YYSYMBOL_T_OP_SHRM = 161,                /* T_OP_SHRM  */
  YYSYMBOL_T_OP_SHLM = 162,                /* T_OP_SHLM  */
  YYSYMBOL_T_OP_SHRG = 163,                /* T_OP_SHRG  */
  YYSYMBOL_T_OP_SHLG = 164,                /* T_OP_SHLG  */
  YYSYMBOL_T_OP_ANDG = 165,                /* T_OP_ANDG  */
  YYSYMBOL_T_OP_DP2ACC = 166,              /* T_OP_DP2ACC  */
  YYSYMBOL_T_OP_DP4ACC = 167,              /* T_OP_DP4ACC  */
  YYSYMBOL_T_OP_WMM = 168,                 /* T_OP_WMM  */
  YYSYMBOL_T_OP_WMM_ACCU = 169,            /* T_OP_WMM_ACCU  */
  YYSYMBOL_T_OP_RCP = 170,                 /* T_OP_RCP  */
  YYSYMBOL_T_OP_RSQ = 171,                 /* T_OP_RSQ  */
  YYSYMBOL_T_OP_LOG2 = 172,                /* T_OP_LOG2  */
  YYSYMBOL_T_OP_EXP2 = 173,                /* T_OP_EXP2  */
  YYSYMBOL_T_OP_SIN = 174,                 /* T_OP_SIN  */
  YYSYMBOL_T_OP_COS = 175,                 /* T_OP_COS  */
  YYSYMBOL_T_OP_SQRT = 176,                /* T_OP_SQRT  */
  YYSYMBOL_T_OP_HRSQ = 177,                /* T_OP_HRSQ  */
  YYSYMBOL_T_OP_HLOG2 = 178,               /* T_OP_HLOG2  */
  YYSYMBOL_T_OP_HEXP2 = 179,               /* T_OP_HEXP2  */
  YYSYMBOL_T_OP_ISAM = 180,                /* T_OP_ISAM  */
  YYSYMBOL_T_OP_ISAML = 181,               /* T_OP_ISAML  */
  YYSYMBOL_T_OP_ISAMM = 182,               /* T_OP_ISAMM  */
  YYSYMBOL_T_OP_SAM = 183,                 /* T_OP_SAM  */
  YYSYMBOL_T_OP_SAMB = 184,                /* T_OP_SAMB  */
  YYSYMBOL_T_OP_SAML = 185,                /* T_OP_SAML  */
  YYSYMBOL_T_OP_SAMGQ = 186,               /* T_OP_SAMGQ  */
  YYSYMBOL_T_OP_GETLOD = 187,              /* T_OP_GETLOD  */
  YYSYMBOL_T_OP_CONV = 188,                /* T_OP_CONV  */
  YYSYMBOL_T_OP_CONVM = 189,               /* T_OP_CONVM  */
  YYSYMBOL_T_OP_GETSIZE = 190,             /* T_OP_GETSIZE  */
  YYSYMBOL_T_OP_GETBUF = 191,              /* T_OP_GETBUF  */
  YYSYMBOL_T_OP_GETPOS = 192,              /* T_OP_GETPOS  */
  YYSYMBOL_T_OP_GETINFO = 193,             /* T_OP_GETINFO  */
  YYSYMBOL_T_OP_DSX = 194,                 /* T_OP_DSX  */
  YYSYMBOL_T_OP_DSY = 195,                 /* T_OP_DSY  */
  YYSYMBOL_T_OP_GATHER4R = 196,            /* T_OP_GATHER4R  */
  YYSYMBOL_T_OP_GATHER4G = 197,            /* T_OP_GATHER4G  */
  YYSYMBOL_T_OP_GATHER4B = 198,            /* T_OP_GATHER4B  */
  YYSYMBOL_T_OP_GATHER4A = 199,            /* T_OP_GATHER4A  */
  YYSYMBOL_T_OP_SAMGP0 = 200,              /* T_OP_SAMGP0  */
  YYSYMBOL_T_OP_SAMGP1 = 201,              /* T_OP_SAMGP1  */
  YYSYMBOL_T_OP_SAMGP2 = 202,              /* T_OP_SAMGP2  */
  YYSYMBOL_T_OP_SAMGP3 = 203,              /* T_OP_SAMGP3  */
  YYSYMBOL_T_OP_DSXPP_1 = 204,             /* T_OP_DSXPP_1  */
  YYSYMBOL_T_OP_DSYPP_1 = 205,             /* T_OP_DSYPP_1  */
  YYSYMBOL_T_OP_RGETPOS = 206,             /* T_OP_RGETPOS  */
  YYSYMBOL_T_OP_RGETINFO = 207,            /* T_OP_RGETINFO  */
  YYSYMBOL_T_OP_BRCST_A = 208,             /* T_OP_BRCST_A  */
  YYSYMBOL_T_OP_QSHUFFLE_BRCST = 209,      /* T_OP_QSHUFFLE_BRCST  */
  YYSYMBOL_T_OP_QSHUFFLE_H = 210,          /* T_OP_QSHUFFLE_H  */
  YYSYMBOL_T_OP_QSHUFFLE_V = 211,          /* T_OP_QSHUFFLE_V  */
  YYSYMBOL_T_OP_QSHUFFLE_DIAG = 212,       /* T_OP_QSHUFFLE_DIAG  */
  YYSYMBOL_T_OP_TCINV = 213,               /* T_OP_TCINV  */
  YYSYMBOL_T_OP_LDG = 214,                 /* T_OP_LDG  */
  YYSYMBOL_T_OP_LDG_A = 215,               /* T_OP_LDG_A  */
  YYSYMBOL_T_OP_LDG_K = 216,               /* T_OP_LDG_K  */
  YYSYMBOL_T_OP_LDL = 217,                 /* T_OP_LDL  */
  YYSYMBOL_T_OP_LDP = 218,                 /* T_OP_LDP  */
  YYSYMBOL_T_OP_STG = 219,                 /* T_OP_STG  */
  YYSYMBOL_T_OP_STG_A = 220,               /* T_OP_STG_A  */
  YYSYMBOL_T_OP_STL = 221,                 /* T_OP_STL  */
  YYSYMBOL_T_OP_STP = 222,                 /* T_OP_STP  */
  YYSYMBOL_T_OP_LDIB = 223,                /* T_OP_LDIB  */
  YYSYMBOL_T_OP_G2L = 224,                 /* T_OP_G2L  */
  YYSYMBOL_T_OP_L2G = 225,                 /* T_OP_L2G  */
  YYSYMBOL_T_OP_PREFETCH = 226,            /* T_OP_PREFETCH  */
  YYSYMBOL_T_OP_LDLW = 227,                /* T_OP_LDLW  */
  YYSYMBOL_T_OP_STLW = 228,                /* T_OP_STLW  */
  YYSYMBOL_T_OP_RESFMT = 229,              /* T_OP_RESFMT  */
  YYSYMBOL_T_OP_RESINFO = 230,             /* T_OP_RESINFO  */
  YYSYMBOL_T_OP_RESBASE = 231,             /* T_OP_RESBASE  */
  YYSYMBOL_T_OP_ATOMIC_ADD = 232,          /* T_OP_ATOMIC_ADD  */
  YYSYMBOL_T_OP_ATOMIC_SUB = 233,          /* T_OP_ATOMIC_SUB  */
  YYSYMBOL_T_OP_ATOMIC_XCHG = 234,         /* T_OP_ATOMIC_XCHG  */
  YYSYMBOL_T_OP_ATOMIC_INC = 235,          /* T_OP_ATOMIC_INC  */
  YYSYMBOL_T_OP_ATOMIC_DEC = 236,          /* T_OP_ATOMIC_DEC  */
  YYSYMBOL_T_OP_ATOMIC_CMPXCHG = 237,      /* T_OP_ATOMIC_CMPXCHG  */
  YYSYMBOL_T_OP_ATOMIC_MIN = 238,          /* T_OP_ATOMIC_MIN  */
  YYSYMBOL_T_OP_ATOMIC_MAX = 239,          /* T_OP_ATOMIC_MAX  */
  YYSYMBOL_T_OP_ATOMIC_AND = 240,          /* T_OP_ATOMIC_AND  */
  YYSYMBOL_T_OP_ATOMIC_OR = 241,           /* T_OP_ATOMIC_OR  */
  YYSYMBOL_T_OP_ATOMIC_XOR = 242,          /* T_OP_ATOMIC_XOR  */
  YYSYMBOL_T_OP_RESINFO_B = 243,           /* T_OP_RESINFO_B  */
  YYSYMBOL_T_OP_LDIB_B = 244,              /* T_OP_LDIB_B  */
  YYSYMBOL_T_OP_STIB_B = 245,              /* T_OP_STIB_B  */
  YYSYMBOL_T_OP_ATOMIC_B_ADD = 246,        /* T_OP_ATOMIC_B_ADD  */
  YYSYMBOL_T_OP_ATOMIC_B_SUB = 247,        /* T_OP_ATOMIC_B_SUB  */
  YYSYMBOL_T_OP_ATOMIC_B_XCHG = 248,       /* T_OP_ATOMIC_B_XCHG  */
  YYSYMBOL_T_OP_ATOMIC_B_INC = 249,        /* T_OP_ATOMIC_B_INC  */
  YYSYMBOL_T_OP_ATOMIC_B_DEC = 250,        /* T_OP_ATOMIC_B_DEC  */
  YYSYMBOL_T_OP_ATOMIC_B_CMPXCHG = 251,    /* T_OP_ATOMIC_B_CMPXCHG  */
  YYSYMBOL_T_OP_ATOMIC_B_MIN = 252,        /* T_OP_ATOMIC_B_MIN  */
  YYSYMBOL_T_OP_ATOMIC_B_MAX = 253,        /* T_OP_ATOMIC_B_MAX  */
  YYSYMBOL_T_OP_ATOMIC_B_AND = 254,        /* T_OP_ATOMIC_B_AND  */
  YYSYMBOL_T_OP_ATOMIC_B_OR = 255,         /* T_OP_ATOMIC_B_OR  */
  YYSYMBOL_T_OP_ATOMIC_B_XOR = 256,        /* T_OP_ATOMIC_B_XOR  */
  YYSYMBOL_T_OP_ATOMIC_S_ADD = 257,        /* T_OP_ATOMIC_S_ADD  */
  YYSYMBOL_T_OP_ATOMIC_S_SUB = 258,        /* T_OP_ATOMIC_S_SUB  */
  YYSYMBOL_T_OP_ATOMIC_S_XCHG = 259,       /* T_OP_ATOMIC_S_XCHG  */
  YYSYMBOL_T_OP_ATOMIC_S_INC = 260,        /* T_OP_ATOMIC_S_INC  */
  YYSYMBOL_T_OP_ATOMIC_S_DEC = 261,        /* T_OP_ATOMIC_S_DEC  */
  YYSYMBOL_T_OP_ATOMIC_S_CMPXCHG = 262,    /* T_OP_ATOMIC_S_CMPXCHG  */
  YYSYMBOL_T_OP_ATOMIC_S_MIN = 263,        /* T_OP_ATOMIC_S_MIN  */
  YYSYMBOL_T_OP_ATOMIC_S_MAX = 264,        /* T_OP_ATOMIC_S_MAX  */
  YYSYMBOL_T_OP_ATOMIC_S_AND = 265,        /* T_OP_ATOMIC_S_AND  */
  YYSYMBOL_T_OP_ATOMIC_S_OR = 266,         /* T_OP_ATOMIC_S_OR  */
  YYSYMBOL_T_OP_ATOMIC_S_XOR = 267,        /* T_OP_ATOMIC_S_XOR  */
  YYSYMBOL_T_OP_ATOMIC_G_ADD = 268,        /* T_OP_ATOMIC_G_ADD  */
  YYSYMBOL_T_OP_ATOMIC_G_SUB = 269,        /* T_OP_ATOMIC_G_SUB  */
  YYSYMBOL_T_OP_ATOMIC_G_XCHG = 270,       /* T_OP_ATOMIC_G_XCHG  */
  YYSYMBOL_T_OP_ATOMIC_G_INC = 271,        /* T_OP_ATOMIC_G_INC  */
  YYSYMBOL_T_OP_ATOMIC_G_DEC = 272,        /* T_OP_ATOMIC_G_DEC  */
  YYSYMBOL_T_OP_ATOMIC_G_CMPXCHG = 273,    /* T_OP_ATOMIC_G_CMPXCHG  */
  YYSYMBOL_T_OP_ATOMIC_G_MIN = 274,        /* T_OP_ATOMIC_G_MIN  */
  YYSYMBOL_T_OP_ATOMIC_G_MAX = 275,        /* T_OP_ATOMIC_G_MAX  */
  YYSYMBOL_T_OP_ATOMIC_G_AND = 276,        /* T_OP_ATOMIC_G_AND  */
  YYSYMBOL_T_OP_ATOMIC_G_OR = 277,         /* T_OP_ATOMIC_G_OR  */
  YYSYMBOL_T_OP_ATOMIC_G_XOR = 278,        /* T_OP_ATOMIC_G_XOR  */
  YYSYMBOL_T_OP_LDGB = 279,                /* T_OP_LDGB  */
  YYSYMBOL_T_OP_STGB = 280,                /* T_OP_STGB  */
  YYSYMBOL_T_OP_STIB = 281,                /* T_OP_STIB  */
  YYSYMBOL_T_OP_LDC = 282,                 /* T_OP_LDC  */
  YYSYMBOL_T_OP_LDLV = 283,                /* T_OP_LDLV  */
  YYSYMBOL_T_OP_GETSPID = 284,             /* T_OP_GETSPID  */
  YYSYMBOL_T_OP_GETWID = 285,              /* T_OP_GETWID  */
  YYSYMBOL_T_OP_GETFIBERID = 286,          /* T_OP_GETFIBERID  */
  YYSYMBOL_T_OP_STC = 287,                 /* T_OP_STC  */
  YYSYMBOL_T_OP_STSC = 288,                /* T_OP_STSC  */
  YYSYMBOL_T_OP_SHFL = 289,                /* T_OP_SHFL  */
  YYSYMBOL_T_OP_RAY_INTERSECTION = 290,    /* T_OP_RAY_INTERSECTION  */
  YYSYMBOL_T_OP_BAR = 291,                 /* T_OP_BAR  */
  YYSYMBOL_T_OP_FENCE = 292,               /* T_OP_FENCE  */
  YYSYMBOL_T_OP_SLEEP = 293,               /* T_OP_SLEEP  */
  YYSYMBOL_T_OP_ICINV = 294,               /* T_OP_ICINV  */
  YYSYMBOL_T_OP_DCCLN = 295,               /* T_OP_DCCLN  */
  YYSYMBOL_T_OP_DCINV = 296,               /* T_OP_DCINV  */
  YYSYMBOL_T_OP_DCFLU = 297,               /* T_OP_DCFLU  */
  YYSYMBOL_T_OP_CCINV = 298,               /* T_OP_CCINV  */
  YYSYMBOL_T_OP_LOCK = 299,                /* T_OP_LOCK  */
  YYSYMBOL_T_OP_UNLOCK = 300,              /* T_OP_UNLOCK  */
  YYSYMBOL_T_OP_ALIAS = 301,               /* T_OP_ALIAS  */
  YYSYMBOL_T_RAW = 302,                    /* T_RAW  */
  YYSYMBOL_T_OP_PRINT = 303,               /* T_OP_PRINT  */
  YYSYMBOL_T_TYPE_F16 = 304,               /* T_TYPE_F16  */
  YYSYMBOL_T_TYPE_F32 = 305,               /* T_TYPE_F32  */
  YYSYMBOL_T_TYPE_U16 = 306,               /* T_TYPE_U16  */
  YYSYMBOL_T_TYPE_U32 = 307,               /* T_TYPE_U32  */
  YYSYMBOL_T_TYPE_S16 = 308,               /* T_TYPE_S16  */
  YYSYMBOL_T_TYPE_S32 = 309,               /* T_TYPE_S32  */
  YYSYMBOL_T_TYPE_U8 = 310,                /* T_TYPE_U8  */
  YYSYMBOL_T_TYPE_U8_32 = 311,             /* T_TYPE_U8_32  */
  YYSYMBOL_T_TYPE_U64 = 312,               /* T_TYPE_U64  */
  YYSYMBOL_T_TYPE_B16 = 313,               /* T_TYPE_B16  */
  YYSYMBOL_T_TYPE_B32 = 314,               /* T_TYPE_B32  */
  YYSYMBOL_T_UNTYPED = 315,                /* T_UNTYPED  */
  YYSYMBOL_T_TYPED = 316,                  /* T_TYPED  */
  YYSYMBOL_T_MIXED = 317,                  /* T_MIXED  */
  YYSYMBOL_T_UNSIGNED = 318,               /* T_UNSIGNED  */
  YYSYMBOL_T_LOW = 319,                    /* T_LOW  */
  YYSYMBOL_T_HIGH = 320,                   /* T_HIGH  */
  YYSYMBOL_T_1D = 321,                     /* T_1D  */
  YYSYMBOL_T_2D = 322,                     /* T_2D  */
  YYSYMBOL_T_3D = 323,                     /* T_3D  */
  YYSYMBOL_T_4D = 324,                     /* T_4D  */
  YYSYMBOL_T_LT = 325,                     /* T_LT  */
  YYSYMBOL_T_LE = 326,                     /* T_LE  */
  YYSYMBOL_T_GT = 327,                     /* T_GT  */
  YYSYMBOL_T_GE = 328,                     /* T_GE  */
  YYSYMBOL_T_EQ = 329,                     /* T_EQ  */
  YYSYMBOL_T_NE = 330,                     /* T_NE  */
  YYSYMBOL_T_S2EN = 331,                   /* T_S2EN  */
  YYSYMBOL_T_SAMP = 332,                   /* T_SAMP  */
  YYSYMBOL_T_TEX = 333,                    /* T_TEX  */
  YYSYMBOL_T_BASE = 334,                   /* T_BASE  */
  YYSYMBOL_T_OFFSET = 335,                 /* T_OFFSET  */
  YYSYMBOL_T_UNIFORM = 336,                /* T_UNIFORM  */
  YYSYMBOL_T_NONUNIFORM = 337,             /* T_NONUNIFORM  */
  YYSYMBOL_T_IMM = 338,                    /* T_IMM  */
  YYSYMBOL_T_NAN = 339,                    /* T_NAN  */
  YYSYMBOL_T_INF = 340,                    /* T_INF  */
  YYSYMBOL_T_A0 = 341,                     /* T_A0  */
  YYSYMBOL_T_A1 = 342,                     /* T_A1  */
  YYSYMBOL_T_P0 = 343,                     /* T_P0  */
  YYSYMBOL_T_W = 344,                      /* T_W  */
  YYSYMBOL_T_CAT1_TYPE_TYPE = 345,         /* T_CAT1_TYPE_TYPE  */
  YYSYMBOL_T_MOD_TEX = 346,                /* T_MOD_TEX  */
  YYSYMBOL_T_MOD_MEM = 347,                /* T_MOD_MEM  */
  YYSYMBOL_T_MOD_RT = 348,                 /* T_MOD_RT  */
  YYSYMBOL_T_MOD_XOR = 349,                /* T_MOD_XOR  */
  YYSYMBOL_T_MOD_UP = 350,                 /* T_MOD_UP  */
  YYSYMBOL_T_MOD_DOWN = 351,               /* T_MOD_DOWN  */
  YYSYMBOL_T_MOD_RUP = 352,                /* T_MOD_RUP  */
  YYSYMBOL_T_MOD_RDOWN = 353,              /* T_MOD_RDOWN  */
  YYSYMBOL_354_ = 354,                     /* '-'  */
  YYSYMBOL_355_ = 355,                     /* ','  */
  YYSYMBOL_356_ = 356,                     /* '('  */
  YYSYMBOL_357_ = 357,                     /* ')'  */
  YYSYMBOL_358_ = 358,                     /* '='  */
  YYSYMBOL_359_ = 359,                     /* ':'  */
  YYSYMBOL_360_ = 360,                     /* '!'  */
  YYSYMBOL_361_ = 361,                     /* '#'  */
  YYSYMBOL_362_ = 362,                     /* '.'  */
  YYSYMBOL_363_a_ = 363,                   /* 'a'  */
  YYSYMBOL_364_o_ = 364,                   /* 'o'  */
  YYSYMBOL_365_p_ = 365,                   /* 'p'  */
  YYSYMBOL_366_s_ = 366,                   /* 's'  */
  YYSYMBOL_367_v_ = 367,                   /* 'v'  */
  YYSYMBOL_368_ = 368,                     /* '+'  */
  YYSYMBOL_369_ = 369,                     /* '<'  */
  YYSYMBOL_370_g_ = 370,                   /* 'g'  */
  YYSYMBOL_371_ = 371,                     /* '['  */
  YYSYMBOL_372_ = 372,                     /* ']'  */
  YYSYMBOL_373_c_ = 373,                   /* 'c'  */
  YYSYMBOL_374_l_ = 374,                   /* 'l'  */
  YYSYMBOL_375_u_ = 375,                   /* 'u'  */
  YYSYMBOL_376_k_ = 376,                   /* 'k'  */
  YYSYMBOL_377_w_ = 377,                   /* 'w'  */
  YYSYMBOL_378_r_ = 378,                   /* 'r'  */
  YYSYMBOL_379_ = 379,                     /* '>'  */
  YYSYMBOL_380_h_ = 380,                   /* 'h'  */
  YYSYMBOL_YYACCEPT = 381,                 /* $accept  */
  YYSYMBOL_shader = 382,                   /* shader  */
  YYSYMBOL_383_1 = 383,                    /* $@1  */
  YYSYMBOL_headers = 384,                  /* headers  */
  YYSYMBOL_header = 385,                   /* header  */
  YYSYMBOL_const_val = 386,                /* const_val  */
  YYSYMBOL_localsize_header = 387,         /* localsize_header  */
  YYSYMBOL_const_header = 388,             /* const_header  */
  YYSYMBOL_buf_header_init_val = 389,      /* buf_header_init_val  */
  YYSYMBOL_buf_header_init_vals = 390,     /* buf_header_init_vals  */
  YYSYMBOL_buf_header_addr_reg = 391,      /* buf_header_addr_reg  */
  YYSYMBOL_buf_header = 392,               /* buf_header  */
  YYSYMBOL_393_2 = 393,                    /* $@2  */
  YYSYMBOL_invocationid_header = 394,      /* invocationid_header  */
  YYSYMBOL_wgid_header = 395,              /* wgid_header  */
  YYSYMBOL_numwg_header = 396,             /* numwg_header  */
  YYSYMBOL_branchstack_header = 397,       /* branchstack_header  */
  YYSYMBOL_pvtmem_header = 398,            /* pvtmem_header  */
  YYSYMBOL_localmem_header = 399,          /* localmem_header  */
  YYSYMBOL_earlypreamble_header = 400,     /* earlypreamble_header  */
  YYSYMBOL_in_header = 401,                /* in_header  */
  YYSYMBOL_out_header = 402,               /* out_header  */
  YYSYMBOL_tex_header = 403,               /* tex_header  */
  YYSYMBOL_fullnop_start_section = 404,    /* fullnop_start_section  */
  YYSYMBOL_fullnop_end_section = 405,      /* fullnop_end_section  */
  YYSYMBOL_fullsync_start_section = 406,   /* fullsync_start_section  */
  YYSYMBOL_fullsync_end_section = 407,     /* fullsync_end_section  */
  YYSYMBOL_iflag = 408,                    /* iflag  */
  YYSYMBOL_iflags = 409,                   /* iflags  */
  YYSYMBOL_instrs = 410,                   /* instrs  */
  YYSYMBOL_instr = 411,                    /* instr  */
  YYSYMBOL_label = 412,                    /* label  */
  YYSYMBOL_cat0_src1 = 413,                /* cat0_src1  */
  YYSYMBOL_cat0_src2 = 414,                /* cat0_src2  */
  YYSYMBOL_cat0_immed = 415,               /* cat0_immed  */
  YYSYMBOL_cat0_instr = 416,               /* cat0_instr  */
  YYSYMBOL_417_3 = 417,                    /* $@3  */
  YYSYMBOL_418_4 = 418,                    /* $@4  */
  YYSYMBOL_419_5 = 419,                    /* $@5  */
  YYSYMBOL_420_6 = 420,                    /* $@6  */
  YYSYMBOL_421_7 = 421,                    /* $@7  */
  YYSYMBOL_422_8 = 422,                    /* $@8  */
  YYSYMBOL_423_9 = 423,                    /* $@9  */
  YYSYMBOL_424_10 = 424,                   /* $@10  */
  YYSYMBOL_425_11 = 425,                   /* $@11  */
  YYSYMBOL_426_12 = 426,                   /* $@12  */
  YYSYMBOL_427_13 = 427,                   /* $@13  */
  YYSYMBOL_428_14 = 428,                   /* $@14  */
  YYSYMBOL_429_15 = 429,                   /* $@15  */
  YYSYMBOL_430_16 = 430,                   /* $@16  */
  YYSYMBOL_cat1_opc = 431,                 /* cat1_opc  */
  YYSYMBOL_cat1_src = 432,                 /* cat1_src  */
  YYSYMBOL_cat1_movmsk = 433,              /* cat1_movmsk  */
  YYSYMBOL_434_17 = 434,                   /* $@17  */
  YYSYMBOL_mova_src = 435,                 /* mova_src  */
  YYSYMBOL_cat1_mova1 = 436,               /* cat1_mova1  */
  YYSYMBOL_437_18 = 437,                   /* $@18  */
  YYSYMBOL_cat1_mova = 438,                /* cat1_mova  */
  YYSYMBOL_439_19 = 439,                   /* $@19  */
  YYSYMBOL_cat1_swz = 440,                 /* cat1_swz  */
  YYSYMBOL_441_20 = 441,                   /* $@20  */
  YYSYMBOL_cat1_gat = 442,                 /* cat1_gat  */
  YYSYMBOL_443_21 = 443,                   /* $@21  */
  YYSYMBOL_cat1_sct = 444,                 /* cat1_sct  */
  YYSYMBOL_445_22 = 445,                   /* $@22  */
  YYSYMBOL_cat1_instr = 446,               /* cat1_instr  */
  YYSYMBOL_cat2_opc_1src = 447,            /* cat2_opc_1src  */
  YYSYMBOL_cat2_opc_2src_cnd = 448,        /* cat2_opc_2src_cnd  */
  YYSYMBOL_cat2_opc_2src = 449,            /* cat2_opc_2src  */
  YYSYMBOL_cond = 450,                     /* cond  */
  YYSYMBOL_cat2_instr = 451,               /* cat2_instr  */
  YYSYMBOL_cat3_dp_signedness = 452,       /* cat3_dp_signedness  */
  YYSYMBOL_cat3_dp_pack = 453,             /* cat3_dp_pack  */
  YYSYMBOL_cat3_opc = 454,                 /* cat3_opc  */
  YYSYMBOL_cat3_imm_reg_opc = 455,         /* cat3_imm_reg_opc  */
  YYSYMBOL_cat3_wmm = 456,                 /* cat3_wmm  */
  YYSYMBOL_cat3_dp = 457,                  /* cat3_dp  */
  YYSYMBOL_cat3_instr = 458,               /* cat3_instr  */
  YYSYMBOL_cat4_opc = 459,                 /* cat4_opc  */
  YYSYMBOL_cat4_instr = 460,               /* cat4_instr  */
  YYSYMBOL_cat5_opc_dsxypp = 461,          /* cat5_opc_dsxypp  */
  YYSYMBOL_cat5_opc_isam = 462,            /* cat5_opc_isam  */
  YYSYMBOL_cat5_opc = 463,                 /* cat5_opc  */
  YYSYMBOL_cat5_flag = 464,                /* cat5_flag  */
  YYSYMBOL_cat5_flags = 465,               /* cat5_flags  */
  YYSYMBOL_cat5_samp = 466,                /* cat5_samp  */
  YYSYMBOL_cat5_tex = 467,                 /* cat5_tex  */
  YYSYMBOL_cat5_type = 468,                /* cat5_type  */
  YYSYMBOL_cat5_a1 = 469,                  /* cat5_a1  */
  YYSYMBOL_cat5_samp_tex = 470,            /* cat5_samp_tex  */
  YYSYMBOL_cat5_samp_tex_all = 471,        /* cat5_samp_tex_all  */
  YYSYMBOL_cat5_instr = 472,               /* cat5_instr  */
  YYSYMBOL_cat6_typed = 473,               /* cat6_typed  */
  YYSYMBOL_cat6_dim = 474,                 /* cat6_dim  */
  YYSYMBOL_cat6_type = 475,                /* cat6_type  */
  YYSYMBOL_cat6_imm_offset = 476,          /* cat6_imm_offset  */
  YYSYMBOL_cat6_offset = 477,              /* cat6_offset  */
  YYSYMBOL_cat6_dst_offset = 478,          /* cat6_dst_offset  */
  YYSYMBOL_cat6_immed = 479,               /* cat6_immed  */
  YYSYMBOL_cat6_src_shift = 480,           /* cat6_src_shift  */
  YYSYMBOL_cat6_a6xx_global_address_pt2 = 481, /* cat6_a6xx_global_address_pt2  */
  YYSYMBOL_cat6_a6xx_global_address = 482, /* cat6_a6xx_global_address  */
  YYSYMBOL_cat6_load = 483,                /* cat6_load  */
  YYSYMBOL_484_23 = 484,                   /* $@23  */
  YYSYMBOL_485_24 = 485,                   /* $@24  */
  YYSYMBOL_486_25 = 486,                   /* $@25  */
  YYSYMBOL_487_26 = 487,                   /* $@26  */
  YYSYMBOL_488_27 = 488,                   /* $@27  */
  YYSYMBOL_489_28 = 489,                   /* $@28  */
  YYSYMBOL_490_29 = 490,                   /* $@29  */
  YYSYMBOL_491_30 = 491,                   /* $@30  */
  YYSYMBOL_cat6_store = 492,               /* cat6_store  */
  YYSYMBOL_493_31 = 493,                   /* $@31  */
  YYSYMBOL_494_32 = 494,                   /* $@32  */
  YYSYMBOL_495_33 = 495,                   /* $@33  */
  YYSYMBOL_496_34 = 496,                   /* $@34  */
  YYSYMBOL_497_35 = 497,                   /* $@35  */
  YYSYMBOL_cat6_loadib = 498,              /* cat6_loadib  */
  YYSYMBOL_499_36 = 499,                   /* $@36  */
  YYSYMBOL_cat6_storeib = 500,             /* cat6_storeib  */
  YYSYMBOL_501_37 = 501,                   /* $@37  */
  YYSYMBOL_cat6_prefetch = 502,            /* cat6_prefetch  */
  YYSYMBOL_503_38 = 503,                   /* $@38  */
  YYSYMBOL_cat6_atomic_opc = 504,          /* cat6_atomic_opc  */
  YYSYMBOL_cat6_a3xx_atomic_opc = 505,     /* cat6_a3xx_atomic_opc  */
  YYSYMBOL_cat6_a6xx_atomic_opc = 506,     /* cat6_a6xx_atomic_opc  */
  YYSYMBOL_cat6_a3xx_atomic_s = 507,       /* cat6_a3xx_atomic_s  */
  YYSYMBOL_cat6_a6xx_atomic_g = 508,       /* cat6_a6xx_atomic_g  */
  YYSYMBOL_cat6_atomic_l = 509,            /* cat6_atomic_l  */
  YYSYMBOL_cat6_atomic = 510,              /* cat6_atomic  */
  YYSYMBOL_cat6_ibo_opc_1src = 511,        /* cat6_ibo_opc_1src  */
  YYSYMBOL_cat6_ibo_opc_ldgb = 512,        /* cat6_ibo_opc_ldgb  */
  YYSYMBOL_cat6_ibo_opc_stgb = 513,        /* cat6_ibo_opc_stgb  */
  YYSYMBOL_cat6_ibo = 514,                 /* cat6_ibo  */
  YYSYMBOL_515_39 = 515,                   /* $@39  */
  YYSYMBOL_cat6_id_opc = 516,              /* cat6_id_opc  */
  YYSYMBOL_cat6_id = 517,                  /* cat6_id  */
  YYSYMBOL_cat6_bindless_base = 518,       /* cat6_bindless_base  */
  YYSYMBOL_cat6_bindless_mode = 519,       /* cat6_bindless_mode  */
  YYSYMBOL_cat6_reg_or_immed = 520,        /* cat6_reg_or_immed  */
  YYSYMBOL_cat6_bindless_ibo_opc_1src = 521, /* cat6_bindless_ibo_opc_1src  */
  YYSYMBOL_cat6_bindless_ibo_opc_2src = 522, /* cat6_bindless_ibo_opc_2src  */
  YYSYMBOL_cat6_bindless_ibo_opc_3src = 523, /* cat6_bindless_ibo_opc_3src  */
  YYSYMBOL_cat6_bindless_ibo_opc_3src_dst = 524, /* cat6_bindless_ibo_opc_3src_dst  */
  YYSYMBOL_cat6_bindless_ibo = 525,        /* cat6_bindless_ibo  */
  YYSYMBOL_cat6_bindless_ldc_opc = 526,    /* cat6_bindless_ldc_opc  */
  YYSYMBOL_cat6_bindless_ldc_middle = 527, /* cat6_bindless_ldc_middle  */
  YYSYMBOL_cat6_bindless_ldc = 528,        /* cat6_bindless_ldc  */
  YYSYMBOL_const_dst = 529,                /* const_dst  */
  YYSYMBOL_cat6_stc = 530,                 /* cat6_stc  */
  YYSYMBOL_531_40 = 531,                   /* $@40  */
  YYSYMBOL_532_41 = 532,                   /* $@41  */
  YYSYMBOL_cat6_shfl_mode = 533,           /* cat6_shfl_mode  */
  YYSYMBOL_cat6_shfl = 534,                /* cat6_shfl  */
  YYSYMBOL_535_42 = 535,                   /* $@42  */
  YYSYMBOL_cat6_ray_intersection = 536,    /* cat6_ray_intersection  */
  YYSYMBOL_537_43 = 537,                   /* $@43  */
  YYSYMBOL_cat6_todo = 538,                /* cat6_todo  */
  YYSYMBOL_cat6_instr = 539,               /* cat6_instr  */
  YYSYMBOL_cat7_scope = 540,               /* cat7_scope  */
  YYSYMBOL_cat7_scopes = 541,              /* cat7_scopes  */
  YYSYMBOL_cat7_barrier = 542,             /* cat7_barrier  */
  YYSYMBOL_543_44 = 543,                   /* $@44  */
  YYSYMBOL_544_45 = 544,                   /* $@45  */
  YYSYMBOL_cat7_data_cache = 545,          /* cat7_data_cache  */
  YYSYMBOL_cat7_alias_dst = 546,           /* cat7_alias_dst  */
  YYSYMBOL_cat7_alias_src = 547,           /* cat7_alias_src  */
  YYSYMBOL_cat7_alias_scope = 548,         /* cat7_alias_scope  */
  YYSYMBOL_cat7_alias_int_type = 549,      /* cat7_alias_int_type  */
  YYSYMBOL_cat7_alias_float_type = 550,    /* cat7_alias_float_type  */
  YYSYMBOL_cat7_alias_type = 551,          /* cat7_alias_type  */
  YYSYMBOL_cat7_alias_table_size_minus_one = 552, /* cat7_alias_table_size_minus_one  */
  YYSYMBOL_cat7_instr = 553,               /* cat7_instr  */
  YYSYMBOL_554_46 = 554,                   /* $@46  */
  YYSYMBOL_raw_instr = 555,                /* raw_instr  */
  YYSYMBOL_meta_print_regs = 556,          /* meta_print_regs  */
  YYSYMBOL_meta_print_reg = 557,           /* meta_print_reg  */
  YYSYMBOL_meta_print_start = 558,         /* meta_print_start  */
  YYSYMBOL_meta_print = 559,               /* meta_print  */
  YYSYMBOL_src_gpr = 560,                  /* src_gpr  */
  YYSYMBOL_src_a0 = 561,                   /* src_a0  */
  YYSYMBOL_src_a1 = 562,                   /* src_a1  */
  YYSYMBOL_src_p0 = 563,                   /* src_p0  */
  YYSYMBOL_src = 564,                      /* src  */
  YYSYMBOL_dst = 565,                      /* dst  */
  YYSYMBOL_const = 566,                    /* const  */
  YYSYMBOL_dst_reg_flag = 567,             /* dst_reg_flag  */
  YYSYMBOL_dst_reg_flags = 568,            /* dst_reg_flags  */
  YYSYMBOL_dst_reg = 569,                  /* dst_reg  */
  YYSYMBOL_src_reg_flag = 570,             /* src_reg_flag  */
  YYSYMBOL_src_reg_flags = 571,            /* src_reg_flags  */
  YYSYMBOL_src_reg = 572,                  /* src_reg  */
  YYSYMBOL_src_reg_gpr = 573,              /* src_reg_gpr  */
  YYSYMBOL_src_const = 574,                /* src_const  */
  YYSYMBOL_src_reg_or_const = 575,         /* src_reg_or_const  */
  YYSYMBOL_src_reg_or_const_or_rel = 576,  /* src_reg_or_const_or_rel  */
  YYSYMBOL_src_reg_or_const_or_rel_or_imm = 577, /* src_reg_or_const_or_rel_or_imm  */
  YYSYMBOL_src_reg_or_rel_or_imm = 578,    /* src_reg_or_rel_or_imm  */
  YYSYMBOL_uoffset = 579,                  /* uoffset  */
  YYSYMBOL_offset = 580,                   /* offset  */
  YYSYMBOL_src_uoffset = 581,              /* src_uoffset  */
  YYSYMBOL_relative_gpr_src = 582,         /* relative_gpr_src  */
  YYSYMBOL_relative_gpr_dst = 583,         /* relative_gpr_dst  */
  YYSYMBOL_relative_const = 584,           /* relative_const  */
  YYSYMBOL_relative = 585,                 /* relative  */
  YYSYMBOL_immediate_cat1 = 586,           /* immediate_cat1  */
  YYSYMBOL_immediate = 587,                /* immediate  */
  YYSYMBOL_flut_immed = 588,               /* flut_immed  */
  YYSYMBOL_integer = 589,                  /* integer  */
  YYSYMBOL_float = 590,                    /* float  */
  YYSYMBOL_type = 591                      /* type  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;


/* Second part of user prologue.  */
#line 376 "../src/freedreno/ir3/ir3_parser.y"

#if YYDEBUG
static void print_token(FILE *file, int type, YYSTYPE value)
{
	fprintf(file, "\ntype: %d\n", type);
}

#define YYPRINT(file, type, value) print_token(file, type, value)
#endif

#line 1043 "src/freedreno/ir3/ir3_parser.c"


#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   1741

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  381
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  211
/* YYNRULES -- Number of rules.  */
#define YYNRULES  631
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  1331

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   608


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   360,     2,   361,     2,     2,     2,     2,
     356,   357,     2,   368,   355,   354,   362,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   359,     2,
     369,   358,   379,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   371,     2,   372,     2,     2,     2,   363,     2,   373,
       2,     2,     2,   370,   380,     2,     2,   376,   374,     2,
       2,   364,   365,     2,   378,   366,     2,   375,   367,   377,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   798,   798,   798,   800,   801,   803,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,   817,
     818,   819,   820,   822,   828,   832,   833,   834,   835,   838,
     846,   848,   848,   854,   860,   867,   874,   883,   885,   887,
     889,   892,   894,   896,   903,   904,   905,   906,   908,   909,
     910,   911,   912,   913,   914,   915,   917,   918,   920,   921,
     923,   924,   925,   926,   927,   928,   929,   930,   931,   932,
     933,   934,   935,   936,   937,   939,   941,   942,   944,   945,
     947,   948,   950,   951,   951,   952,   952,   953,   953,   954,
     954,   955,   955,   956,   956,   957,   957,   958,   958,   959,
     959,   960,   961,   961,   962,   963,   964,   965,   966,   967,
     968,   968,   969,   970,   971,   972,   973,   973,   974,   975,
     975,   976,   977,   978,   979,   980,   980,   982,   985,   989,
     990,   992,   992,  1008,  1009,  1010,  1012,  1012,  1019,  1019,
    1026,  1026,  1028,  1028,  1030,  1030,  1033,  1034,  1035,  1036,
    1037,  1038,  1039,  1040,  1042,  1043,  1044,  1045,  1046,  1047,
    1048,  1049,  1050,  1051,  1052,  1053,  1054,  1055,  1057,  1058,
    1059,  1060,  1061,  1062,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1092,  1093,  1094,  1095,  1096,  1097,  1099,  1100,  1101,
    1103,  1104,  1106,  1107,  1109,  1110,  1111,  1112,  1113,  1114,
    1115,  1116,  1117,  1118,  1119,  1120,  1121,  1122,  1123,  1124,
    1126,  1127,  1128,  1129,  1130,  1132,  1133,  1135,  1136,  1138,
    1139,  1140,  1141,  1143,  1144,  1145,  1146,  1147,  1148,  1149,
    1150,  1151,  1152,  1154,  1156,  1157,  1159,  1161,  1162,  1163,
    1164,  1165,  1166,  1167,  1168,  1169,  1170,  1171,  1172,  1173,
    1174,  1175,  1176,  1177,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  1187,  1188,  1189,  1190,  1192,  1193,  1194,
    1195,  1196,  1197,  1198,  1199,  1200,  1201,  1202,  1203,  1204,
    1206,  1207,  1208,  1209,  1211,  1212,  1213,  1214,  1216,  1217,
    1218,  1219,  1221,  1222,  1223,  1224,  1225,  1226,  1227,  1228,
    1229,  1231,  1232,  1234,  1235,  1236,  1237,  1239,  1240,  1241,
    1242,  1243,  1244,  1246,  1248,  1249,  1252,  1257,  1262,  1268,
    1280,  1282,  1282,  1283,  1283,  1284,  1284,  1285,  1285,  1286,
    1286,  1287,  1287,  1288,  1288,  1288,  1292,  1292,  1293,  1293,
    1294,  1294,  1295,  1295,  1296,  1296,  1298,  1298,  1299,  1299,
    1301,  1301,  1303,  1304,  1305,  1306,  1307,  1308,  1309,  1310,
    1311,  1312,  1313,  1315,  1316,  1317,  1318,  1319,  1320,  1321,
    1322,  1323,  1324,  1325,  1327,  1328,  1329,  1330,  1331,  1332,
    1333,  1334,  1335,  1336,  1337,  1339,  1341,  1343,  1345,  1346,
    1347,  1349,  1351,  1352,  1354,  1355,  1356,  1356,  1359,  1360,
    1361,  1363,  1365,  1366,  1368,  1369,  1370,  1372,  1373,  1375,
    1376,  1378,  1379,  1380,  1381,  1382,  1383,  1384,  1385,  1386,
    1387,  1388,  1390,  1392,  1394,  1395,  1396,  1397,  1399,  1403,
    1404,  1405,  1407,  1413,  1414,  1415,  1418,  1418,  1419,  1419,
    1421,  1422,  1423,  1424,  1425,  1429,  1432,  1432,  1434,  1434,
    1438,  1439,  1440,  1442,  1443,  1444,  1445,  1446,  1447,  1448,
    1449,  1450,  1451,  1452,  1453,  1454,  1455,  1457,  1458,  1459,
    1460,  1462,  1463,  1465,  1465,  1466,  1466,  1468,  1469,  1470,
    1472,  1473,  1475,  1476,  1478,  1479,  1480,  1482,  1483,  1485,
    1486,  1488,  1489,  1491,  1493,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,  1500,  1504,  1506,  1507,  1509,  1513,  1520,  1578,
    1579,  1580,  1581,  1583,  1584,  1585,  1586,  1588,  1589,  1590,
    1591,  1593,  1595,  1596,  1597,  1598,  1599,  1601,  1602,  1605,
    1606,  1608,  1609,  1610,  1611,  1612,  1614,  1615,  1617,  1618,
    1620,  1621,  1623,  1624,  1626,  1627,  1629,  1630,  1631,  1633,
    1634,  1635,  1637,  1638,  1639,  1641,  1642,  1644,  1645,  1647,
    1649,  1650,  1652,  1653,  1655,  1656,  1658,  1659,  1668,  1669,
    1670,  1671,  1672,  1673,  1674,  1675,  1676,  1677,  1678,  1679,
    1681,  1682,  1683,  1684,  1685,  1688,  1689,  1690,  1691,  1692,
    1693,  1694,  1695,  1696,  1697,  1698,  1699,  1701,  1702,  1703,
    1704,  1706,  1707,  1709,  1710,  1711,  1712,  1713,  1714,  1715,
    1716,  1717
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "T_INT", "T_HEX",
  "T_FLOAT", "T_IDENTIFIER", "T_REGISTER", "T_CONSTANT", "T_RT",
  "T_A_LOCALSIZE", "T_A_CONST", "T_A_BUF", "T_A_INVOCATIONID", "T_A_WGID",
  "T_A_NUMWG", "T_A_BRANCHSTACK", "T_A_IN", "T_A_OUT", "T_A_TEX",
  "T_A_PVTMEM", "T_A_LOCALMEM", "T_A_EARLYPREAMBLE", "T_A_FULLNOPSTART",
  "T_A_FULLNOPEND", "T_A_FULLSYNCSTART", "T_A_FULLSYNCEND", "T_ABSNEG",
  "T_NEG", "T_ABS", "T_R", "T_LAST", "T_HR", "T_HC", "T_EVEN",
  "T_POS_INFINITY", "T_NEG_INFINITY", "T_EI", "T_WRMASK", "T_FLUT_0_0",
  "T_FLUT_0_5", "T_FLUT_1_0", "T_FLUT_2_0", "T_FLUT_E", "T_FLUT_PI",
  "T_FLUT_INV_PI", "T_FLUT_INV_LOG2_E", "T_FLUT_LOG2_E",
  "T_FLUT_INV_LOG2_10", "T_FLUT_LOG2_10", "T_FLUT_4_0", "T_SY", "T_SS",
  "T_JP", "T_EQ_FLAG", "T_SAT", "T_RPT", "T_UL", "T_NOP", "T_OP_NOP",
  "T_OP_BR", "T_OP_BRAO", "T_OP_BRAA", "T_OP_BRAC", "T_OP_BANY",
  "T_OP_BALL", "T_OP_BRAX", "T_OP_JUMP", "T_OP_CALL", "T_OP_RET",
  "T_OP_KILL", "T_OP_END", "T_OP_EMIT", "T_OP_CUT", "T_OP_CHMASK",
  "T_OP_CHSH", "T_OP_FLOW_REV", "T_OP_BKT", "T_OP_STKS", "T_OP_STKR",
  "T_OP_XSET", "T_OP_XCLR", "T_OP_GETLAST", "T_OP_GETONE", "T_OP_DBG",
  "T_OP_SHPS", "T_OP_SHPE", "T_OP_PREDT", "T_OP_PREDF", "T_OP_PREDE",
  "T_OP_MOVMSK", "T_OP_MOVA1", "T_OP_MOVA", "T_OP_MOV", "T_OP_COV",
  "T_OP_SWZ", "T_OP_GAT", "T_OP_SCT", "T_OP_ADD_F", "T_OP_MIN_F",
  "T_OP_MAX_F", "T_OP_MUL_F", "T_OP_SIGN_F", "T_OP_CMPS_F",
  "T_OP_ABSNEG_F", "T_OP_CMPV_F", "T_OP_FLOOR_F", "T_OP_CEIL_F",
  "T_OP_RNDNE_F", "T_OP_RNDAZ_F", "T_OP_TRUNC_F", "T_OP_ADD_U",
  "T_OP_ADD_S", "T_OP_SUB_U", "T_OP_SUB_S", "T_OP_CMPS_U", "T_OP_CMPS_S",
  "T_OP_MIN_U", "T_OP_MIN_S", "T_OP_MAX_U", "T_OP_MAX_S", "T_OP_ABSNEG_S",
  "T_OP_AND_B", "T_OP_OR_B", "T_OP_NOT_B", "T_OP_XOR_B", "T_OP_CMPV_U",
  "T_OP_CMPV_S", "T_OP_MUL_U24", "T_OP_MUL_S24", "T_OP_MULL_U",
  "T_OP_BFREV_B", "T_OP_CLZ_S", "T_OP_CLZ_B", "T_OP_SHL_B", "T_OP_SHR_B",
  "T_OP_ASHR_B", "T_OP_BARY_F", "T_OP_FLAT_B", "T_OP_MGEN_B",
  "T_OP_GETBIT_B", "T_OP_SETRM", "T_OP_CBITS_B", "T_OP_SHB", "T_OP_MSAD",
  "T_OP_MAD_U16", "T_OP_MADSH_U16", "T_OP_MAD_S16", "T_OP_MADSH_M16",
  "T_OP_MAD_U24", "T_OP_MAD_S24", "T_OP_MAD_F16", "T_OP_MAD_F32",
  "T_OP_SEL_B16", "T_OP_SEL_B32", "T_OP_SEL_S16", "T_OP_SEL_S32",
  "T_OP_SEL_F16", "T_OP_SEL_F32", "T_OP_SAD_S16", "T_OP_SAD_S32",
  "T_OP_SHRM", "T_OP_SHLM", "T_OP_SHRG", "T_OP_SHLG", "T_OP_ANDG",
  "T_OP_DP2ACC", "T_OP_DP4ACC", "T_OP_WMM", "T_OP_WMM_ACCU", "T_OP_RCP",
  "T_OP_RSQ", "T_OP_LOG2", "T_OP_EXP2", "T_OP_SIN", "T_OP_COS",
  "T_OP_SQRT", "T_OP_HRSQ", "T_OP_HLOG2", "T_OP_HEXP2", "T_OP_ISAM",
  "T_OP_ISAML", "T_OP_ISAMM", "T_OP_SAM", "T_OP_SAMB", "T_OP_SAML",
  "T_OP_SAMGQ", "T_OP_GETLOD", "T_OP_CONV", "T_OP_CONVM", "T_OP_GETSIZE",
  "T_OP_GETBUF", "T_OP_GETPOS", "T_OP_GETINFO", "T_OP_DSX", "T_OP_DSY",
  "T_OP_GATHER4R", "T_OP_GATHER4G", "T_OP_GATHER4B", "T_OP_GATHER4A",
  "T_OP_SAMGP0", "T_OP_SAMGP1", "T_OP_SAMGP2", "T_OP_SAMGP3",
  "T_OP_DSXPP_1", "T_OP_DSYPP_1", "T_OP_RGETPOS", "T_OP_RGETINFO",
  "T_OP_BRCST_A", "T_OP_QSHUFFLE_BRCST", "T_OP_QSHUFFLE_H",
  "T_OP_QSHUFFLE_V", "T_OP_QSHUFFLE_DIAG", "T_OP_TCINV", "T_OP_LDG",
  "T_OP_LDG_A", "T_OP_LDG_K", "T_OP_LDL", "T_OP_LDP", "T_OP_STG",
  "T_OP_STG_A", "T_OP_STL", "T_OP_STP", "T_OP_LDIB", "T_OP_G2L",
  "T_OP_L2G", "T_OP_PREFETCH", "T_OP_LDLW", "T_OP_STLW", "T_OP_RESFMT",
  "T_OP_RESINFO", "T_OP_RESBASE", "T_OP_ATOMIC_ADD", "T_OP_ATOMIC_SUB",
  "T_OP_ATOMIC_XCHG", "T_OP_ATOMIC_INC", "T_OP_ATOMIC_DEC",
  "T_OP_ATOMIC_CMPXCHG", "T_OP_ATOMIC_MIN", "T_OP_ATOMIC_MAX",
  "T_OP_ATOMIC_AND", "T_OP_ATOMIC_OR", "T_OP_ATOMIC_XOR", "T_OP_RESINFO_B",
  "T_OP_LDIB_B", "T_OP_STIB_B", "T_OP_ATOMIC_B_ADD", "T_OP_ATOMIC_B_SUB",
  "T_OP_ATOMIC_B_XCHG", "T_OP_ATOMIC_B_INC", "T_OP_ATOMIC_B_DEC",
  "T_OP_ATOMIC_B_CMPXCHG", "T_OP_ATOMIC_B_MIN", "T_OP_ATOMIC_B_MAX",
  "T_OP_ATOMIC_B_AND", "T_OP_ATOMIC_B_OR", "T_OP_ATOMIC_B_XOR",
  "T_OP_ATOMIC_S_ADD", "T_OP_ATOMIC_S_SUB", "T_OP_ATOMIC_S_XCHG",
  "T_OP_ATOMIC_S_INC", "T_OP_ATOMIC_S_DEC", "T_OP_ATOMIC_S_CMPXCHG",
  "T_OP_ATOMIC_S_MIN", "T_OP_ATOMIC_S_MAX", "T_OP_ATOMIC_S_AND",
  "T_OP_ATOMIC_S_OR", "T_OP_ATOMIC_S_XOR", "T_OP_ATOMIC_G_ADD",
  "T_OP_ATOMIC_G_SUB", "T_OP_ATOMIC_G_XCHG", "T_OP_ATOMIC_G_INC",
  "T_OP_ATOMIC_G_DEC", "T_OP_ATOMIC_G_CMPXCHG", "T_OP_ATOMIC_G_MIN",
  "T_OP_ATOMIC_G_MAX", "T_OP_ATOMIC_G_AND", "T_OP_ATOMIC_G_OR",
  "T_OP_ATOMIC_G_XOR", "T_OP_LDGB", "T_OP_STGB", "T_OP_STIB", "T_OP_LDC",
  "T_OP_LDLV", "T_OP_GETSPID", "T_OP_GETWID", "T_OP_GETFIBERID",
  "T_OP_STC", "T_OP_STSC", "T_OP_SHFL", "T_OP_RAY_INTERSECTION",
  "T_OP_BAR", "T_OP_FENCE", "T_OP_SLEEP", "T_OP_ICINV", "T_OP_DCCLN",
  "T_OP_DCINV", "T_OP_DCFLU", "T_OP_CCINV", "T_OP_LOCK", "T_OP_UNLOCK",
  "T_OP_ALIAS", "T_RAW", "T_OP_PRINT", "T_TYPE_F16", "T_TYPE_F32",
  "T_TYPE_U16", "T_TYPE_U32", "T_TYPE_S16", "T_TYPE_S32", "T_TYPE_U8",
  "T_TYPE_U8_32", "T_TYPE_U64", "T_TYPE_B16", "T_TYPE_B32", "T_UNTYPED",
  "T_TYPED", "T_MIXED", "T_UNSIGNED", "T_LOW", "T_HIGH", "T_1D", "T_2D",
  "T_3D", "T_4D", "T_LT", "T_LE", "T_GT", "T_GE", "T_EQ", "T_NE", "T_S2EN",
  "T_SAMP", "T_TEX", "T_BASE", "T_OFFSET", "T_UNIFORM", "T_NONUNIFORM",
  "T_IMM", "T_NAN", "T_INF", "T_A0", "T_A1", "T_P0", "T_W",
  "T_CAT1_TYPE_TYPE", "T_MOD_TEX", "T_MOD_MEM", "T_MOD_RT", "T_MOD_XOR",
  "T_MOD_UP", "T_MOD_DOWN", "T_MOD_RUP", "T_MOD_RDOWN", "'-'", "','",
  "'('", "')'", "'='", "':'", "'!'", "'#'", "'.'", "'a'", "'o'", "'p'",
  "'s'", "'v'", "'+'", "'<'", "'g'", "'['", "']'", "'c'", "'l'", "'u'",
  "'k'", "'w'", "'r'", "'>'", "'h'", "$accept", "shader", "$@1", "headers",
  "header", "const_val", "localsize_header", "const_header",
  "buf_header_init_val", "buf_header_init_vals", "buf_header_addr_reg",
  "buf_header", "$@2", "invocationid_header", "wgid_header",
  "numwg_header", "branchstack_header", "pvtmem_header", "localmem_header",
  "earlypreamble_header", "in_header", "out_header", "tex_header",
  "fullnop_start_section", "fullnop_end_section", "fullsync_start_section",
  "fullsync_end_section", "iflag", "iflags", "instrs", "instr", "label",
  "cat0_src1", "cat0_src2", "cat0_immed", "cat0_instr", "$@3", "$@4",
  "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13",
  "$@14", "$@15", "$@16", "cat1_opc", "cat1_src", "cat1_movmsk", "$@17",
  "mova_src", "cat1_mova1", "$@18", "cat1_mova", "$@19", "cat1_swz",
  "$@20", "cat1_gat", "$@21", "cat1_sct", "$@22", "cat1_instr",
  "cat2_opc_1src", "cat2_opc_2src_cnd", "cat2_opc_2src", "cond",
  "cat2_instr", "cat3_dp_signedness", "cat3_dp_pack", "cat3_opc",
  "cat3_imm_reg_opc", "cat3_wmm", "cat3_dp", "cat3_instr", "cat4_opc",
  "cat4_instr", "cat5_opc_dsxypp", "cat5_opc_isam", "cat5_opc",
  "cat5_flag", "cat5_flags", "cat5_samp", "cat5_tex", "cat5_type",
  "cat5_a1", "cat5_samp_tex", "cat5_samp_tex_all", "cat5_instr",
  "cat6_typed", "cat6_dim", "cat6_type", "cat6_imm_offset", "cat6_offset",
  "cat6_dst_offset", "cat6_immed", "cat6_src_shift",
  "cat6_a6xx_global_address_pt2", "cat6_a6xx_global_address", "cat6_load",
  "$@23", "$@24", "$@25", "$@26", "$@27", "$@28", "$@29", "$@30",
  "cat6_store", "$@31", "$@32", "$@33", "$@34", "$@35", "cat6_loadib",
  "$@36", "cat6_storeib", "$@37", "cat6_prefetch", "$@38",
  "cat6_atomic_opc", "cat6_a3xx_atomic_opc", "cat6_a6xx_atomic_opc",
  "cat6_a3xx_atomic_s", "cat6_a6xx_atomic_g", "cat6_atomic_l",
  "cat6_atomic", "cat6_ibo_opc_1src", "cat6_ibo_opc_ldgb",
  "cat6_ibo_opc_stgb", "cat6_ibo", "$@39", "cat6_id_opc", "cat6_id",
  "cat6_bindless_base", "cat6_bindless_mode", "cat6_reg_or_immed",
  "cat6_bindless_ibo_opc_1src", "cat6_bindless_ibo_opc_2src",
  "cat6_bindless_ibo_opc_3src", "cat6_bindless_ibo_opc_3src_dst",
  "cat6_bindless_ibo", "cat6_bindless_ldc_opc", "cat6_bindless_ldc_middle",
  "cat6_bindless_ldc", "const_dst", "cat6_stc", "$@40", "$@41",
  "cat6_shfl_mode", "cat6_shfl", "$@42", "cat6_ray_intersection", "$@43",
  "cat6_todo", "cat6_instr", "cat7_scope", "cat7_scopes", "cat7_barrier",
  "$@44", "$@45", "cat7_data_cache", "cat7_alias_dst", "cat7_alias_src",
  "cat7_alias_scope", "cat7_alias_int_type", "cat7_alias_float_type",
  "cat7_alias_type", "cat7_alias_table_size_minus_one", "cat7_instr",
  "$@46", "raw_instr", "meta_print_regs", "meta_print_reg",
  "meta_print_start", "meta_print", "src_gpr", "src_a0", "src_a1",
  "src_p0", "src", "dst", "const", "dst_reg_flag", "dst_reg_flags",
  "dst_reg", "src_reg_flag", "src_reg_flags", "src_reg", "src_reg_gpr",
  "src_const", "src_reg_or_const", "src_reg_or_const_or_rel",
  "src_reg_or_const_or_rel_or_imm", "src_reg_or_rel_or_imm", "uoffset",
  "offset", "src_uoffset", "relative_gpr_src", "relative_gpr_dst",
  "relative_const", "relative", "immediate_cat1", "immediate",
  "flut_immed", "integer", "float", "type", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-1090)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-4)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1090,   120,  1284, -1090,    33,  -220,    33,  -203,  -201,  -191,
      33,  -173,  -161,  -154,    33,    33, -1090,  1195,  1284, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090,   225,  -125,   230, -1090,   237,
     160,   243, -1090,   253,   256,   262, -1090, -1090,   -77, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090,   326, -1090, -1090, -1090, -1090,   531,  1440,   306,
   -1090, -1090, -1090,   -18, -1090, -1090, -1090,    33,   -14,   -12,
     -10,    -1,     8,    12,    15,    27,    36, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090,    -9, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090,    37, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090,    40,    53,    57,    42,    44,    45,    55,    58, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090,    47, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090,   198,    59,   198, -1090,   198,   198,   198,    60,
   -1090,   198, -1090,    68,    69,    68, -1090, -1090, -1090, -1090,
   -1090, -1090,    71,    71,    71, -1090, -1090, -1090, -1090,    72,
      71,    71, -1090,    72, -1090,    71,    71,    71,    71, -1090,
      80, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090,   440, -1090,   -18,    98,    33,   441,    33, -1090, -1090,
   -1090, -1090,   448,   450,   455,  -301,  -301,  -301,    46,  -301,
    -301,   108,   108,   108,  -301,   108,   126,   108,   108,   134,
     119,   124,   135,   138,   144,   148,   149,    72,    72,    72,
      72,    72,    72,    72,    72,    72,    71,   125,    72,    72,
      71,    72,    72,    72,   128,   198,   158,   158,   164, -1090,
     152, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,   166,
   -1090,   273,    73,   173,   178,   181,   311,   183,   192,   193,
     194,  -126,   196,   197,   891,    68,   198,   740,   199,   199,
    -100,   210,   210,   210,   494,   210,   210,   210,   198,   210,
     210,   210,   210,    19, -1090, -1090,    33,   208,   188, -1090,
     224, -1090,   200,   236,   238, -1090,   211,   239,   240,   242,
   -1090, -1090,   215, -1090,   244,   245,    83, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090,   198,   198,   228,   198,   198,   232,   248,
     233,   250,   210,   255,   198,   251,   210,   198,   257,   259,
     157,   258,  -131,   158, -1090, -1090,   -70,   269,   283, -1090,
   -1090,   663,   663,   888, -1090, -1090, -1090, -1090, -1090, -1090,
     198,   888,    67,   937,   145, -1090, -1090,   -98,   198,   888,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090,   272,    68,   494,   198,   198, -1090, -1090,   254,
      72,    72,    72, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090,   198,    72,    72, -1090,    72,    72,    72,
      72,   267,   280,   291,   279, -1090, -1090,    33, -1090,    33,
     648,   659,    46, -1090,   108,  -250,  -250, -1090, -1090,   108,
     108,   108, -1090, -1090,   108,   198,   663,   663,   198,   198,
     198,   313,   314,   303,   323,   328,   315,   316,   317,   329,
      72,   201,   342,   335,    72,   354,   339,   341, -1090, -1090,
   -1090, -1090, -1090,    72, -1090,   343, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090,   355,  -247,  -247, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090,   347,   350, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090,    43,   351,   352,   366, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090,   538,    70, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,    46,
     702,   824, -1090, -1090, -1090, -1090, -1090,   369,   371,   372,
     201, -1090,   373, -1090, -1090, -1090,   375, -1090, -1090, -1090,
     376, -1090,   726,   199,   378,   383,   384, -1090, -1090, -1090,
   -1090,   391,   392,   393,   404,   398,   399,   401,   402,   410,
     411,    46,   431,   403,   130,   412, -1090,   419,   420,   429,
   -1090, -1090,   442,   433,   438, -1090, -1090, -1090, -1090, -1090,
   -1090,  1007, -1090, -1090, -1090,   439,   454,   458,   416,   425,
      87,   422,   445,   201,   263,   201,   201,   452,  -242,   443,
     201,   456,   446,    87,    87,    73,   263,   -46,    46,    46,
   -1090,   451,   457,   478,   481, -1090,   467,   468,   284,   476,
     477,   496,   497,   101, -1090, -1090, -1090, -1090,   482,    46,
   -1090, -1090,   888,   888,   263,   263,   321,   937, -1090,   198,
   -1090,   726,    94,    46,    46,    46,   470,    46,    46,    46,
      46,    46,    46,   480,   484,   485,   488, -1090, -1090,    33,
      46,    46,   838, -1090,   108,   108, -1090,   198,   321,   198,
     479,   487,   492,   489, -1090,   491,   505,  -247,   509,   189,
     514,  -219,  -219,    46,   130, -1090,   511, -1090,   513,  -219,
      46,   515,   517,   518,   493,   521, -1090, -1090, -1090, -1090,
   -1090, -1090,   490, -1090, -1090, -1090, -1090,  -247,  -247, -1090,
   -1090, -1090, -1090, -1090,  -247,  -247,   528,   530, -1090,   540,
     498, -1090,   543,   544,   545,   547,   548,   549, -1090, -1090,
     550, -1090, -1090,   551,   546,   552,   560,   536,   198, -1090,
     562,   563,   564,   577,   -15,    46,   -15,   130,   554,   553,
     555,   584, -1090, -1090,   558,   591,   592,   201,   263,    46,
     595,   201,   201,   579,   597,    25,   130,   582, -1090,   583,
     198, -1090,   601,   201,   585,   589,    46,   605,   606,   201,
     607,   846,   593,   594,   609,   611, -1090, -1090, -1090,   888,
      67,   937,    21,   263,   726,    94,   630,    94,   600,   621,
     622,   130,   616,   623,   -15,   -15,   -15,   -15,   633,   633,
     633,   198,   634,   624, -1090,    33, -1090, -1090,    46,   321,
     321,   198,  -242,   626, -1090,   629,  -242,  -242,   645,   201,
     159, -1090,  -247, -1090,   646,   647,   652,    46,  -242,   653,
     632,   637,   321,    21,   657,   321, -1090,   175, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090,   658,   650,   661,   665,
   -1090, -1090,   668, -1090, -1090,   675,   198,   198,   198,   662,
     667,   664,   198,   321,   321,   198,   704, -1090, -1090, -1090,
   -1090,   -15,   671, -1090,   689,   690,   695,   696,   687,   705,
     691,   697,   698,   201,   713,   171,   703, -1090,   201,   201,
     708, -1090,   701,   201,    21, -1090,   724,   725,   130,   727,
   -1090,   728, -1090,   937, -1090,   730,  -192,   739,    38,    38,
     732,   733,   737, -1090,   729,   130,   741,   742,   743,   744,
   -1090,   198,   753,  1095,   321,   321,   198,   747,    21,   201,
     755,   756,   759,    21,   201,   703,   746,   751,   761,   762,
     749,   766,   767,   752,   770,    46,    46, -1090,   321,  1025,
   -1090,    94, -1090, -1090, -1090, -1090, -1090,   771, -1090,   754,
     765,   201,   130,   764,   130,   130,   130,   130, -1090,   769,
     773, -1090,   772,   774,    21, -1090,  -242,    21,    21,    21,
   -1090,   703,  -247,    46, -1090,    21,    21,    21,    21,    21,
     782,    21, -1090, -1090,   783, -1090, -1090, -1090, -1090,   739,
     775,   776,   787,   777,   788, -1090,   790,   650,   650, -1090,
      46,   321,   321, -1090,   779, -1090, -1090, -1090,   791,   795,
   -1090, -1090, -1090,   781, -1090, -1090,   201, -1090,   321,   130,
     130,   201,   799,   201,   130,   800,   801,   803, -1090, -1090,
     804,  -247,   792,   805,   807, -1090,   796,   797, -1090,   201,
     808, -1090,   130,   130,  1158,    21,   813,   802,   201,   201,
     817,   818,   819,   130, -1090, -1090,   821, -1090,   806,    46,
     822,   826,   201,   201,   201,   827,    46,   814,   836,   201,
     201, -1090,   839, -1090,   201,   848,    46, -1090, -1090, -1090,
     201, -1090,  1170,   849,   850,   851, -1090,   201,    46, -1090,
   -1090
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       2,     0,     4,     1,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    40,    56,     4,     6,
       7,     8,     9,    10,    11,    12,    16,    17,    18,    13,
      14,    15,    20,    22,    19,     0,     0,     0,    31,     0,
       0,     0,    37,     0,     0,     0,    38,    39,     0,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,   523,     0,    71,    72,    73,    74,    56,     0,    56,
      59,    70,    68,     0,    69,     5,    21,     0,     0,    30,
       0,     0,     0,     0,     0,     0,     0,    75,   527,    57,
      82,    83,    85,    87,     0,    91,    93,    95,    97,    99,
     101,   102,   104,   105,   106,   107,   108,   109,   110,   112,
     113,   114,   115,     0,   116,   118,   119,   121,   122,   123,
     124,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,   176,   177,   158,   168,   154,   171,   159,   160,   161,
     162,   163,   178,   179,   180,   181,   169,   170,   182,   183,
     184,   185,   155,   186,   187,   164,   188,   172,   173,   189,
     190,   191,   165,   157,   156,   192,   193,   194,   195,   196,
     197,   198,   166,   167,   199,   200,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   237,   238,   235,
     236,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   254,   255,   280,   281,   282,
     283,   284,   285,   286,   320,   341,   343,   345,   349,   347,
     356,   358,   362,   360,   366,   470,   471,   370,   351,   364,
     472,   411,   430,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   429,   443,   442,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     412,   413,   368,   448,   353,   418,   419,   420,   456,   458,
     466,   468,   493,   495,   516,   518,   497,   498,   499,   517,
     519,   520,   521,    60,     0,   146,   147,   148,   149,   150,
     151,    61,     0,     0,     0,    62,     0,     0,     0,     0,
      63,     0,    64,   298,   298,   298,    65,   473,   475,   474,
     476,   477,     0,     0,     0,   409,   410,   408,   478,     0,
       0,     0,   479,     0,   480,     0,     0,     0,     0,   482,
       0,   481,   483,   484,   485,   486,    66,   514,   515,    67,
      58,     0,   528,   524,     0,     0,     0,    28,    33,    34,
      35,    36,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   491,   491,     0,   537,
       0,   542,   543,   544,   545,   546,   538,   539,   540,     0,
     549,   547,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   298,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   526,   525,     0,     0,     0,    25,
      26,    32,     0,     0,     0,    77,     0,     0,     0,     0,
     617,   619,     0,    89,     0,     0,     0,    96,    98,   100,
     103,   111,   125,   117,   120,   131,   136,   138,   127,   128,
     140,   142,   144,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   491,   494,   496,     0,     0,     0,   548,
     550,     0,     0,     0,   201,   202,   203,   204,   205,   206,
       0,     0,     0,     0,     0,   210,   211,     0,     0,     0,
     293,   287,   292,   296,   294,   295,   297,   288,   289,   290,
     291,   299,     0,   298,     0,     0,     0,   321,   322,     0,
       0,     0,     0,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   327,     0,     0,     0,   421,     0,     0,     0,
       0,     0,     0,     0,     0,   333,    23,     0,    29,    28,
       0,     0,     0,    76,     0,     0,     0,   618,   620,     0,
       0,     0,    81,    80,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   460,   461,
     462,   463,   464,     0,   465,     0,   490,   489,   487,   488,
     492,   504,   505,   506,     0,   575,   575,   529,   541,   551,
     552,   553,   554,   555,     0,     0,   595,   596,   597,   598,
     599,   530,   531,   532,     0,     0,     0,     0,   152,   533,
     534,   535,   536,   558,   562,   556,     0,   564,   565,   566,
     129,   586,   587,   567,   130,   588,   153,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,     0,
       0,     0,   569,   207,   571,   602,   600,     0,     0,     0,
       0,   572,     0,   573,   574,   560,     0,   561,   212,   213,
       0,   253,     0,     0,     0,     0,   316,   323,   324,   325,
     326,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    27,     0,     0,     0,
      84,    79,     0,     0,     0,    90,    92,    94,   126,   132,
     137,     0,   133,   134,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   575,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     577,     0,     0,     0,     0,   621,     0,     0,     0,     0,
       0,     0,     0,     0,   557,   559,   563,   568,     0,     0,
     604,   570,     0,     0,     0,     0,     0,     0,   312,     0,
     302,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   427,   428,     0,
       0,     0,     0,    78,     0,     0,   135,     0,     0,     0,
       0,     0,   454,     0,   453,     0,     0,   575,     0,     0,
       0,   575,   575,     0,     0,   329,     0,   328,     0,   575,
       0,     0,     0,     0,     0,     0,   509,   510,   507,   508,
     511,   512,     0,   578,   576,   583,   582,   575,   575,   593,
     594,   622,   589,   590,   575,   575,     0,     0,   601,     0,
       0,   209,     0,     0,     0,     0,     0,     0,   300,   301,
     306,   307,   315,   304,     0,     0,     0,     0,     0,   416,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    86,    88,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   331,     0,
       0,   330,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   591,   592,   603,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   422,   422,
     422,     0,     0,     0,   452,     0,    41,    42,     0,     0,
       0,     0,   575,     0,   455,     0,   575,   575,     0,     0,
       0,   340,   575,   332,     0,     0,     0,     0,   575,     0,
       0,     0,     0,     0,     0,     0,   513,     0,   581,   585,
     584,   580,   208,   239,   240,   241,     0,   575,   306,   307,
     308,   318,   304,   305,   314,   304,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   425,   426,   424,
     449,     0,     0,    24,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   335,   339,     0,     0,
       0,   371,     0,     0,     0,   354,     0,     0,     0,     0,
     501,     0,   500,     0,   579,     0,     0,     0,     0,     0,
       0,     0,     0,   414,     0,     0,     0,     0,     0,     0,
     423,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   335,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   467,     0,     0,
     242,     0,   309,   303,   310,   311,   317,   304,   313,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   450,     0,
       0,   141,     0,     0,     0,   344,   575,     0,     0,     0,
     359,   335,   575,     0,   338,     0,     0,     0,     0,     0,
       0,     0,   457,   459,     0,   522,   502,   503,   319,     0,
       0,     0,     0,     0,     0,   444,     0,   575,   575,   451,
       0,     0,     0,   342,     0,   350,   348,   357,     0,     0,
     334,   363,   361,     0,   352,   365,     0,   355,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   143,   145,
       0,   575,     0,     0,     0,   469,     0,     0,   406,     0,
       0,   445,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   446,   447,     0,   346,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   407,     0,   415,     0,     0,     0,   337,   367,   369,
       0,   417,     0,     0,     0,     0,   336,     0,     0,   405,
      43
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1090, -1090, -1090,  1189, -1090,    -4, -1090, -1090, -1090,   581,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,  1141, -1090,
    1142, -1090,  -221,   580,  -360, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090,   651, -1090, -1090,   568, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090,  -238,   361,  -790,  -459,  -882,   362,
    -991, -1090,   405,   190,   757,   320,  -904,  -738,  -740, -1089,
   -1090,   260, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090,  -757,  -826,  -575,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,  -488, -1090,
   -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
    -391, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090, -1090,
   -1090, -1090, -1090, -1090, -1090,   833, -1090, -1090, -1090,  -753,
   -1090,  -797, -1090,  -170,  -447,  -496, -1090,   778,  -330, -1090,
    -528,  -543, -1090, -1090,  -675,  -533,  -552,  -817,  -985,  -678,
    -942,   660, -1090, -1090,  -572,  -642,  -560,   500,  -405,   389,
     639
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     1,     2,    17,    18,   499,    19,    20,   500,   501,
     397,    21,    79,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    63,    64,    65,    66,    67,    68,    69,
      70,    71,   507,   793,   517,   333,   405,   406,   407,   639,
     409,   410,   411,   412,   413,   414,   415,   417,   418,   644,
     334,   708,   335,   645,   800,   336,   646,   337,   647,   338,
     648,   339,   649,   340,   650,   341,   342,   343,   344,   570,
     345,   472,   578,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   475,   476,  1078,  1079,   595,  1185,  1080,
    1081,   356,   481,   600,   485,   905,   906,   987,   623,  1167,
    1051,   898,   357,   427,   428,   429,   431,   430,   438,   441,
    1174,   358,   432,   433,   435,   434,   439,   359,   436,   360,
     440,   361,   437,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,  1023,   373,   374,  1097,  1031,   876,
     375,   376,   377,   378,   379,   380,   624,   381,   893,   382,
     442,   443,   673,   383,   444,   384,   445,   385,   386,   553,
     554,   387,   446,   447,   388,  1131,  1225,   684,   920,   921,
     922,  1067,   389,   448,    72,   392,   393,    73,    74,   709,
     710,   711,   712,   713,   460,   714,   461,   462,   463,   715,
     750,   717,   756,   718,   719,   742,   743,   752,   830,   907,
    1135,   721,   464,   722,   723,   724,   744,   745,   746,   840,
     612
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      36,   753,    38,   513,   803,   803,    42,   831,   832,   858,
      46,    47,   465,   754,   467,   560,   468,   469,   470,   748,
     596,   473,   510,   511,   510,   511,  1084,   761,   720,   720,
     751,   755,   687,   716,   716,   741,    32,    33,    34,   749,
     945,   873,   505,   741,   716,   687,   510,   511,   835,   510,
     511,   741,   518,   519,   449,   521,   555,   523,   524,   506,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   951,   394,   687,   688,  1212,   687,   688,   450,
     449,   451,   452,   453,   454,   455,   510,   511,   625,   642,
     510,   511,  1134,   791,   689,   690,   691,   692,   693,   694,
     695,   687,   694,   695,   510,   511,   835,   828,   947,   953,
     792,   643,   828,   802,   802,   551,   478,   479,   801,   801,
       3,   829,  1248,   954,   955,   956,   904,   958,   959,   960,
     961,   962,   963,   510,   511,   828,    37,   687,  1108,   900,
    1033,   949,  1111,  1112,   847,   674,   592,  1186,  1188,   986,
     702,   915,   687,    39,  1122,    40,   725,   725,   616,   886,
     510,   511,   680,   990,   989,    41,   687,    81,    82,   847,
     995,   994,   689,   690,   691,   692,   693,   694,   687,   942,
     943,   851,   449,    43,  1130,   508,   509,   844,   514,   515,
    1228,   575,   576,   520,  1074,    44,   687,   688,  1092,  1093,
    1094,  1095,    45,   651,   652,   449,   654,   655,   687,   451,
     452,   453,   454,   455,   662,   597,   598,   665,   637,   638,
     846,   758,   759,   988,   988,  1032,  1083,   789,    76,   847,
      77,   988,   451,   452,   453,   454,   455,   591,    78,   676,
     747,   725,   725,   677,    80,   846,   678,   679,   760,  1002,
    1003,    83,  1134,  1134,  1182,  1184,  1004,  1005,   916,   917,
      84,  1077,  1082,    85,  1085,   765,   766,   918,   919,    86,
     687,   688,  1098,  1099,   790,  1151,   681,   682,   683,   795,
     796,   797,    87,   774,   798,   753,   899,   637,   638,   931,
     689,   690,   691,   692,   693,  1265,  1266,   754,   899,   839,
     940,   941,  1244,   900,   859,   846,    -3,   451,   452,   453,
     454,   455,    48,   944,   751,   799,  1180,  1121,   805,   806,
     807,  1028,  1029,  1030,   741,   741,   899,   899,   687,    49,
      50,    51,    52,    88,   848,   912,   913,   391,  1076,  1183,
    1183,  1183,  1183,   395,   396,   975,  1083,   398,   689,   690,
     691,   692,   693,   408,   621,   763,   399,    53,    54,    55,
      56,    57,    58,    59,    60,   400,   701,   702,   703,   401,
     948,   949,   402,   512,  1117,   512,   625,   739,   914,   878,
     702,  1050,   836,   837,   403,  1187,  1187,    35,   456,   457,
     458,   497,  1034,   404,   622,   420,   725,   838,   421,   416,
     512,   740,   419,   846,   422,   894,   423,   424,   701,   702,
     703,   701,   702,   703,   456,   457,   458,   425,   894,   894,
     426,   466,   471,   923,   924,   459,   948,   949,  1187,   892,
     474,   477,  1183,   480,   484,  1222,  1223,   512,   936,   753,
     705,   512,   493,   705,   939,   706,  1089,   494,   706,   498,
     899,   754,  1075,   496,   502,   838,   503,  1072,   625,   625,
     625,   504,   625,   625,   625,   625,   625,   625,   751,   516,
     522,   701,   702,   703,   526,   969,   970,  1073,   525,   527,
     528,   741,   716,   529,   512,   899,   701,   702,   703,   530,
     550,   818,   626,   531,   532,   543,  1105,  1106,   625,   924,
     701,   702,   703,  1127,  1226,   625,   668,   669,   670,   671,
     672,   512,   701,   702,   703,  1115,   456,   457,   458,  1126,
     552,   557,  1129,   706,   972,   973,   556,  1164,   561,   946,
     701,   702,   703,   562,  1249,   558,   563,  1227,   571,   456,
     457,   458,   701,   702,   703,   628,   845,   572,   573,   574,
    1147,  1148,   579,  1177,   633,   594,   630,   974,   577,   976,
     625,   753,   878,   627,  1173,   689,   690,   691,   692,   693,
    1193,   845,   599,   754,  1044,   767,   768,   769,   770,   629,
     845,   924,    53,    54,    55,    56,    57,    58,    59,    60,
     751,  1061,   631,  1286,   634,   635,   632,   636,  1205,   640,
     641,   653,   656,  1210,   701,   702,   703,   658,    61,    62,
     685,  1201,  1202,   675,   877,   659,   878,  1233,   657,  1235,
    1236,  1237,  1238,   785,   686,   663,   661,   762,  1022,   781,
     666,   845,   667,  1104,   784,  1224,   564,   565,   566,   567,
     568,   569,   782,   897,  1243,   901,   902,  1245,  1246,  1247,
     909,   899,   625,   783,   787,  1251,  1252,  1253,  1254,  1255,
    1056,  1257,   701,   702,   703,   788,   510,   511,   808,   809,
     687,   688,   601,   602,   810,   613,   614,   615,   811,   617,
     618,   619,   620,   812,  1276,  1277,   813,   814,   815,  1281,
     689,   690,   691,   692,   693,   694,   695,   819,  1268,  1269,
     816,  1100,   696,   697,   698,   699,   820,  1294,  1295,   822,
     823,  1107,   824,   700,   826,  1275,   833,   827,  1305,   834,
     841,   842,   843,   878,   852,  1297,   853,   854,   855,   845,
     856,   857,   660,   687,   991,   860,   664,  1132,   861,   862,
     878,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   863,   864,   865,  1140,  1141,  1142,   866,
     867,   868,  1146,   869,   870,  1149,   874,   879,   482,   483,
     625,   625,   871,   872,   725,   486,   487,   880,   881,   875,
     489,   490,   491,   492,   882,   883,   890,   878,   884,   878,
     878,   878,   878,   885,   887,   891,   895,   877,   603,   604,
     605,   606,   607,   608,   609,   610,   611,  1042,  1250,   888,
     896,  1046,  1047,   889,   903,  1052,  1053,   908,   910,   927,
     911,  1198,   928,  1058,   929,   930,  1203,   510,   511,  1064,
     925,   687,   688,   932,   933,  1267,   926,   934,   935,   938,
     957,   542,   964,   967,   971,   546,   965,   966,   999,  1066,
     977,   877,  1001,  1009,   878,   878,   694,   695,   978,   878,
     979,   980,   981,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   968,   982,   878,   878,  1114,
    1116,   984,   985,   992,   993,  1006,   996,  1007,   878,   997,
     998,   510,   511,  1000,  1308,   687,   688,  1008,  1010,  1011,
    1012,  1315,  1013,  1014,  1015,  1016,  1017,  1021,  1018,  1035,
    1036,  1323,  1037,  1039,  1019,   689,   690,   691,   692,   693,
     694,   695,  1020,  1330,  1024,  1025,  1026,   727,   728,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,  1027,
     510,   511,  1038,  1162,   687,  1165,  1040,  1041,  1168,  1169,
    1045,  1048,  1049,  1172,  1054,  1055,  1057,  1059,   877,  1060,
    1062,  1063,  1065,   949,   689,   690,   691,   692,   693,   694,
     695,  1090,  1068,  1069,  1086,   877,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,  1070,  1206,
    1071,  1087,  1088,  1091,  1211,  1096,  1101,  1102,  1109,  1110,
    1113,  1118,  1119,  1124,   701,   702,   703,  1120,  1123,  1125,
     510,   511,  1128,  1133,   687,   688,  1136,   512,   829,   704,
    1137,  1232,   877,  1138,   877,   877,   877,   877,   510,   511,
    1139,  1103,   687,   688,  1143,  1145,   705,  1144,  1150,   694,
     695,   706,  1152,   707,  1153,  1154,   696,   697,   698,   699,
    1155,  1156,   689,   690,   691,   692,   693,   700,   849,  1157,
    1158,   580,  1159,   581,   696,   697,   698,   699,  1163,  1160,
    1161,   582,  1166,  1171,   583,   700,   584,   585,  1170,  1175,
    1176,   702,  1178,  1179,   586,  1181,  1274,  1189,  1190,   877,
     877,  1278,  1191,  1280,   877,  1199,  1194,  1195,  1196,  1197,
    1192,  1200,  1204,   587,   588,   589,   590,   593,  1214,  1292,
    1207,  1208,   877,   877,  1209,  1213,  1215,  1216,  1300,  1301,
    1217,  1218,  1219,   877,  1220,  1221,  1229,  1241,  1230,  1242,
     488,  1240,  1311,  1312,  1313,  1231,  1234,  1256,  1258,  1318,
    1319,  1239,  1261,  1263,  1321,  1264,  1259,  1260,  1271,  1262,
    1324,  1270,  1272,  1273,  1279,  1282,  1283,  1329,  1284,  1285,
    1288,  1287,  1289,  1293,  1296,   701,   702,   703,  1290,  1291,
    1298,  1299,  1302,  1303,  1304,  1307,  1325,  1309,   512,  1306,
     739,  1310,  1314,  1316,   533,   534,   535,   536,   537,   538,
     539,   540,   541,  1317,  1320,   544,   545,   705,   547,   548,
     549,    48,   706,  1322,   740,  1327,  1326,    75,    89,  1328,
     786,   390,   580,   726,   581,   804,   794,   983,    49,    50,
      51,    52,   582,   950,   952,   583,   495,   584,   585,   701,
     702,   703,   937,   764,   757,   586,     0,     0,  1043,   559,
     850,     0,   512,     0,   739,     0,    53,    54,    55,    56,
      57,    58,    59,    60,   587,   588,   589,   590,     0,     0,
       0,   705,     0,     0,     0,     0,   706,     0,   740,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,   702,
     703,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   512,     0,   739,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,     0,     0,     0,
     705,     0,     0,     0,     0,   706,     0,   740,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   701,   702,
     703,     0,     0,     0,     0,     0,     0,   771,   772,   773,
       0,   512,     0,   704,     0,     0,   701,   702,   703,     0,
       0,   775,   776,     0,   777,   778,   779,   780,     0,   512,
     705,   704,     0,     0,     0,   706,     0,   707,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   707,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   817,     0,     0,
       0,   821,     0,     0,     0,     0,     0,     0,     0,     0,
     825,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    61,    62,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332
};

static const yytype_int16 yycheck[] =
{
       4,   573,     6,   408,   646,   647,    10,   685,   686,   762,
      14,    15,   342,   573,   344,   462,   346,   347,   348,   571,
     479,   351,     3,     4,     3,     4,  1017,   579,   561,   562,
     573,   574,     7,   561,   562,   563,     3,     4,     5,   572,
     857,   781,   343,   571,   572,     7,     3,     4,     5,     3,
       4,   579,   412,   413,     7,   415,   447,   417,   418,   360,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,   862,    77,     7,     8,  1165,     7,     8,    32,
       7,    34,    35,    36,    37,    38,     3,     4,   493,     6,
       3,     4,  1077,   343,    27,    28,    29,    30,    31,    32,
      33,     7,    32,    33,     3,     4,     5,   354,   861,   862,
     360,   516,   354,   646,   647,   445,   354,   355,   646,   647,
       0,   368,  1211,   863,   864,   865,   368,   867,   868,   869,
     870,   871,   872,     3,     4,   354,   356,     7,  1042,   814,
     966,   333,  1046,  1047,   716,   550,   476,  1138,  1139,   368,
     342,   826,     7,   356,  1058,   356,   561,   562,   488,   801,
       3,     4,   553,   903,   902,   356,     7,     7,     8,   741,
     910,   909,    27,    28,    29,    30,    31,    32,     7,   854,
     855,   741,     7,   356,     9,   406,   407,   715,   409,   410,
    1181,   317,   318,   414,  1011,   356,     7,     8,  1024,  1025,
    1026,  1027,   356,   533,   534,     7,   536,   537,     7,    34,
      35,    36,    37,    38,   544,   315,   316,   547,     3,     4,
     716,   319,   320,   901,   902,   965,  1016,   632,     3,   801,
     355,   909,    34,    35,    36,    37,    38,   475,     8,   370,
     570,   646,   647,   374,     7,   741,   377,   378,   578,   927,
     928,     8,  1237,  1238,  1136,  1137,   934,   935,   304,   305,
       7,  1014,  1015,     7,  1017,   595,   596,   313,   314,     7,
       7,     8,  1029,  1030,   634,  1101,   346,   347,   348,   639,
     640,   641,   359,   613,   644,   857,   814,     3,     4,     5,
      27,    28,    29,    30,    31,  1237,  1238,   857,   826,   704,
     852,   853,  1206,   978,   763,   801,     0,    34,    35,    36,
      37,    38,     6,   856,   857,   645,  1133,  1057,   648,   649,
     650,   336,   337,   338,   852,   853,   854,   855,     7,    23,
      24,    25,    26,     7,   739,   823,   824,   355,  1013,  1136,
    1137,  1138,  1139,   357,   356,   888,  1136,   357,    27,    28,
      29,    30,    31,   362,   335,   593,   357,    51,    52,    53,
      54,    55,    56,    57,    58,   357,   341,   342,   343,   357,
     332,   333,   357,   354,  1052,   354,   781,   356,   825,   784,
     342,   356,   339,   340,   357,  1138,  1139,   354,   341,   342,
     343,   395,   967,   357,   375,   342,   801,   354,   341,   362,
     354,   380,   362,   899,   362,   810,   362,   362,   341,   342,
     343,   341,   342,   343,   341,   342,   343,   362,   823,   824,
     362,   362,   362,   828,   829,   378,   332,   333,  1181,   342,
     362,   362,  1229,   362,   362,  1175,  1176,   354,   843,  1011,
     373,   354,   362,   373,   849,   378,  1021,     7,   378,     8,
     978,  1011,  1012,   355,     6,   354,     6,  1009,   863,   864,
     865,     6,   867,   868,   869,   870,   871,   872,  1011,   361,
     344,   341,   342,   343,   355,   880,   881,  1010,   344,   355,
     345,  1009,  1010,   345,   354,  1013,   341,   342,   343,   345,
     362,   661,   496,   345,   345,   370,  1039,  1040,   903,   904,
     341,   342,   343,  1063,  1179,   910,   349,   350,   351,   352,
     353,   354,   341,   342,   343,   356,   341,   342,   343,  1062,
     362,   369,  1065,   378,   884,   885,   362,   356,   355,   859,
     341,   342,   343,   355,  1212,   369,   355,  1179,   355,   341,
     342,   343,   341,   342,   343,   357,   716,   355,   355,   355,
    1093,  1094,   355,  1128,   343,   356,   356,   887,   362,   889,
     965,  1133,   967,   355,  1124,    27,    28,    29,    30,    31,
    1145,   741,   362,  1133,   979,   321,   322,   323,   324,   355,
     750,   986,    51,    52,    53,    54,    55,    56,    57,    58,
    1133,   996,   356,  1271,   355,   355,   358,   355,  1158,   355,
     355,   373,   370,  1163,   341,   342,   343,   374,   302,   303,
     341,  1154,  1155,   355,   784,   365,  1021,  1192,   370,  1194,
    1195,  1196,  1197,   627,   341,   374,   371,   355,   958,   362,
     373,   801,   373,  1038,   355,  1178,   325,   326,   327,   328,
     329,   330,   362,   813,  1204,   815,   816,  1207,  1208,  1209,
     820,  1179,  1057,   362,     6,  1215,  1216,  1217,  1218,  1219,
     990,  1221,   341,   342,   343,     6,     3,     4,   355,   355,
       7,     8,   482,   483,   371,   485,   486,   487,   355,   489,
     490,   491,   492,   355,  1259,  1260,   371,   371,   371,  1264,
      27,    28,    29,    30,    31,    32,    33,   355,  1241,  1242,
     371,  1031,    39,    40,    41,    42,   371,  1282,  1283,   355,
     371,  1041,   371,    50,   371,  1258,   369,   362,  1293,   369,
     369,   369,   356,  1128,   355,  1285,   355,   355,   355,   899,
     355,   355,   542,     7,   904,   357,   546,  1067,   355,   355,
    1145,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,   362,   362,   362,  1086,  1087,  1088,   355,
     362,   362,  1092,   362,   362,  1095,   335,   355,   363,   364,
    1175,  1176,   362,   362,  1179,   370,   371,   358,   358,   376,
     375,   376,   377,   378,   355,   343,   370,  1192,   355,  1194,
    1195,  1196,  1197,   355,   355,   370,   374,   967,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   977,  1213,   355,
     365,   981,   982,   355,   362,   985,   986,   374,   362,   341,
     374,  1151,   341,   993,   357,   357,  1156,     3,     4,   999,
     379,     7,     8,   357,   357,  1240,   379,   341,   341,   357,
     370,   436,   362,   355,     6,   440,   362,   362,   355,     3,
     371,  1021,   362,   355,  1259,  1260,    32,    33,   371,  1264,
     368,   372,   371,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,   879,   371,  1282,  1283,  1049,
    1050,   372,   368,   372,   371,   357,   371,   357,  1293,   372,
     372,     3,     4,   372,  1299,     7,     8,   357,   355,   355,
     355,  1306,   355,   355,   355,   355,   355,   371,   362,   355,
     357,  1316,   357,   355,   362,    27,    28,    29,    30,    31,
      32,    33,   362,  1328,   362,   362,   362,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,   362,
       3,     4,   358,  1113,     7,  1115,   355,   355,  1118,  1119,
     355,   372,   355,  1123,   372,   372,   355,   372,  1128,   370,
     355,   355,   355,   333,    27,    28,    29,    30,    31,    32,
      33,   355,   379,   379,   374,  1145,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,   379,  1159,
     379,   370,   370,   370,  1164,   362,   362,   373,   372,   370,
     355,   355,   355,   371,   341,   342,   343,   355,   355,   372,
       3,     4,   355,   355,     7,     8,   355,   354,   368,   356,
     355,  1191,  1192,   355,  1194,  1195,  1196,  1197,     3,     4,
     355,  1035,     7,     8,   372,   371,   373,   370,   334,    32,
      33,   378,   371,   380,   355,   355,    39,    40,    41,    42,
     355,   355,    27,    28,    29,    30,    31,    50,   356,   372,
     355,   321,   371,   323,    39,    40,    41,    42,   355,   372,
     372,   331,   369,   372,   334,    50,   336,   337,   370,   355,
     355,   342,   355,   355,   344,   355,  1256,   355,   355,  1259,
    1260,  1261,   355,  1263,  1264,   342,   355,   355,   355,   355,
     371,     6,   355,   363,   364,   365,   366,   367,   357,  1279,
     355,   355,  1282,  1283,   355,   369,   355,   355,  1288,  1289,
     371,   355,   355,  1293,   372,   355,   355,   355,   374,   355,
     373,   358,  1302,  1303,  1304,   370,   372,   355,   355,  1309,
    1310,   372,   355,   355,  1314,   355,   371,   371,   357,   372,
    1320,   372,   357,   372,   355,   355,   355,  1327,   355,   355,
     355,   369,   355,   355,     6,   341,   342,   343,   372,   372,
     357,   369,   355,   355,   355,   369,     6,   355,   354,   358,
     356,   355,   355,   369,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   357,   355,   438,   439,   373,   441,   442,
     443,     6,   378,   355,   380,   355,   357,    18,    67,   358,
     629,    69,   321,   562,   323,   647,   636,   897,    23,    24,
      25,    26,   331,   862,   862,   334,   393,   336,   337,   341,
     342,   343,   843,   594,   574,   344,    -1,    -1,   978,   461,
     740,    -1,   354,    -1,   356,    -1,    51,    52,    53,    54,
      55,    56,    57,    58,   363,   364,   365,   366,    -1,    -1,
      -1,   373,    -1,    -1,    -1,    -1,   378,    -1,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   342,
     343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   354,    -1,   356,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    -1,    -1,    -1,
     373,    -1,    -1,    -1,    -1,   378,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,   342,
     343,    -1,    -1,    -1,    -1,    -1,    -1,   600,   601,   602,
      -1,   354,    -1,   356,    -1,    -1,   341,   342,   343,    -1,
      -1,   614,   615,    -1,   617,   618,   619,   620,    -1,   354,
     373,   356,    -1,    -1,    -1,   378,    -1,   380,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   660,    -1,    -1,
      -1,   664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,   303,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,   382,   383,     0,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,   384,   385,   387,
     388,   392,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,     3,     4,     5,   354,   386,   356,   386,   356,
     356,   356,   386,   356,   356,   356,   386,   386,     6,    23,
      24,    25,    26,    51,    52,    53,    54,    55,    56,    57,
      58,   302,   303,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   555,   558,   559,   384,     3,   355,     8,   393,
       7,     7,     8,     8,     7,     7,     7,   359,     7,   409,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   416,   431,   433,   436,   438,   440,   442,
     444,   446,   447,   448,   449,   451,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   472,   483,   492,   498,
     500,   502,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   516,   517,   521,   522,   523,   524,   525,
     526,   528,   530,   534,   536,   538,   539,   542,   545,   553,
     411,   355,   556,   557,   386,   357,   356,   391,   357,   357,
     357,   357,   357,   357,   357,   417,   418,   419,   362,   421,
     422,   423,   424,   425,   426,   427,   362,   428,   429,   362,
     342,   341,   362,   362,   362,   362,   362,   484,   485,   486,
     488,   487,   493,   494,   496,   495,   499,   503,   489,   497,
     501,   490,   531,   532,   535,   537,   543,   544,   554,     7,
      32,    34,    35,    36,    37,    38,   341,   342,   343,   378,
     565,   567,   568,   569,   583,   569,   362,   569,   569,   569,
     569,   362,   452,   569,   362,   464,   465,   362,   465,   465,
     362,   473,   473,   473,   362,   475,   473,   473,   475,   473,
     473,   473,   473,   362,     7,   556,   355,   386,     8,   386,
     389,   390,     6,     6,     6,   343,   360,   413,   413,   413,
       3,     4,   354,   589,   413,   413,   361,   415,   415,   415,
     413,   415,   344,   415,   415,   344,   355,   355,   345,   345,
     345,   345,   345,   475,   475,   475,   475,   475,   475,   475,
     475,   475,   473,   370,   475,   475,   473,   475,   475,   475,
     362,   569,   362,   540,   541,   541,   362,   369,   369,   568,
     565,   355,   355,   355,   325,   326,   327,   328,   329,   330,
     450,   355,   355,   355,   355,   317,   318,   362,   453,   355,
     321,   323,   331,   334,   336,   337,   344,   363,   364,   365,
     366,   465,   569,   367,   356,   468,   468,   315,   316,   362,
     474,   474,   474,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   591,   474,   474,   474,   569,   474,   474,   474,
     474,   335,   375,   479,   527,   589,   386,   355,   357,   355,
     356,   356,   358,   343,   355,   355,   355,     3,     4,   420,
     355,   355,     6,   589,   430,   434,   437,   439,   441,   443,
     445,   569,   569,   373,   569,   569,   370,   370,   374,   365,
     474,   371,   569,   374,   474,   569,   373,   373,   349,   350,
     351,   352,   353,   533,   589,   355,   370,   374,   377,   378,
     541,   346,   347,   348,   548,   341,   341,     7,     8,    27,
      28,    29,    30,    31,    32,    33,    39,    40,    41,    42,
      50,   341,   342,   343,   356,   373,   378,   380,   432,   560,
     561,   562,   563,   564,   566,   570,   571,   572,   574,   575,
     576,   582,   584,   585,   586,   589,   432,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,   356,
     380,   571,   576,   577,   587,   588,   589,   569,   577,   576,
     571,   572,   578,   585,   587,   572,   573,   582,   319,   320,
     569,   577,   355,   465,   591,   569,   569,   321,   322,   323,
     324,   475,   475,   475,   569,   475,   475,   475,   475,   475,
     475,   362,   362,   362,   355,   386,   390,     6,     6,   589,
     415,   343,   360,   414,   414,   415,   415,   415,   415,   569,
     435,   571,   576,   586,   435,   569,   569,   569,   355,   355,
     371,   355,   355,   371,   371,   371,   371,   475,   564,   355,
     371,   475,   355,   371,   371,   475,   371,   362,   354,   368,
     579,   580,   580,   369,   369,     5,   339,   340,   354,   589,
     590,   369,   369,   356,   571,   564,   566,   585,   589,   356,
     588,   587,   355,   355,   355,   355,   355,   355,   560,   468,
     357,   355,   355,   362,   362,   362,   355,   362,   362,   362,
     362,   362,   362,   479,   335,   376,   520,   564,   589,   355,
     358,   358,   355,   343,   355,   355,   586,   355,   355,   355,
     370,   370,   342,   529,   589,   374,   365,   564,   482,   571,
     575,   564,   564,   362,   368,   476,   477,   580,   374,   564,
     362,   374,   529,   529,   565,   575,   304,   305,   313,   314,
     549,   550,   551,   589,   589,   379,   379,   341,   341,   357,
     357,     5,   357,   357,   341,   341,   589,   590,   357,   589,
     577,   577,   575,   575,   572,   578,   569,   560,   332,   333,
     466,   467,   470,   560,   479,   479,   479,   370,   479,   479,
     479,   479,   479,   479,   362,   362,   362,   355,   386,   589,
     589,     6,   415,   415,   569,   572,   569,   371,   371,   368,
     372,   371,   371,   476,   372,   368,   368,   478,   580,   478,
     479,   564,   372,   371,   478,   479,   371,   372,   372,   355,
     372,   362,   580,   580,   580,   580,   357,   357,   357,   355,
     355,   355,   355,   355,   355,   355,   355,   355,   362,   362,
     362,   371,   569,   515,   362,   362,   362,   362,   336,   337,
     338,   519,   479,   519,   520,   355,   357,   357,   358,   355,
     355,   355,   564,   482,   589,   355,   564,   564,   372,   355,
     356,   481,   564,   564,   372,   372,   569,   355,   564,   372,
     370,   589,   355,   355,   564,   355,     3,   552,   379,   379,
     379,   379,   577,   576,   578,   587,   575,   560,   466,   467,
     470,   471,   560,   467,   471,   560,   374,   370,   370,   520,
     355,   370,   519,   519,   519,   519,   362,   518,   518,   518,
     569,   362,   373,   386,   589,   572,   572,   569,   477,   372,
     370,   477,   477,   355,   564,   356,   564,   580,   355,   355,
     355,   479,   477,   355,   371,   372,   572,   587,   355,   572,
       9,   546,   569,   355,   579,   581,   355,   355,   355,   355,
     569,   569,   569,   372,   370,   371,   569,   572,   572,   569,
     334,   519,   371,   355,   355,   355,   355,   372,   355,   371,
     372,   372,   564,   355,   356,   564,   369,   480,   564,   564,
     370,   372,   564,   587,   491,   355,   355,   520,   355,   355,
     578,   355,   469,   562,   469,   469,   471,   560,   471,   355,
     355,   355,   371,   520,   355,   355,   355,   355,   569,   342,
       6,   572,   572,   569,   355,   587,   564,   355,   355,   355,
     587,   564,   480,   369,   357,   355,   355,   371,   355,   355,
     372,   355,   479,   479,   572,   547,   575,   586,   471,   355,
     374,   370,   564,   520,   372,   520,   520,   520,   520,   372,
     358,   355,   355,   587,   477,   587,   587,   587,   480,   580,
     589,   587,   587,   587,   587,   587,   355,   587,   355,   371,
     371,   355,   372,   355,   355,   581,   581,   589,   572,   572,
     372,   357,   357,   372,   564,   572,   520,   520,   564,   355,
     564,   520,   355,   355,   355,   355,   580,   369,   355,   355,
     372,   372,   564,   355,   520,   520,     6,   587,   357,   369,
     564,   564,   355,   355,   355,   520,   358,   369,   589,   355,
     355,   564,   564,   564,   355,   589,   369,   357,   564,   564,
     355,   564,   355,   589,   564,     6,   357,   355,   358,   564,
     589
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   381,   383,   382,   384,   384,   385,   385,   385,   385,
     385,   385,   385,   385,   385,   385,   385,   385,   385,   386,
     386,   386,   386,   387,   388,   389,   390,   390,   390,   391,
     391,   393,   392,   394,   395,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   408,
     408,   408,   408,   408,   408,   408,   409,   409,   410,   410,
     411,   411,   411,   411,   411,   411,   411,   411,   411,   411,
     411,   411,   411,   411,   411,   412,   413,   413,   414,   414,
     415,   415,   416,   417,   416,   418,   416,   419,   416,   420,
     416,   421,   416,   422,   416,   423,   416,   424,   416,   425,
     416,   416,   426,   416,   416,   416,   416,   416,   416,   416,
     427,   416,   416,   416,   416,   416,   428,   416,   416,   429,
     416,   416,   416,   416,   416,   430,   416,   431,   431,   432,
     432,   434,   433,   435,   435,   435,   437,   436,   439,   438,
     441,   440,   443,   442,   445,   444,   446,   446,   446,   446,
     446,   446,   446,   446,   447,   447,   447,   447,   447,   447,
     447,   447,   447,   447,   447,   447,   447,   447,   448,   448,
     448,   448,   448,   448,   449,   449,   449,   449,   449,   449,
     449,   449,   449,   449,   449,   449,   449,   449,   449,   449,
     449,   449,   449,   449,   449,   449,   449,   449,   449,   449,
     449,   450,   450,   450,   450,   450,   450,   451,   451,   451,
     452,   452,   453,   453,   454,   454,   454,   454,   454,   454,
     454,   454,   454,   454,   454,   454,   454,   454,   454,   454,
     455,   455,   455,   455,   455,   456,   456,   457,   457,   458,
     458,   458,   458,   459,   459,   459,   459,   459,   459,   459,
     459,   459,   459,   460,   461,   461,   462,   463,   463,   463,
     463,   463,   463,   463,   463,   463,   463,   463,   463,   463,
     463,   463,   463,   463,   463,   463,   463,   463,   463,   463,
     463,   463,   463,   463,   463,   463,   463,   464,   464,   464,
     464,   464,   464,   464,   464,   464,   464,   464,   465,   465,
     466,   467,   468,   469,   470,   470,   470,   470,   471,   471,
     471,   471,   472,   472,   472,   472,   472,   472,   472,   472,
     472,   473,   473,   474,   474,   474,   474,   475,   476,   477,
     477,   478,   478,   479,   480,   480,   481,   481,   481,   481,
     482,   484,   483,   485,   483,   486,   483,   487,   483,   488,
     483,   489,   483,   490,   491,   483,   493,   492,   494,   492,
     495,   492,   496,   492,   497,   492,   499,   498,   501,   500,
     503,   502,   504,   504,   504,   504,   504,   504,   504,   504,
     504,   504,   504,   505,   505,   505,   505,   505,   505,   505,
     505,   505,   505,   505,   506,   506,   506,   506,   506,   506,
     506,   506,   506,   506,   506,   507,   508,   509,   510,   510,
     510,   511,   512,   513,   514,   514,   515,   514,   516,   516,
     516,   517,   518,   518,   519,   519,   519,   520,   520,   521,
     521,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   523,   524,   525,   525,   525,   525,   526,   527,
     527,   527,   528,   529,   529,   529,   531,   530,   532,   530,
     533,   533,   533,   533,   533,   533,   535,   534,   537,   536,
     538,   538,   538,   539,   539,   539,   539,   539,   539,   539,
     539,   539,   539,   539,   539,   539,   539,   540,   540,   540,
     540,   541,   541,   543,   542,   544,   542,   545,   545,   545,
     546,   546,   547,   547,   548,   548,   548,   549,   549,   550,
     550,   551,   551,   552,   553,   553,   553,   553,   553,   553,
     553,   554,   553,   555,   556,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   564,   564,   564,   565,   565,   565,
     565,   566,   567,   567,   567,   567,   567,   568,   568,   569,
     569,   570,   570,   570,   570,   570,   571,   571,   572,   572,
     573,   573,   574,   574,   575,   575,   576,   576,   576,   577,
     577,   577,   578,   578,   578,   579,   579,   580,   580,   581,
     582,   582,   583,   583,   584,   584,   585,   585,   586,   586,
     586,   586,   586,   586,   586,   586,   586,   586,   586,   586,
     587,   587,   587,   587,   587,   588,   588,   588,   588,   588,
     588,   588,   588,   588,   588,   588,   588,   589,   589,   589,
     589,   590,   590,   591,   591,   591,   591,   591,   591,   591,
     591,   591
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     0,     3,     0,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     6,    11,     1,     1,     3,     0,     3,
       0,     0,     5,     4,     4,     4,     4,     2,     2,     2,
       1,    10,    10,    23,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     2,     2,     1,
       2,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     2,     1,
       2,     2,     1,     0,     5,     0,     7,     0,     7,     0,
       5,     0,     5,     0,     5,     0,     3,     0,     3,     0,
       3,     1,     0,     3,     1,     1,     1,     1,     1,     1,
       0,     3,     1,     1,     1,     1,     0,     3,     1,     0,
       3,     1,     1,     1,     1,     0,     5,     3,     3,     1,
       1,     0,     5,     1,     1,     2,     0,     5,     0,     5,
       0,    11,     0,    13,     0,    13,     1,     1,     1,     1,
       1,     1,     4,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     8,     6,
       2,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     8,
       8,     8,    10,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     0,     2,
       1,     1,     3,     1,     1,     3,     1,     1,     1,     3,
       3,     3,     5,    10,     8,     6,     4,    10,     8,    11,
       1,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       2,     1,     2,     1,     3,     0,    12,    10,     4,     2,
       3,     0,    12,     0,    11,     0,    15,     0,    12,     0,
      12,     0,    12,     0,     0,    12,     0,    12,     0,    11,
       0,    12,     0,    12,     0,    12,     0,    17,     0,    17,
       0,     9,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,    20,    13,    16,     1,     1,
       1,     1,     1,     1,     9,    16,     0,    17,     1,     1,
       1,     3,     0,     2,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,    11,    13,    14,    14,     1,     6,
       8,     9,     7,     1,     1,     3,     0,    11,     0,    11,
       1,     1,     1,     1,     1,     1,     0,    10,     0,    13,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     0,     2,     0,     3,     0,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,    11,     1,     1,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     1,     1,     1,     1,     1,     1,     2,     1,     2,
       1,     1,     1,     2,     1,     1,     1,     1,     2,     1,
       2,     1,     1,     1,     1,     0,     2,     1,     2,     1,
       5,     5,     5,     5,     5,     5,     1,     1,     1,     3,
       3,     4,     4,     3,     3,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       2,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* $@1: %empty  */
#line 798 "../src/freedreno/ir3/ir3_parser.y"
                   { new_shader(); }
#line 3393 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 19: /* const_val: T_FLOAT  */
#line 817 "../src/freedreno/ir3/ir3_parser.y"
                             { (yyval.unum) = fui((yyvsp[0].flt)); }
#line 3399 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 20: /* const_val: T_INT  */
#line 818 "../src/freedreno/ir3/ir3_parser.y"
                             { (yyval.unum) = (yyvsp[0].num);      }
#line 3405 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 21: /* const_val: '-' T_INT  */
#line 819 "../src/freedreno/ir3/ir3_parser.y"
                             { (yyval.unum) = -(yyvsp[0].num);     }
#line 3411 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 22: /* const_val: T_HEX  */
#line 820 "../src/freedreno/ir3/ir3_parser.y"
                             { (yyval.unum) = (yyvsp[0].unum);      }
#line 3417 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 23: /* localsize_header: T_A_LOCALSIZE const_val ',' const_val ',' const_val  */
#line 822 "../src/freedreno/ir3/ir3_parser.y"
                                                                       {
                       variant->local_size[0] = (yyvsp[-4].unum);
                       variant->local_size[1] = (yyvsp[-2].unum);
                       variant->local_size[2] = (yyvsp[0].unum);
}
#line 3427 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 24: /* const_header: T_A_CONST '(' T_CONSTANT ')' const_val ',' const_val ',' const_val ',' const_val  */
#line 828 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                    {
                       add_const((yyvsp[-8].num), (yyvsp[-6].unum), (yyvsp[-4].unum), (yyvsp[-2].unum), (yyvsp[0].unum));
}
#line 3435 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 25: /* buf_header_init_val: const_val  */
#line 832 "../src/freedreno/ir3/ir3_parser.y"
                                { add_buf_init_val((yyvsp[0].unum)); }
#line 3441 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 29: /* buf_header_addr_reg: '(' T_CONSTANT ')'  */
#line 838 "../src/freedreno/ir3/ir3_parser.y"
                                      {
                       assert(((yyvsp[-1].num) & 0x1) == 0);  /* half-reg not allowed */
                       unsigned reg = (yyvsp[-1].num) >> 1;

                       info->buf_addr_regs[info->num_bufs - 1] = reg;
                       /* reserve space in immediates for the actual value to be plugged in later: */
                       add_const((yyvsp[-1].num), 0, 0, 0, 0);
}
#line 3454 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 31: /* $@2: %empty  */
#line 848 "../src/freedreno/ir3/ir3_parser.y"
                                     {
                       int idx = info->num_bufs++;
                       assert(idx < MAX_BUFS);
                       info->buf_sizes[idx] = (yyvsp[0].unum);
}
#line 3464 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 33: /* invocationid_header: T_A_INVOCATIONID '(' T_REGISTER ')'  */
#line 854 "../src/freedreno/ir3/ir3_parser.y"
                                                         {
                       assert(((yyvsp[-1].num) & 0x1) == 0);  /* half-reg not allowed */
                       unsigned reg = (yyvsp[-1].num) >> 1;
                       add_sysval(reg, 0x7, SYSTEM_VALUE_LOCAL_INVOCATION_ID);
}
#line 3474 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 34: /* wgid_header: T_A_WGID '(' T_REGISTER ')'  */
#line 860 "../src/freedreno/ir3/ir3_parser.y"
                                               {
                       assert(((yyvsp[-1].num) & 0x1) == 0);  /* half-reg not allowed */
                       unsigned reg = (yyvsp[-1].num) >> 1;
                       assert(variant->compiler->gen >= 5);
                       assert(reg >= regid(48, 0)); /* must be a high reg */
                       add_sysval(reg, 0x7, SYSTEM_VALUE_WORKGROUP_ID);
}
#line 3486 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 35: /* wgid_header: T_A_WGID '(' T_CONSTANT ')'  */
#line 867 "../src/freedreno/ir3/ir3_parser.y"
                                               {
                       assert(((yyvsp[-1].num) & 0x1) == 0);  /* half-reg not allowed */
                       unsigned reg = (yyvsp[-1].num) >> 1;
                       assert(variant->compiler->gen < 5);
                       info->wgid = reg;
}
#line 3497 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 36: /* numwg_header: T_A_NUMWG '(' T_CONSTANT ')'  */
#line 874 "../src/freedreno/ir3/ir3_parser.y"
                                                {
                       assert(((yyvsp[-1].num) & 0x1) == 0);  /* half-reg not allowed */
                       unsigned reg = (yyvsp[-1].num) >> 1;
                       info->numwg = reg;
                       /* reserve space in immediates for the actual value to be plugged in later: */
                       if (variant->compiler->gen >= 5)
                          add_const((yyvsp[-1].num), 0, 0, 0, 0);
}
#line 3510 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 37: /* branchstack_header: T_A_BRANCHSTACK const_val  */
#line 883 "../src/freedreno/ir3/ir3_parser.y"
                                              { variant->branchstack = (yyvsp[0].unum); }
#line 3516 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 38: /* pvtmem_header: T_A_PVTMEM const_val  */
#line 885 "../src/freedreno/ir3/ir3_parser.y"
                                    { variant->pvtmem_size = (yyvsp[0].unum); }
#line 3522 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 39: /* localmem_header: T_A_LOCALMEM const_val  */
#line 887 "../src/freedreno/ir3/ir3_parser.y"
                                        { variant->shared_size = (yyvsp[0].unum); }
#line 3528 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 40: /* earlypreamble_header: T_A_EARLYPREAMBLE  */
#line 889 "../src/freedreno/ir3/ir3_parser.y"
                                        { variant->early_preamble = 1; }
#line 3534 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 41: /* in_header: T_A_IN '(' T_REGISTER ')' T_IDENTIFIER '(' T_IDENTIFIER '=' integer ')'  */
#line 892 "../src/freedreno/ir3/ir3_parser.y"
                                                                                           { }
#line 3540 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 42: /* out_header: T_A_OUT '(' T_REGISTER ')' T_IDENTIFIER '(' T_IDENTIFIER '=' integer ')'  */
#line 894 "../src/freedreno/ir3/ir3_parser.y"
                                                                                            { }
#line 3546 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 43: /* tex_header: T_A_TEX '(' T_REGISTER ')' T_IDENTIFIER '=' integer ',' T_IDENTIFIER '=' integer ',' T_IDENTIFIER '=' integer ',' T_IDENTIFIER '=' integer ',' T_IDENTIFIER '=' integer  */
#line 901 "../src/freedreno/ir3/ir3_parser.y"
                                                              { }
#line 3552 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 44: /* fullnop_start_section: T_A_FULLNOPSTART  */
#line 903 "../src/freedreno/ir3/ir3_parser.y"
                                        { is_in_fullnop_section = true; }
#line 3558 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 45: /* fullnop_end_section: T_A_FULLNOPEND  */
#line 904 "../src/freedreno/ir3/ir3_parser.y"
                                    { is_in_fullnop_section = false; }
#line 3564 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 46: /* fullsync_start_section: T_A_FULLSYNCSTART  */
#line 905 "../src/freedreno/ir3/ir3_parser.y"
                                          { is_in_fullsync_section = true; }
#line 3570 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 47: /* fullsync_end_section: T_A_FULLSYNCEND  */
#line 906 "../src/freedreno/ir3/ir3_parser.y"
                                      { is_in_fullsync_section = false; }
#line 3576 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 48: /* iflag: T_SY  */
#line 908 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.flags |= IR3_INSTR_SY; }
#line 3582 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 49: /* iflag: T_SS  */
#line 909 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.flags |= IR3_INSTR_SS; }
#line 3588 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 50: /* iflag: T_JP  */
#line 910 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.flags |= IR3_INSTR_JP; }
#line 3594 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 51: /* iflag: T_EQ_FLAG  */
#line 911 "../src/freedreno/ir3/ir3_parser.y"
                             { iflags.flags |= IR3_INSTR_EQ; }
#line 3600 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 52: /* iflag: T_SAT  */
#line 912 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.flags |= IR3_INSTR_SAT; }
#line 3606 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 53: /* iflag: T_RPT  */
#line 913 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.repeat = (yyvsp[0].num); }
#line 3612 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 54: /* iflag: T_UL  */
#line 914 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.flags |= IR3_INSTR_UL; }
#line 3618 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 55: /* iflag: T_NOP  */
#line 915 "../src/freedreno/ir3/ir3_parser.y"
                          { iflags.nop = (yyvsp[0].tok); }
#line 3624 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 65: /* instr: iflags cat5_instr  */
#line 928 "../src/freedreno/ir3/ir3_parser.y"
                                     { fixup_cat5_s2en(); }
#line 3630 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 75: /* label: T_IDENTIFIER ':'  */
#line 939 "../src/freedreno/ir3/ir3_parser.y"
                                    { new_label((yyvsp[-1].str)); }
#line 3636 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 76: /* cat0_src1: '!' T_P0  */
#line 941 "../src/freedreno/ir3/ir3_parser.y"
                                   { instr->cat0.inv1 = true; (yyval.reg) = new_src((62 << 3) + (yyvsp[0].num), IR3_REG_PREDICATE); }
#line 3642 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 77: /* cat0_src1: T_P0  */
#line 942 "../src/freedreno/ir3/ir3_parser.y"
                                   { (yyval.reg) = new_src((62 << 3) + (yyvsp[0].num), IR3_REG_PREDICATE); }
#line 3648 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 78: /* cat0_src2: '!' T_P0  */
#line 944 "../src/freedreno/ir3/ir3_parser.y"
                                   { instr->cat0.inv2 = true; (yyval.reg) = new_src((62 << 3) + (yyvsp[0].num), IR3_REG_PREDICATE); }
#line 3654 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 79: /* cat0_src2: T_P0  */
#line 945 "../src/freedreno/ir3/ir3_parser.y"
                                   { (yyval.reg) = new_src((62 << 3) + (yyvsp[0].num), IR3_REG_PREDICATE); }
#line 3660 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 80: /* cat0_immed: '#' integer  */
#line 947 "../src/freedreno/ir3/ir3_parser.y"
                                   { instr->cat0.immed = (yyvsp[0].num); }
#line 3666 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 81: /* cat0_immed: '#' T_IDENTIFIER  */
#line 948 "../src/freedreno/ir3/ir3_parser.y"
                                    { ralloc_steal(instr, (void *)(yyvsp[0].str)); instr->cat0.target_label = (yyvsp[0].str); }
#line 3672 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 82: /* cat0_instr: T_OP_NOP  */
#line 950 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_NOP); }
#line 3678 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 83: /* $@3: %empty  */
#line 951 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BR);   }
#line 3684 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 85: /* $@4: %empty  */
#line 952 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BRAO); }
#line 3690 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 87: /* $@5: %empty  */
#line 953 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BRAA); }
#line 3696 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 89: /* $@6: %empty  */
#line 954 "../src/freedreno/ir3/ir3_parser.y"
                                         { new_instr(OPC_BRAC)->cat0.idx = (yyvsp[0].num); }
#line 3702 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 91: /* $@7: %empty  */
#line 955 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BANY); }
#line 3708 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 93: /* $@8: %empty  */
#line 956 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BALL); }
#line 3714 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 95: /* $@9: %empty  */
#line 957 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BRAX); }
#line 3720 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 97: /* $@10: %empty  */
#line 958 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_JUMP); }
#line 3726 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 99: /* $@11: %empty  */
#line 959 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_CALL); }
#line 3732 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 101: /* cat0_instr: T_OP_RET  */
#line 960 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_RET); }
#line 3738 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 102: /* $@12: %empty  */
#line 961 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_KILL); }
#line 3744 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 104: /* cat0_instr: T_OP_END  */
#line 962 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_END); }
#line 3750 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 105: /* cat0_instr: T_OP_EMIT  */
#line 963 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_EMIT); }
#line 3756 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 106: /* cat0_instr: T_OP_CUT  */
#line 964 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_CUT); }
#line 3762 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 107: /* cat0_instr: T_OP_CHMASK  */
#line 965 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_CHMASK); }
#line 3768 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 108: /* cat0_instr: T_OP_CHSH  */
#line 966 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_CHSH); }
#line 3774 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 109: /* cat0_instr: T_OP_FLOW_REV  */
#line 967 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_FLOW_REV); }
#line 3780 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 110: /* $@13: %empty  */
#line 968 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_BKT); }
#line 3786 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 112: /* cat0_instr: T_OP_STKS  */
#line 969 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_STKS); }
#line 3792 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 113: /* cat0_instr: T_OP_STKR  */
#line 970 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_STKR); }
#line 3798 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 114: /* cat0_instr: T_OP_XSET  */
#line 971 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_XSET); }
#line 3804 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 115: /* cat0_instr: T_OP_XCLR  */
#line 972 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_XCLR); }
#line 3810 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 116: /* $@14: %empty  */
#line 973 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_GETONE); }
#line 3816 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 118: /* cat0_instr: T_OP_DBG  */
#line 974 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_DBG); }
#line 3822 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 119: /* $@15: %empty  */
#line 975 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_SHPS); }
#line 3828 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 121: /* cat0_instr: T_OP_SHPE  */
#line 976 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_SHPE); }
#line 3834 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 122: /* cat0_instr: T_OP_PREDT  */
#line 977 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_PREDT); }
#line 3840 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 123: /* cat0_instr: T_OP_PREDF  */
#line 978 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_PREDF); }
#line 3846 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 124: /* cat0_instr: T_OP_PREDE  */
#line 979 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_PREDE); }
#line 3852 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 125: /* $@16: %empty  */
#line 980 "../src/freedreno/ir3/ir3_parser.y"
                                        { new_instr(OPC_GETLAST); }
#line 3858 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 127: /* cat1_opc: T_OP_MOV '.' T_CAT1_TYPE_TYPE  */
#line 982 "../src/freedreno/ir3/ir3_parser.y"
                                                 {
                       parse_type_type(new_instr(OPC_MOV), (yyvsp[0].str));
}
#line 3866 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 128: /* cat1_opc: T_OP_COV '.' T_CAT1_TYPE_TYPE  */
#line 985 "../src/freedreno/ir3/ir3_parser.y"
                                                 {
                       parse_type_type(new_instr(OPC_MOV), (yyvsp[0].str));
}
#line 3874 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 131: /* $@17: %empty  */
#line 992 "../src/freedreno/ir3/ir3_parser.y"
                                       {
                       new_instr(OPC_MOVMSK);
                       instr->cat1.src_type = TYPE_U32;
                       instr->cat1.dst_type = TYPE_U32;
                   }
#line 3884 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 132: /* cat1_movmsk: T_OP_MOVMSK '.' T_W $@17 dst_reg  */
#line 996 "../src/freedreno/ir3/ir3_parser.y"
                             {
                       if (((yyvsp[-2].num) % 32) != 0)
                          yyerror("w# must be multiple of 32");
                       if ((yyvsp[-2].num) < 32)
                          yyerror("w# must be at least 32");

                       int num = (yyvsp[-2].num) / 32;

                       instr->repeat = num - 1;
                       instr->dsts[0]->wrmask = (1 << num) - 1;
                   }
#line 3900 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 136: /* $@18: %empty  */
#line 1012 "../src/freedreno/ir3/ir3_parser.y"
                                       {
                       new_instr(OPC_MOV);
                       instr->cat1.src_type = TYPE_U16;
                       instr->cat1.dst_type = TYPE_U16;
                       new_dst((61 << 3) + 2, IR3_REG_HALF);
                   }
#line 3911 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 138: /* $@19: %empty  */
#line 1019 "../src/freedreno/ir3/ir3_parser.y"
                                      {
                       new_instr(OPC_MOV);
                       instr->cat1.src_type = TYPE_S16;
                       instr->cat1.dst_type = TYPE_S16;
                       new_dst((61 << 3), IR3_REG_HALF);
                   }
#line 3922 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 140: /* $@20: %empty  */
#line 1026 "../src/freedreno/ir3/ir3_parser.y"
                                                 { parse_type_type(new_instr(OPC_SWZ), (yyvsp[0].str)); }
#line 3928 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 142: /* $@21: %empty  */
#line 1028 "../src/freedreno/ir3/ir3_parser.y"
                                                 { parse_type_type(new_instr(OPC_GAT), (yyvsp[0].str)); }
#line 3934 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 144: /* $@22: %empty  */
#line 1030 "../src/freedreno/ir3/ir3_parser.y"
                                                 { parse_type_type(new_instr(OPC_SCT), (yyvsp[0].str)); }
#line 3940 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 154: /* cat2_opc_1src: T_OP_ABSNEG_F  */
#line 1042 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ABSNEG_F); }
#line 3946 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 155: /* cat2_opc_1src: T_OP_ABSNEG_S  */
#line 1043 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ABSNEG_S); }
#line 3952 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 156: /* cat2_opc_1src: T_OP_CLZ_B  */
#line 1044 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CLZ_B); }
#line 3958 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 157: /* cat2_opc_1src: T_OP_CLZ_S  */
#line 1045 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CLZ_S); }
#line 3964 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 158: /* cat2_opc_1src: T_OP_SIGN_F  */
#line 1046 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SIGN_F); }
#line 3970 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 159: /* cat2_opc_1src: T_OP_FLOOR_F  */
#line 1047 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_FLOOR_F); }
#line 3976 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 160: /* cat2_opc_1src: T_OP_CEIL_F  */
#line 1048 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CEIL_F); }
#line 3982 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 161: /* cat2_opc_1src: T_OP_RNDNE_F  */
#line 1049 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RNDNE_F); }
#line 3988 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 162: /* cat2_opc_1src: T_OP_RNDAZ_F  */
#line 1050 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RNDAZ_F); }
#line 3994 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 163: /* cat2_opc_1src: T_OP_TRUNC_F  */
#line 1051 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_TRUNC_F); }
#line 4000 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 164: /* cat2_opc_1src: T_OP_NOT_B  */
#line 1052 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_NOT_B); }
#line 4006 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 165: /* cat2_opc_1src: T_OP_BFREV_B  */
#line 1053 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_BFREV_B); }
#line 4012 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 166: /* cat2_opc_1src: T_OP_SETRM  */
#line 1054 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SETRM); }
#line 4018 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 167: /* cat2_opc_1src: T_OP_CBITS_B  */
#line 1055 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CBITS_B); }
#line 4024 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 168: /* cat2_opc_2src_cnd: T_OP_CMPS_F  */
#line 1057 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CMPS_F); }
#line 4030 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 169: /* cat2_opc_2src_cnd: T_OP_CMPS_U  */
#line 1058 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CMPS_U); }
#line 4036 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 170: /* cat2_opc_2src_cnd: T_OP_CMPS_S  */
#line 1059 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CMPS_S); }
#line 4042 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 171: /* cat2_opc_2src_cnd: T_OP_CMPV_F  */
#line 1060 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CMPV_F); }
#line 4048 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 172: /* cat2_opc_2src_cnd: T_OP_CMPV_U  */
#line 1061 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CMPV_U); }
#line 4054 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 173: /* cat2_opc_2src_cnd: T_OP_CMPV_S  */
#line 1062 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CMPV_S); }
#line 4060 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 174: /* cat2_opc_2src: T_OP_ADD_F  */
#line 1064 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ADD_F); }
#line 4066 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 175: /* cat2_opc_2src: T_OP_MIN_F  */
#line 1065 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MIN_F); }
#line 4072 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 176: /* cat2_opc_2src: T_OP_MAX_F  */
#line 1066 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAX_F); }
#line 4078 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 177: /* cat2_opc_2src: T_OP_MUL_F  */
#line 1067 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MUL_F); }
#line 4084 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 178: /* cat2_opc_2src: T_OP_ADD_U  */
#line 1068 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ADD_U); }
#line 4090 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 179: /* cat2_opc_2src: T_OP_ADD_S  */
#line 1069 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ADD_S); }
#line 4096 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 180: /* cat2_opc_2src: T_OP_SUB_U  */
#line 1070 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SUB_U); }
#line 4102 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 181: /* cat2_opc_2src: T_OP_SUB_S  */
#line 1071 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SUB_S); }
#line 4108 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 182: /* cat2_opc_2src: T_OP_MIN_U  */
#line 1072 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MIN_U); }
#line 4114 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 183: /* cat2_opc_2src: T_OP_MIN_S  */
#line 1073 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MIN_S); }
#line 4120 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 184: /* cat2_opc_2src: T_OP_MAX_U  */
#line 1074 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAX_U); }
#line 4126 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 185: /* cat2_opc_2src: T_OP_MAX_S  */
#line 1075 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAX_S); }
#line 4132 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 186: /* cat2_opc_2src: T_OP_AND_B  */
#line 1076 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_AND_B); }
#line 4138 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 187: /* cat2_opc_2src: T_OP_OR_B  */
#line 1077 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_OR_B); }
#line 4144 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 188: /* cat2_opc_2src: T_OP_XOR_B  */
#line 1078 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_XOR_B); }
#line 4150 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 189: /* cat2_opc_2src: T_OP_MUL_U24  */
#line 1079 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MUL_U24); }
#line 4156 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 190: /* cat2_opc_2src: T_OP_MUL_S24  */
#line 1080 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MUL_S24); }
#line 4162 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 191: /* cat2_opc_2src: T_OP_MULL_U  */
#line 1081 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MULL_U); }
#line 4168 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 192: /* cat2_opc_2src: T_OP_SHL_B  */
#line 1082 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHL_B); }
#line 4174 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 193: /* cat2_opc_2src: T_OP_SHR_B  */
#line 1083 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHR_B); }
#line 4180 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 194: /* cat2_opc_2src: T_OP_ASHR_B  */
#line 1084 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ASHR_B); }
#line 4186 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 195: /* cat2_opc_2src: T_OP_BARY_F  */
#line 1085 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_BARY_F); }
#line 4192 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 196: /* cat2_opc_2src: T_OP_FLAT_B  */
#line 1086 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_FLAT_B); }
#line 4198 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 197: /* cat2_opc_2src: T_OP_MGEN_B  */
#line 1087 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MGEN_B); }
#line 4204 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 198: /* cat2_opc_2src: T_OP_GETBIT_B  */
#line 1088 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GETBIT_B); }
#line 4210 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 199: /* cat2_opc_2src: T_OP_SHB  */
#line 1089 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHB); }
#line 4216 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 200: /* cat2_opc_2src: T_OP_MSAD  */
#line 1090 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MSAD); }
#line 4222 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 201: /* cond: T_LT  */
#line 1092 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat2.condition = IR3_COND_LT; }
#line 4228 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 202: /* cond: T_LE  */
#line 1093 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat2.condition = IR3_COND_LE; }
#line 4234 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 203: /* cond: T_GT  */
#line 1094 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat2.condition = IR3_COND_GT; }
#line 4240 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 204: /* cond: T_GE  */
#line 1095 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat2.condition = IR3_COND_GE; }
#line 4246 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 205: /* cond: T_EQ  */
#line 1096 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat2.condition = IR3_COND_EQ; }
#line 4252 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 206: /* cond: T_NE  */
#line 1097 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat2.condition = IR3_COND_NE; }
#line 4258 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 210: /* cat3_dp_signedness: '.' T_MIXED  */
#line 1103 "../src/freedreno/ir3/ir3_parser.y"
                                 { instr->cat3.signedness = IR3_SRC_MIXED; }
#line 4264 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 211: /* cat3_dp_signedness: '.' T_UNSIGNED  */
#line 1104 "../src/freedreno/ir3/ir3_parser.y"
                                 { instr->cat3.signedness = IR3_SRC_UNSIGNED; }
#line 4270 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 212: /* cat3_dp_pack: '.' T_LOW  */
#line 1106 "../src/freedreno/ir3/ir3_parser.y"
                                 { instr->cat3.packed = IR3_SRC_PACKED_LOW; }
#line 4276 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 213: /* cat3_dp_pack: '.' T_HIGH  */
#line 1107 "../src/freedreno/ir3/ir3_parser.y"
                                 { instr->cat3.packed = IR3_SRC_PACKED_HIGH; }
#line 4282 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 214: /* cat3_opc: T_OP_MAD_U16  */
#line 1109 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAD_U16); }
#line 4288 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 215: /* cat3_opc: T_OP_MADSH_U16  */
#line 1110 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MADSH_U16); }
#line 4294 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 216: /* cat3_opc: T_OP_MAD_S16  */
#line 1111 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAD_S16); }
#line 4300 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 217: /* cat3_opc: T_OP_MADSH_M16  */
#line 1112 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MADSH_M16); }
#line 4306 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 218: /* cat3_opc: T_OP_MAD_U24  */
#line 1113 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAD_U24); }
#line 4312 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 219: /* cat3_opc: T_OP_MAD_S24  */
#line 1114 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAD_S24); }
#line 4318 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 220: /* cat3_opc: T_OP_MAD_F16  */
#line 1115 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAD_F16); }
#line 4324 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 221: /* cat3_opc: T_OP_MAD_F32  */
#line 1116 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_MAD_F32); }
#line 4330 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 222: /* cat3_opc: T_OP_SEL_B16  */
#line 1117 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SEL_B16); }
#line 4336 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 223: /* cat3_opc: T_OP_SEL_B32  */
#line 1118 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SEL_B32); }
#line 4342 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 224: /* cat3_opc: T_OP_SEL_S16  */
#line 1119 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SEL_S16); }
#line 4348 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 225: /* cat3_opc: T_OP_SEL_S32  */
#line 1120 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SEL_S32); }
#line 4354 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 226: /* cat3_opc: T_OP_SEL_F16  */
#line 1121 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SEL_F16); }
#line 4360 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 227: /* cat3_opc: T_OP_SEL_F32  */
#line 1122 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SEL_F32); }
#line 4366 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 228: /* cat3_opc: T_OP_SAD_S16  */
#line 1123 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAD_S16); }
#line 4372 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 229: /* cat3_opc: T_OP_SAD_S32  */
#line 1124 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAD_S32); }
#line 4378 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 230: /* cat3_imm_reg_opc: T_OP_SHRM  */
#line 1126 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHRM); }
#line 4384 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 231: /* cat3_imm_reg_opc: T_OP_SHLM  */
#line 1127 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHLM); }
#line 4390 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 232: /* cat3_imm_reg_opc: T_OP_SHRG  */
#line 1128 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHRG); }
#line 4396 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 233: /* cat3_imm_reg_opc: T_OP_SHLG  */
#line 1129 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SHLG); }
#line 4402 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 234: /* cat3_imm_reg_opc: T_OP_ANDG  */
#line 1130 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ANDG); }
#line 4408 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 235: /* cat3_wmm: T_OP_WMM  */
#line 1132 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_WMM); }
#line 4414 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 236: /* cat3_wmm: T_OP_WMM_ACCU  */
#line 1133 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_WMM_ACCU); }
#line 4420 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 237: /* cat3_dp: T_OP_DP2ACC  */
#line 1135 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_DP2ACC); }
#line 4426 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 238: /* cat3_dp: T_OP_DP4ACC  */
#line 1136 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_DP4ACC); }
#line 4432 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 243: /* cat4_opc: T_OP_RCP  */
#line 1143 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RCP); }
#line 4438 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 244: /* cat4_opc: T_OP_RSQ  */
#line 1144 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RSQ); }
#line 4444 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 245: /* cat4_opc: T_OP_LOG2  */
#line 1145 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_LOG2); }
#line 4450 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 246: /* cat4_opc: T_OP_EXP2  */
#line 1146 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_EXP2); }
#line 4456 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 247: /* cat4_opc: T_OP_SIN  */
#line 1147 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SIN); }
#line 4462 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 248: /* cat4_opc: T_OP_COS  */
#line 1148 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_COS); }
#line 4468 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 249: /* cat4_opc: T_OP_SQRT  */
#line 1149 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SQRT); }
#line 4474 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 250: /* cat4_opc: T_OP_HRSQ  */
#line 1150 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_HRSQ); }
#line 4480 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 251: /* cat4_opc: T_OP_HLOG2  */
#line 1151 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_HLOG2); }
#line 4486 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 252: /* cat4_opc: T_OP_HEXP2  */
#line 1152 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_HEXP2); }
#line 4492 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 254: /* cat5_opc_dsxypp: T_OP_DSXPP_1  */
#line 1156 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_DSXPP_1)->cat5.type = TYPE_F32; }
#line 4498 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 255: /* cat5_opc_dsxypp: T_OP_DSYPP_1  */
#line 1157 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_DSYPP_1)->cat5.type = TYPE_F32; }
#line 4504 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 256: /* cat5_opc_isam: T_OP_ISAM  */
#line 1159 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ISAM)->flags |= IR3_INSTR_INV_1D; }
#line 4510 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 257: /* cat5_opc: T_OP_ISAML  */
#line 1161 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ISAML); }
#line 4516 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 258: /* cat5_opc: T_OP_ISAMM  */
#line 1162 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_ISAMM); }
#line 4522 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 259: /* cat5_opc: T_OP_SAM  */
#line 1163 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAM); }
#line 4528 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 260: /* cat5_opc: T_OP_SAMB  */
#line 1164 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAMB); }
#line 4534 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 261: /* cat5_opc: T_OP_SAML  */
#line 1165 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAML); }
#line 4540 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 262: /* cat5_opc: T_OP_SAMGQ  */
#line 1166 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAMGQ); }
#line 4546 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 263: /* cat5_opc: T_OP_GETLOD  */
#line 1167 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GETLOD); }
#line 4552 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 264: /* cat5_opc: T_OP_CONV  */
#line 1168 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CONV); }
#line 4558 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 265: /* cat5_opc: T_OP_CONVM  */
#line 1169 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_CONVM); }
#line 4564 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 266: /* cat5_opc: T_OP_GETSIZE  */
#line 1170 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GETSIZE); }
#line 4570 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 267: /* cat5_opc: T_OP_GETBUF  */
#line 1171 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GETBUF); }
#line 4576 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 268: /* cat5_opc: T_OP_GETPOS  */
#line 1172 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GETPOS); }
#line 4582 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 269: /* cat5_opc: T_OP_GETINFO  */
#line 1173 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GETINFO); }
#line 4588 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 270: /* cat5_opc: T_OP_DSX  */
#line 1174 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_DSX); }
#line 4594 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 271: /* cat5_opc: T_OP_DSY  */
#line 1175 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_DSY); }
#line 4600 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 272: /* cat5_opc: T_OP_GATHER4R  */
#line 1176 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GATHER4R); }
#line 4606 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 273: /* cat5_opc: T_OP_GATHER4G  */
#line 1177 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GATHER4G); }
#line 4612 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 274: /* cat5_opc: T_OP_GATHER4B  */
#line 1178 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GATHER4B); }
#line 4618 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 275: /* cat5_opc: T_OP_GATHER4A  */
#line 1179 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_GATHER4A); }
#line 4624 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 276: /* cat5_opc: T_OP_SAMGP0  */
#line 1180 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAMGP0); }
#line 4630 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 277: /* cat5_opc: T_OP_SAMGP1  */
#line 1181 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAMGP1); }
#line 4636 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 278: /* cat5_opc: T_OP_SAMGP2  */
#line 1182 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAMGP2); }
#line 4642 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 279: /* cat5_opc: T_OP_SAMGP3  */
#line 1183 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_SAMGP3); }
#line 4648 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 280: /* cat5_opc: T_OP_RGETPOS  */
#line 1184 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RGETPOS); }
#line 4654 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 281: /* cat5_opc: T_OP_RGETINFO  */
#line 1185 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RGETINFO); }
#line 4660 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 282: /* cat5_opc: T_OP_BRCST_A  */
#line 1186 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_BRCST_ACTIVE); }
#line 4666 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 283: /* cat5_opc: T_OP_QSHUFFLE_BRCST  */
#line 1187 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_QUAD_SHUFFLE_BRCST); }
#line 4672 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 284: /* cat5_opc: T_OP_QSHUFFLE_H  */
#line 1188 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_QUAD_SHUFFLE_HORIZ); }
#line 4678 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 285: /* cat5_opc: T_OP_QSHUFFLE_V  */
#line 1189 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_QUAD_SHUFFLE_VERT); }
#line 4684 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 286: /* cat5_opc: T_OP_QSHUFFLE_DIAG  */
#line 1190 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_QUAD_SHUFFLE_DIAG); }
#line 4690 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 287: /* cat5_flag: '.' T_3D  */
#line 1192 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_3D; }
#line 4696 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 288: /* cat5_flag: '.' 'a'  */
#line 1193 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_A; }
#line 4702 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 289: /* cat5_flag: '.' 'o'  */
#line 1194 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_O; }
#line 4708 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 290: /* cat5_flag: '.' 'p'  */
#line 1195 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_P; }
#line 4714 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 291: /* cat5_flag: '.' 's'  */
#line 1196 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_S; }
#line 4720 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 292: /* cat5_flag: '.' T_S2EN  */
#line 1197 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_S2EN; }
#line 4726 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 293: /* cat5_flag: '.' T_1D  */
#line 1198 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags &= ~IR3_INSTR_INV_1D; }
#line 4732 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 294: /* cat5_flag: '.' T_UNIFORM  */
#line 1199 "../src/freedreno/ir3/ir3_parser.y"
                                  { }
#line 4738 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 295: /* cat5_flag: '.' T_NONUNIFORM  */
#line 1200 "../src/freedreno/ir3/ir3_parser.y"
                                     { instr->flags |= IR3_INSTR_NONUNIF; }
#line 4744 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 296: /* cat5_flag: '.' T_BASE  */
#line 1201 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_B; instr->cat5.tex_base = (yyvsp[0].tok); }
#line 4750 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 297: /* cat5_flag: '.' T_W  */
#line 1202 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat5.cluster_size = (yyvsp[0].num); }
#line 4756 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 300: /* cat5_samp: T_SAMP  */
#line 1206 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat5.samp = (yyvsp[0].tok); }
#line 4762 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 301: /* cat5_tex: T_TEX  */
#line 1207 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat5.tex = (yyvsp[0].tok); }
#line 4768 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 302: /* cat5_type: '(' type ')'  */
#line 1208 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat5.type = (yyvsp[-1].type); }
#line 4774 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 303: /* cat5_a1: src_a1  */
#line 1209 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->flags |= IR3_INSTR_A1EN; }
#line 4780 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 319: /* cat5_instr: cat5_opc_isam '.' 'v' cat5_flags cat5_type dst_reg ',' src_gpr src_uoffset ',' cat5_samp_tex_all  */
#line 1228 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                                    { instr->flags |= IR3_INSTR_V; }
#line 4786 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 320: /* cat5_instr: T_OP_TCINV  */
#line 1229 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_TCINV); }
#line 4792 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 321: /* cat6_typed: '.' T_UNTYPED  */
#line 1231 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat6.typed = 0; }
#line 4798 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 322: /* cat6_typed: '.' T_TYPED  */
#line 1232 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat6.typed = 1; }
#line 4804 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 323: /* cat6_dim: '.' T_1D  */
#line 1234 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.d = 1; }
#line 4810 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 324: /* cat6_dim: '.' T_2D  */
#line 1235 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.d = 2; }
#line 4816 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 325: /* cat6_dim: '.' T_3D  */
#line 1236 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.d = 3; }
#line 4822 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 326: /* cat6_dim: '.' T_4D  */
#line 1237 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.d = 4; }
#line 4828 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 327: /* cat6_type: '.' type  */
#line 1239 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.type = (yyvsp[0].type); }
#line 4834 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 328: /* cat6_imm_offset: offset  */
#line 1240 "../src/freedreno/ir3/ir3_parser.y"
                             { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[0].num); }
#line 4840 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 331: /* cat6_dst_offset: offset  */
#line 1243 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.dst_offset = (yyvsp[0].num); }
#line 4846 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 333: /* cat6_immed: integer  */
#line 1246 "../src/freedreno/ir3/ir3_parser.y"
                             { instr->cat6.iim_val = (yyvsp[0].num); }
#line 4852 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 334: /* cat6_src_shift: '<' '<' integer  */
#line 1248 "../src/freedreno/ir3/ir3_parser.y"
                                {(yyval.unum) = (yyvsp[0].num);}
#line 4858 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 335: /* cat6_src_shift: %empty  */
#line 1249 "../src/freedreno/ir3/ir3_parser.y"
                                {(yyval.unum) = 0;}
#line 4864 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 336: /* cat6_a6xx_global_address_pt2: '(' '(' '(' src cat6_src_shift ')' offset ')' '<' '<' integer ')'  */
#line 1252 "../src/freedreno/ir3/ir3_parser.y"
                                                                                     {
                        illegal_syntax_from(7, "pre-a7xx global offset syntax");
                        new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[-7].unum);
                        new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[-5].num);
                   }
#line 4874 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 337: /* cat6_a6xx_global_address_pt2: '(' '(' src cat6_src_shift offset ')' '<' '<' integer ')'  */
#line 1257 "../src/freedreno/ir3/ir3_parser.y"
                                                                             {
                        illegal_syntax_from(7, "pre-a7xx global offset syntax");
                        new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[-6].unum);
                        new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[-5].num);
                   }
#line 4884 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 338: /* cat6_a6xx_global_address_pt2: '(' src cat6_src_shift ')'  */
#line 1262 "../src/freedreno/ir3/ir3_parser.y"
                                              {
                        illegal_syntax_from(7, "pre-a7xx global offset syntax");
                        // The shift contains the implicit type shift, subtract it.
                        new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[-1].unum) - cat6_type_shift();
                        new_src(0, IR3_REG_IMMED)->uim_val = 0;
                   }
#line 4895 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 339: /* cat6_a6xx_global_address_pt2: src offset  */
#line 1268 "../src/freedreno/ir3/ir3_parser.y"
                              {
                        if (variant->compiler->gen < 7) {
                            new_src(0, IR3_REG_IMMED)->uim_val = 0;
                            new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[0].num);
                        } else {
                            new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[0].num);
                            // Dummy src to smooth the difference between a6xx and a7xx
                            new_src(0, IR3_REG_IMMED)->uim_val = 0;
                        }
                   }
#line 4910 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 341: /* $@23: %empty  */
#line 1282 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDG); }
#line 4916 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 343: /* $@24: %empty  */
#line 1283 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDG_A); }
#line 4922 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 345: /* $@25: %empty  */
#line 1284 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDG_K); }
#line 4928 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 347: /* $@26: %empty  */
#line 1285 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDP); }
#line 4934 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 349: /* $@27: %empty  */
#line 1286 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDL); }
#line 4940 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 351: /* $@28: %empty  */
#line 1287 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDLW); }
#line 4946 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 353: /* $@29: %empty  */
#line 1288 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_LDLV); }
#line 4952 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 354: /* $@30: %empty  */
#line 1288 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                  {
                       new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[-1].num);
                   }
#line 4960 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 356: /* $@31: %empty  */
#line 1292 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_STG); dummy_dst(); }
#line 4966 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 358: /* $@32: %empty  */
#line 1293 "../src/freedreno/ir3/ir3_parser.y"
                              { new_instr(OPC_STG_A); dummy_dst(); }
#line 4972 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 360: /* $@33: %empty  */
#line 1294 "../src/freedreno/ir3/ir3_parser.y"
                             { new_instr(OPC_STP); dummy_dst(); }
#line 4978 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 362: /* $@34: %empty  */
#line 1295 "../src/freedreno/ir3/ir3_parser.y"
                             { new_instr(OPC_STL); dummy_dst(); }
#line 4984 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 364: /* $@35: %empty  */
#line 1296 "../src/freedreno/ir3/ir3_parser.y"
                             { new_instr(OPC_STLW); dummy_dst(); }
#line 4990 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 366: /* $@36: %empty  */
#line 1298 "../src/freedreno/ir3/ir3_parser.y"
                             { new_instr(OPC_LDIB); }
#line 4996 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 368: /* $@37: %empty  */
#line 1299 "../src/freedreno/ir3/ir3_parser.y"
                             { new_instr(OPC_STIB); dummy_dst(); }
#line 5002 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 370: /* $@38: %empty  */
#line 1301 "../src/freedreno/ir3/ir3_parser.y"
                                 { new_instr(OPC_PREFETCH); new_dst(0,0); /* dummy dst */ }
#line 5008 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 372: /* cat6_atomic_opc: T_OP_ATOMIC_ADD  */
#line 1303 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_ADD); }
#line 5014 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 373: /* cat6_atomic_opc: T_OP_ATOMIC_SUB  */
#line 1304 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_SUB); }
#line 5020 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 374: /* cat6_atomic_opc: T_OP_ATOMIC_XCHG  */
#line 1305 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_XCHG); }
#line 5026 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 375: /* cat6_atomic_opc: T_OP_ATOMIC_INC  */
#line 1306 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_INC); }
#line 5032 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 376: /* cat6_atomic_opc: T_OP_ATOMIC_DEC  */
#line 1307 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_DEC); }
#line 5038 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 377: /* cat6_atomic_opc: T_OP_ATOMIC_CMPXCHG  */
#line 1308 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_CMPXCHG); }
#line 5044 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 378: /* cat6_atomic_opc: T_OP_ATOMIC_MIN  */
#line 1309 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_MIN); }
#line 5050 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 379: /* cat6_atomic_opc: T_OP_ATOMIC_MAX  */
#line 1310 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_MAX); }
#line 5056 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 380: /* cat6_atomic_opc: T_OP_ATOMIC_AND  */
#line 1311 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_AND); }
#line 5062 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 381: /* cat6_atomic_opc: T_OP_ATOMIC_OR  */
#line 1312 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_OR); }
#line 5068 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 382: /* cat6_atomic_opc: T_OP_ATOMIC_XOR  */
#line 1313 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_instr(OPC_ATOMIC_XOR); }
#line 5074 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 383: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_ADD  */
#line 1315 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_ADD); }
#line 5080 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 384: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_SUB  */
#line 1316 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_SUB); }
#line 5086 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 385: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_XCHG  */
#line 1317 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_XCHG); }
#line 5092 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 386: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_INC  */
#line 1318 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_INC); }
#line 5098 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 387: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_DEC  */
#line 1319 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_DEC); }
#line 5104 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 388: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_CMPXCHG  */
#line 1320 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_CMPXCHG); }
#line 5110 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 389: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_MIN  */
#line 1321 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_MIN); }
#line 5116 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 390: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_MAX  */
#line 1322 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_MAX); }
#line 5122 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 391: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_AND  */
#line 1323 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_AND); }
#line 5128 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 392: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_OR  */
#line 1324 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_OR); }
#line 5134 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 393: /* cat6_a3xx_atomic_opc: T_OP_ATOMIC_S_XOR  */
#line 1325 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_S_XOR); }
#line 5140 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 394: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_ADD  */
#line 1327 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_ADD); }
#line 5146 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 395: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_SUB  */
#line 1328 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_SUB); }
#line 5152 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 396: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_XCHG  */
#line 1329 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_XCHG); }
#line 5158 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 397: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_INC  */
#line 1330 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_INC); }
#line 5164 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 398: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_DEC  */
#line 1331 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_DEC); }
#line 5170 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 399: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_CMPXCHG  */
#line 1332 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_CMPXCHG); }
#line 5176 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 400: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_MIN  */
#line 1333 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_MIN); }
#line 5182 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 401: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_MAX  */
#line 1334 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_MAX); }
#line 5188 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 402: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_AND  */
#line 1335 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_AND); }
#line 5194 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 403: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_OR  */
#line 1336 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_OR); }
#line 5200 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 404: /* cat6_a6xx_atomic_opc: T_OP_ATOMIC_G_XOR  */
#line 1337 "../src/freedreno/ir3/ir3_parser.y"
                                              { new_instr(OPC_ATOMIC_G_XOR); }
#line 5206 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 411: /* cat6_ibo_opc_1src: T_OP_RESINFO  */
#line 1349 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_RESINFO); }
#line 5212 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 412: /* cat6_ibo_opc_ldgb: T_OP_LDGB  */
#line 1351 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_LDGB); }
#line 5218 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 413: /* cat6_ibo_opc_stgb: T_OP_STGB  */
#line 1352 "../src/freedreno/ir3/ir3_parser.y"
                                  { new_instr(OPC_STGB); }
#line 5224 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 416: /* $@39: %empty  */
#line 1356 "../src/freedreno/ir3/ir3_parser.y"
                                                                                  { dummy_dst(); }
#line 5230 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 418: /* cat6_id_opc: T_OP_GETSPID  */
#line 1359 "../src/freedreno/ir3/ir3_parser.y"
                                { new_instr(OPC_GETSPID); }
#line 5236 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 419: /* cat6_id_opc: T_OP_GETWID  */
#line 1360 "../src/freedreno/ir3/ir3_parser.y"
                                { new_instr(OPC_GETWID); }
#line 5242 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 420: /* cat6_id_opc: T_OP_GETFIBERID  */
#line 1361 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_instr(OPC_GETFIBERID); }
#line 5248 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 423: /* cat6_bindless_base: '.' T_BASE  */
#line 1366 "../src/freedreno/ir3/ir3_parser.y"
                              { instr->flags |= IR3_INSTR_B; instr->cat6.base = (yyvsp[0].tok); }
#line 5254 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 426: /* cat6_bindless_mode: T_NONUNIFORM cat6_bindless_base  */
#line 1370 "../src/freedreno/ir3/ir3_parser.y"
                                                   { instr->flags |= IR3_INSTR_NONUNIF; }
#line 5260 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 428: /* cat6_reg_or_immed: integer  */
#line 1373 "../src/freedreno/ir3/ir3_parser.y"
                           { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[0].num); }
#line 5266 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 429: /* cat6_bindless_ibo_opc_1src: T_OP_RESINFO_B  */
#line 1375 "../src/freedreno/ir3/ir3_parser.y"
                                                 { new_instr(OPC_RESINFO); }
#line 5272 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 430: /* cat6_bindless_ibo_opc_1src: T_OP_RESBASE  */
#line 1376 "../src/freedreno/ir3/ir3_parser.y"
                                                 { new_instr(OPC_RESBASE); }
#line 5278 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 431: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_ADD  */
#line 1378 "../src/freedreno/ir3/ir3_parser.y"
                                                     { new_instr(OPC_ATOMIC_B_ADD); dummy_dst(); }
#line 5284 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 432: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_SUB  */
#line 1379 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_SUB); dummy_dst(); }
#line 5290 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 433: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_XCHG  */
#line 1380 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_XCHG); dummy_dst(); }
#line 5296 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 434: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_INC  */
#line 1381 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_INC); dummy_dst(); }
#line 5302 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 435: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_DEC  */
#line 1382 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_DEC); dummy_dst(); }
#line 5308 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 436: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_CMPXCHG  */
#line 1383 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_CMPXCHG); dummy_dst(); }
#line 5314 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 437: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_MIN  */
#line 1384 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_MIN); dummy_dst(); }
#line 5320 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 438: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_MAX  */
#line 1385 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_MAX); dummy_dst(); }
#line 5326 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 439: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_AND  */
#line 1386 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_AND); dummy_dst(); }
#line 5332 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 440: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_OR  */
#line 1387 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_OR); dummy_dst(); }
#line 5338 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 441: /* cat6_bindless_ibo_opc_2src: T_OP_ATOMIC_B_XOR  */
#line 1388 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_ATOMIC_B_XOR); dummy_dst(); }
#line 5344 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 442: /* cat6_bindless_ibo_opc_3src: T_OP_STIB_B  */
#line 1390 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_STIB); dummy_dst(); }
#line 5350 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 443: /* cat6_bindless_ibo_opc_3src_dst: T_OP_LDIB_B  */
#line 1392 "../src/freedreno/ir3/ir3_parser.y"
                                                         { new_instr(OPC_LDIB); }
#line 5356 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 445: /* cat6_bindless_ibo: cat6_bindless_ibo_opc_2src cat6_typed cat6_dim cat6_type '.' cat6_immed '.' cat6_bindless_mode src_reg ',' cat6_reg_or_immed ',' cat6_reg_or_immed  */
#line 1395 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                                                                                      { swap(instr->srcs[0], instr->srcs[2]); }
#line 5362 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 446: /* cat6_bindless_ibo: cat6_bindless_ibo_opc_3src cat6_typed cat6_dim cat6_type '.' cat6_immed '.' cat6_bindless_mode src_reg ',' cat6_reg_or_immed src_uoffset ',' cat6_reg_or_immed  */
#line 1396 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                                                                                                  { swap(instr->srcs[0], instr->srcs[3]); }
#line 5368 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 447: /* cat6_bindless_ibo: cat6_bindless_ibo_opc_3src_dst cat6_typed cat6_dim cat6_type '.' cat6_immed '.' cat6_bindless_mode dst_reg ',' cat6_reg_or_immed src_uoffset ',' cat6_reg_or_immed  */
#line 1397 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                                                                                                      { swap(instr->srcs[0], instr->srcs[2]); swap(instr->srcs[1], instr->srcs[2]); }
#line 5374 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 448: /* cat6_bindless_ldc_opc: T_OP_LDC  */
#line 1399 "../src/freedreno/ir3/ir3_parser.y"
                                 { new_instr(OPC_LDC); }
#line 5380 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 449: /* cat6_bindless_ldc_middle: T_OFFSET '.' cat6_immed '.' cat6_bindless_mode dst_reg  */
#line 1403 "../src/freedreno/ir3/ir3_parser.y"
                                                                               { instr->cat6.d = (yyvsp[-5].tok); }
#line 5386 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 450: /* cat6_bindless_ldc_middle: 'u' '.' T_OFFSET '.' cat6_immed '.' cat6_bindless_mode dst_reg  */
#line 1404 "../src/freedreno/ir3/ir3_parser.y"
                                                                                       { instr->flags |= IR3_INSTR_U; instr->cat6.d = (yyvsp[-5].tok); }
#line 5392 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 451: /* cat6_bindless_ldc_middle: cat6_immed '.' 'k' '.' cat6_bindless_mode 'c' '[' T_A1 ']'  */
#line 1405 "../src/freedreno/ir3/ir3_parser.y"
                                                                                   { instr->opc = OPC_LDC_K; }
#line 5398 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 452: /* cat6_bindless_ldc: cat6_bindless_ldc_opc '.' cat6_bindless_ldc_middle ',' cat6_reg_or_immed ',' cat6_reg_or_immed  */
#line 1407 "../src/freedreno/ir3/ir3_parser.y"
                                                                                                                  {
                      instr->cat6.type = TYPE_U32;
                      /* TODO cleanup ir3 src order: */
                      swap(instr->srcs[0], instr->srcs[1]);
                   }
#line 5408 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 453: /* const_dst: integer  */
#line 1413 "../src/freedreno/ir3/ir3_parser.y"
                          { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[0].num); }
#line 5414 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 454: /* const_dst: T_A1  */
#line 1414 "../src/freedreno/ir3/ir3_parser.y"
                       { new_src(0, IR3_REG_IMMED)->iim_val = 0; instr->flags |= IR3_INSTR_A1EN; }
#line 5420 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 455: /* const_dst: T_A1 '+' integer  */
#line 1415 "../src/freedreno/ir3/ir3_parser.y"
                                   { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[0].num); instr->flags |= IR3_INSTR_A1EN; }
#line 5426 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 456: /* $@40: %empty  */
#line 1418 "../src/freedreno/ir3/ir3_parser.y"
                        { new_instr(OPC_STC); }
#line 5432 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 458: /* $@41: %empty  */
#line 1419 "../src/freedreno/ir3/ir3_parser.y"
                        { new_instr(OPC_STSC); }
#line 5438 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 460: /* cat6_shfl_mode: T_MOD_XOR  */
#line 1421 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat6.shfl_mode = SHFL_XOR;   }
#line 5444 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 461: /* cat6_shfl_mode: T_MOD_UP  */
#line 1422 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat6.shfl_mode = SHFL_UP;    }
#line 5450 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 462: /* cat6_shfl_mode: T_MOD_DOWN  */
#line 1423 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat6.shfl_mode = SHFL_DOWN;  }
#line 5456 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 463: /* cat6_shfl_mode: T_MOD_RUP  */
#line 1424 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat6.shfl_mode = SHFL_RUP;   }
#line 5462 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 464: /* cat6_shfl_mode: T_MOD_RDOWN  */
#line 1425 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat6.shfl_mode = SHFL_RDOWN; }
#line 5468 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 465: /* cat6_shfl_mode: integer  */
#line 1429 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat6.shfl_mode = (yyvsp[0].num); }
#line 5474 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 466: /* $@42: %empty  */
#line 1432 "../src/freedreno/ir3/ir3_parser.y"
                   { new_instr(OPC_SHFL); }
#line 5480 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 468: /* $@43: %empty  */
#line 1434 "../src/freedreno/ir3/ir3_parser.y"
                                             {
                     new_instr(OPC_RAY_INTERSECTION);
                     }
#line 5488 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 470: /* cat6_todo: T_OP_G2L  */
#line 1438 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_G2L); }
#line 5494 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 471: /* cat6_todo: T_OP_L2G  */
#line 1439 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_L2G); }
#line 5500 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 472: /* cat6_todo: T_OP_RESFMT  */
#line 1440 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_instr(OPC_RESFMT); }
#line 5506 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 487: /* cat7_scope: '.' 'w'  */
#line 1457 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat7.w = true; }
#line 5512 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 488: /* cat7_scope: '.' 'r'  */
#line 1458 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat7.r = true; }
#line 5518 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 489: /* cat7_scope: '.' 'l'  */
#line 1459 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat7.l = true; }
#line 5524 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 490: /* cat7_scope: '.' 'g'  */
#line 1460 "../src/freedreno/ir3/ir3_parser.y"
                            { instr->cat7.g = true; }
#line 5530 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 493: /* $@44: %empty  */
#line 1465 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_BAR); }
#line 5536 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 495: /* $@45: %empty  */
#line 1466 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_FENCE); }
#line 5542 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 497: /* cat7_data_cache: T_OP_DCCLN  */
#line 1468 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_DCCLN); }
#line 5548 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 498: /* cat7_data_cache: T_OP_DCINV  */
#line 1469 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_DCINV); }
#line 5554 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 499: /* cat7_data_cache: T_OP_DCFLU  */
#line 1470 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_DCFLU); }
#line 5560 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 501: /* cat7_alias_dst: T_RT  */
#line 1473 "../src/freedreno/ir3/ir3_parser.y"
                        { new_dst((yyvsp[0].num), IR3_REG_RT); }
#line 5566 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 504: /* cat7_alias_scope: T_MOD_TEX  */
#line 1478 "../src/freedreno/ir3/ir3_parser.y"
                                { instr->cat7.alias_scope = ALIAS_TEX; }
#line 5572 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 505: /* cat7_alias_scope: T_MOD_MEM  */
#line 1479 "../src/freedreno/ir3/ir3_parser.y"
                                { instr->cat7.alias_scope = ALIAS_MEM; }
#line 5578 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 506: /* cat7_alias_scope: T_MOD_RT  */
#line 1480 "../src/freedreno/ir3/ir3_parser.y"
                                { instr->cat7.alias_scope = ALIAS_RT; }
#line 5584 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 512: /* cat7_alias_type: cat7_alias_float_type  */
#line 1489 "../src/freedreno/ir3/ir3_parser.y"
                                        { instr->cat7.alias_type_float = true; }
#line 5590 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 513: /* cat7_alias_table_size_minus_one: T_INT  */
#line 1491 "../src/freedreno/ir3/ir3_parser.y"
                                       { instr->cat7.alias_table_size_minus_one = (yyvsp[0].num); }
#line 5596 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 516: /* cat7_instr: T_OP_SLEEP  */
#line 1495 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_SLEEP); }
#line 5602 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 517: /* cat7_instr: T_OP_CCINV  */
#line 1496 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_CCINV); }
#line 5608 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 518: /* cat7_instr: T_OP_ICINV  */
#line 1497 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_ICINV); }
#line 5614 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 519: /* cat7_instr: T_OP_LOCK  */
#line 1498 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_LOCK); }
#line 5620 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 520: /* cat7_instr: T_OP_UNLOCK  */
#line 1499 "../src/freedreno/ir3/ir3_parser.y"
                                           { new_instr(OPC_UNLOCK); }
#line 5626 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 521: /* $@46: %empty  */
#line 1500 "../src/freedreno/ir3/ir3_parser.y"
                              {
                       new_instr(OPC_ALIAS);
                   }
#line 5634 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 523: /* raw_instr: T_RAW  */
#line 1504 "../src/freedreno/ir3/ir3_parser.y"
                   {new_instr(OPC_META_RAW)->raw.value = (yyvsp[0].u64);}
#line 5640 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 526: /* meta_print_reg: ',' T_REGISTER  */
#line 1509 "../src/freedreno/ir3/ir3_parser.y"
                               {
	meta_print_data.regs_to_dump[meta_print_data.regs_count++] = (yyvsp[0].num);
}
#line 5648 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 527: /* meta_print_start: T_OP_PRINT T_REGISTER  */
#line 1513 "../src/freedreno/ir3/ir3_parser.y"
                                        {
	meta_print_data.reg_address_lo = (yyvsp[0].num);
	meta_print_data.reg_address_hi = (yyvsp[0].num) + 2;
	meta_print_data.reg_tmp = (yyvsp[0].num) + 4;
	meta_print_data.regs_count = 0;
}
#line 5659 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 528: /* meta_print: meta_print_start meta_print_regs  */
#line 1520 "../src/freedreno/ir3/ir3_parser.y"
                                             {
	/* low */
	new_instr(OPC_MOV);
	instr->cat1.src_type = TYPE_U32;
	instr->cat1.dst_type = TYPE_U32;
	new_dst(meta_print_data.reg_address_lo, 0);
	new_src(0, IR3_REG_IMMED)->uim_val = info->shader_print_buffer_iova & 0xffffffff;

	/* high */
	new_instr(OPC_MOV);
	instr->cat1.src_type = TYPE_U32;
	instr->cat1.dst_type = TYPE_U32;
	new_dst(meta_print_data.reg_address_hi, 0);
	new_src(0, IR3_REG_IMMED)->uim_val = info->shader_print_buffer_iova >> 32;

	/* offset */
	new_instr(OPC_MOV);
	instr->cat1.src_type = TYPE_U32;
	instr->cat1.dst_type = TYPE_U32;
	new_dst(meta_print_data.reg_tmp, 0);
	new_src(0, IR3_REG_IMMED)->uim_val = 4 * meta_print_data.regs_count;

	new_instr(OPC_NOP);
	instr->repeat = 5;

	/* Increment and get current offset into print buffer */
	new_instr(OPC_ATOMIC_G_ADD);
	instr->cat6.d = 1;
	instr->cat6.typed = 0;
	instr->cat6.type = TYPE_U32;
	instr->cat6.iim_val = 1;

	new_dst(meta_print_data.reg_address_lo, 0);
	new_src(meta_print_data.reg_address_lo, 0);
	new_src(meta_print_data.reg_tmp, 0);

	/* Store all regs */
	for (uint32_t i = 0; i < meta_print_data.regs_count; i++) {
		new_instr(OPC_STG);
		dummy_dst();
		instr->cat6.type = TYPE_U32;
		instr->flags = IR3_INSTR_SY;
		new_src(meta_print_data.reg_address_lo, 0);
		new_src(0, IR3_REG_IMMED)->iim_val = 0;
		new_src(meta_print_data.regs_to_dump[i], IR3_REG_R);
		new_src(0, IR3_REG_IMMED)->iim_val = 1;

		new_instr(OPC_ADD_U);
		instr->flags = IR3_INSTR_SS;
		new_dst(meta_print_data.reg_address_lo, 0);
		new_src(meta_print_data.reg_address_lo, 0);
		new_src(0, IR3_REG_IMMED)->uim_val = 4;

		new_instr(OPC_NOP);
		instr->repeat = 5;
	}
}
#line 5721 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 529: /* src_gpr: T_REGISTER  */
#line 1578 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_src((yyvsp[0].num), 0); }
#line 5727 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 530: /* src_a0: T_A0  */
#line 1579 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_src((61 << 3), IR3_REG_HALF); }
#line 5733 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 531: /* src_a1: T_A1  */
#line 1580 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_src((61 << 3) + 1, IR3_REG_HALF); }
#line 5739 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 532: /* src_p0: T_P0  */
#line 1581 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_src((62 << 3) + (yyvsp[0].num), IR3_REG_PREDICATE); }
#line 5745 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 537: /* dst: T_REGISTER  */
#line 1588 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_dst((yyvsp[0].num), 0); }
#line 5751 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 538: /* dst: T_A0  */
#line 1589 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_dst((61 << 3), IR3_REG_HALF); }
#line 5757 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 539: /* dst: T_A1  */
#line 1590 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_dst((61 << 3) + 1, IR3_REG_HALF); }
#line 5763 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 540: /* dst: T_P0  */
#line 1591 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_dst((62 << 3) + (yyvsp[0].num), IR3_REG_PREDICATE); }
#line 5769 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 541: /* const: T_CONSTANT  */
#line 1593 "../src/freedreno/ir3/ir3_parser.y"
                                  { (yyval.reg) = new_src((yyvsp[0].num), IR3_REG_CONST); }
#line 5775 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 542: /* dst_reg_flag: T_EVEN  */
#line 1595 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat1.round = ROUND_EVEN; }
#line 5781 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 543: /* dst_reg_flag: T_POS_INFINITY  */
#line 1596 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat1.round = ROUND_POS_INF; }
#line 5787 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 544: /* dst_reg_flag: T_NEG_INFINITY  */
#line 1597 "../src/freedreno/ir3/ir3_parser.y"
                                  { instr->cat1.round = ROUND_NEG_INF; }
#line 5793 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 545: /* dst_reg_flag: T_EI  */
#line 1598 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.flags |= IR3_REG_EI; }
#line 5799 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 546: /* dst_reg_flag: T_WRMASK  */
#line 1599 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.wrmask = (yyvsp[0].num); }
#line 5805 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 549: /* dst_reg: dst  */
#line 1605 "../src/freedreno/ir3/ir3_parser.y"
                                       { (yyvsp[0].reg)->flags |= IR3_REG_R; }
#line 5811 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 550: /* dst_reg: dst_reg_flags dst  */
#line 1606 "../src/freedreno/ir3/ir3_parser.y"
                                       { (yyvsp[0].reg)->flags |= IR3_REG_R; }
#line 5817 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 551: /* src_reg_flag: T_ABSNEG  */
#line 1608 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.flags |= IR3_REG_ABS|IR3_REG_NEGATE; }
#line 5823 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 552: /* src_reg_flag: T_NEG  */
#line 1609 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.flags |= IR3_REG_NEGATE; }
#line 5829 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 553: /* src_reg_flag: T_ABS  */
#line 1610 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.flags |= IR3_REG_ABS; }
#line 5835 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 554: /* src_reg_flag: T_R  */
#line 1611 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.flags |= IR3_REG_R; }
#line 5841 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 555: /* src_reg_flag: T_LAST  */
#line 1612 "../src/freedreno/ir3/ir3_parser.y"
                                  { rflags.flags |= IR3_REG_LAST_USE; }
#line 5847 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 575: /* uoffset: %empty  */
#line 1641 "../src/freedreno/ir3/ir3_parser.y"
                   { (yyval.num) = 0; }
#line 5853 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 576: /* uoffset: '+' integer  */
#line 1642 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.num) = (yyvsp[0].num); }
#line 5859 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 578: /* offset: '-' integer  */
#line 1645 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.num) = -(yyvsp[0].num); }
#line 5865 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 579: /* src_uoffset: uoffset  */
#line 1647 "../src/freedreno/ir3/ir3_parser.y"
                           { new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[0].num); if ((yyvsp[0].num)) instr->flags |= IR3_INSTR_IMM_OFFSET; }
#line 5871 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 580: /* relative_gpr_src: 'r' '<' T_A0 offset '>'  */
#line 1649 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_src(0, IR3_REG_RELATIV)->array.offset = (yyvsp[-1].num); }
#line 5877 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 581: /* relative_gpr_src: T_HR '<' T_A0 offset '>'  */
#line 1650 "../src/freedreno/ir3/ir3_parser.y"
                                             { new_src(0, IR3_REG_RELATIV | IR3_REG_HALF)->array.offset = (yyvsp[-1].num); }
#line 5883 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 582: /* relative_gpr_dst: 'r' '<' T_A0 offset '>'  */
#line 1652 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_dst(0, IR3_REG_RELATIV)->array.offset = (yyvsp[-1].num); }
#line 5889 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 583: /* relative_gpr_dst: T_HR '<' T_A0 offset '>'  */
#line 1653 "../src/freedreno/ir3/ir3_parser.y"
                                             { new_dst(0, IR3_REG_RELATIV | IR3_REG_HALF)->array.offset = (yyvsp[-1].num); }
#line 5895 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 584: /* relative_const: 'c' '<' T_A0 offset '>'  */
#line 1655 "../src/freedreno/ir3/ir3_parser.y"
                                            { new_src(0, IR3_REG_RELATIV | IR3_REG_CONST)->array.offset = (yyvsp[-1].num); }
#line 5901 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 585: /* relative_const: T_HC '<' T_A0 offset '>'  */
#line 1656 "../src/freedreno/ir3/ir3_parser.y"
                                             { new_src(0, IR3_REG_RELATIV | IR3_REG_CONST | IR3_REG_HALF)->array.offset = (yyvsp[-1].num); }
#line 5907 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 588: /* immediate_cat1: integer  */
#line 1668 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->iim_val = type_size(instr->cat1.src_type) < 32 ? (yyvsp[0].num) & 0xffff : (yyvsp[0].num); }
#line 5913 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 589: /* immediate_cat1: '(' integer ')'  */
#line 1669 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[-1].num); }
#line 5919 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 590: /* immediate_cat1: '(' float ')'  */
#line 1670 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = (yyvsp[-1].flt); }
#line 5925 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 591: /* immediate_cat1: 'h' '(' integer ')'  */
#line 1671 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED | IR3_REG_HALF)->iim_val = (yyvsp[-1].num) & 0xffff; }
#line 5931 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 592: /* immediate_cat1: 'h' '(' float ')'  */
#line 1672 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED | IR3_REG_HALF)->uim_val = _mesa_float_to_half((yyvsp[-1].flt)); }
#line 5937 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 593: /* immediate_cat1: '(' T_NAN ')'  */
#line 1673 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = NAN; }
#line 5943 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 594: /* immediate_cat1: '(' T_INF ')'  */
#line 1674 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = INFINITY; }
#line 5949 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 595: /* immediate_cat1: T_FLUT_0_0  */
#line 1675 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = 0.0; }
#line 5955 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 596: /* immediate_cat1: T_FLUT_0_5  */
#line 1676 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = 0.5; }
#line 5961 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 597: /* immediate_cat1: T_FLUT_1_0  */
#line 1677 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = 1.0; }
#line 5967 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 598: /* immediate_cat1: T_FLUT_2_0  */
#line 1678 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = 2.0; }
#line 5973 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 599: /* immediate_cat1: T_FLUT_4_0  */
#line 1679 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->fim_val = 4.0; }
#line 5979 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 600: /* immediate: integer  */
#line 1681 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[0].num); }
#line 5985 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 601: /* immediate: '(' integer ')'  */
#line 1682 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->iim_val = (yyvsp[-1].num); }
#line 5991 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 602: /* immediate: flut_immed  */
#line 1683 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED)->uim_val = (yyvsp[0].num); }
#line 5997 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 603: /* immediate: 'h' '(' integer ')'  */
#line 1684 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED | IR3_REG_HALF)->iim_val = (yyvsp[-1].num); }
#line 6003 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 604: /* immediate: 'h' flut_immed  */
#line 1685 "../src/freedreno/ir3/ir3_parser.y"
                                       { new_src(0, IR3_REG_IMMED | IR3_REG_HALF)->uim_val = (yyvsp[0].num); }
#line 6009 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 617: /* integer: T_INT  */
#line 1701 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.num) = (yyvsp[0].num); }
#line 6015 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 618: /* integer: '-' T_INT  */
#line 1702 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.num) = -(yyvsp[0].num); }
#line 6021 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 619: /* integer: T_HEX  */
#line 1703 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.num) = (yyvsp[0].unum); }
#line 6027 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 620: /* integer: '-' T_HEX  */
#line 1704 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.num) = -(yyvsp[0].unum); }
#line 6033 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 621: /* float: T_FLOAT  */
#line 1706 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.flt) = (yyvsp[0].flt); }
#line 6039 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 622: /* float: '-' T_FLOAT  */
#line 1707 "../src/freedreno/ir3/ir3_parser.y"
                               { (yyval.flt) = -(yyvsp[0].flt); }
#line 6045 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 623: /* type: T_TYPE_F16  */
#line 1709 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_F16;   }
#line 6051 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 624: /* type: T_TYPE_F32  */
#line 1710 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_F32;   }
#line 6057 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 625: /* type: T_TYPE_U16  */
#line 1711 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_U16;   }
#line 6063 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 626: /* type: T_TYPE_U32  */
#line 1712 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_U32;   }
#line 6069 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 627: /* type: T_TYPE_S16  */
#line 1713 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_S16;   }
#line 6075 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 628: /* type: T_TYPE_S32  */
#line 1714 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_S32;   }
#line 6081 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 629: /* type: T_TYPE_U8  */
#line 1715 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_U8;    }
#line 6087 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 630: /* type: T_TYPE_U8_32  */
#line 1716 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_U8_32; }
#line 6093 "src/freedreno/ir3/ir3_parser.c"
    break;

  case 631: /* type: T_TYPE_U64  */
#line 1717 "../src/freedreno/ir3/ir3_parser.y"
                                { (yyval.type) = TYPE_ATOMIC_U64;  }
#line 6099 "src/freedreno/ir3/ir3_parser.c"
    break;


#line 6103 "src/freedreno/ir3/ir3_parser.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

